import { EventEmitter, OnInit } from '@angular/core';
import { RecaptchaComponent } from 'ng-recaptcha-2';
import { TranslateService } from '@ngx-translate/core';
import { CpFeLibEnviromentDto } from '../../../shared/dto/dto';
import { CpIpDto, CpLocationDto } from '../../../login/dto/dto';
import { AuthRestorePasswordSendMethodEnum } from '../../dto/enum';
import { FormGroup } from '@angular/forms';
import { LoginService } from '../../../login/service/login.service';
import { CpLibClickedEnum } from '../../../shared/dto/enum';
import { ForgotPasswordService } from '../../service/forgot-password.service';
import { ResendCodeLocalConfigDto } from '../../../generics/re-send-code/dto/dto';
import { ResendCodeButtonComponent } from '../../../generics/re-send-code/components/resend-code-button/resend-code-button.component';
import { AuthRestorePasswordDetailsDto, CpForgotPasswordConfigDto, AuthRestorePasswordInfoDto, AuthRestorePasswordCheckUserNameDto } from '../../dto/dto';
import { PlatformService } from '../../../shared/services/platform.service';
import * as i0 from "@angular/core";
export declare class ForgotPasswordComponent implements OnInit {
    private _loginService;
    private _translateService;
    private _forgotPasswordService;
    private _platformService;
    private _environment;
    config: CpForgotPasswordConfigDto;
    _recaptcha: RecaptchaComponent;
    _resendCodeInput: ResendCodeButtonComponent;
    displayLoading: EventEmitter<boolean>;
    sectionClicked: EventEmitter<CpLibClickedEnum>;
    get CpLibClickedEnum(): typeof CpLibClickedEnum;
    get AuthRestorePasswordSendMethodEnum(): typeof AuthRestorePasswordSendMethodEnum;
    _step: number;
    _model: any;
    _msjError: string;
    _msj_errors: any;
    _actionsForm: FormGroup;
    _ipDetails: CpIpDto;
    _locationDetails: CpLocationDto;
    _forgotPasswordDetails: AuthRestorePasswordDetailsDto;
    _restorePasswordResult: AuthRestorePasswordInfoDto;
    _resendCodeConfig: ResendCodeLocalConfigDto;
    _checkUserResult: AuthRestorePasswordCheckUserNameDto;
    _isBrowser: boolean;
    constructor(_loginService: LoginService, _translateService: TranslateService, _forgotPasswordService: ForgotPasswordService, _platformService: PlatformService, _environment: CpFeLibEnviromentDto);
    ngOnInit(): void;
    private init;
    /**
     * Use for check if user is Valid
     *
     */
    checkUserName(): Promise<void>;
    /**
     * Use for request restore password
     *
     */
    restoreRequest(): Promise<void>;
    /**
     * Use for request restore password by whatsapp
     */
    restoreRequestByWhatsApp(): Promise<void>;
    /**
     * Use for request restore password by sms
     */
    restoreRequestBySms(): Promise<void>;
    /**
     * Use for request restore password by call
     */
    restoreRequestByCall(): Promise<void>;
    /**
     * Use for request restore password by email
     */
    restoreRequestByEmail(): Promise<void>;
    /**
     * Use for checko two-factor code
     *
     */
    checkRestoreCode(): Promise<void>;
    /**
     * Use for complete restore password
     *
     */
    restorePassword(): Promise<void>;
    private getIp;
    /**
     * Use for go specific step
     *
     * @param step
     */
    goStep(step: number): Promise<void>;
    /**
     * Use for set reactive form
     */
    private setStep;
    /**
     * Use for set errors msj in form
     */
    private setErrorMsjs;
    private setMsjError;
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection: CpLibClickedEnum): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ForgotPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ForgotPasswordComponent, "cp-forgot-password", never, { "config": { "alias": "config"; "required": false; }; }, { "displayLoading": "displayLoading"; "sectionClicked": "sectionClicked"; }, never, ["[forgot-set-img]"], false, never>;
}
