import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { TwoFactorInputDto } from '../../dto/dto';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CoinpayCodeInputComponent implements OnInit, OnDestroy, OnChanges, ControlValueAccessor {
    _autoPasteSub: Subscription;
    boxes: number;
    inputType: string;
    disabled: boolean;
    isNumeric: boolean;
    allowPaste: boolean;
    allowAutoPaste: boolean;
    complete: EventEmitter<boolean>;
    completePaste: EventEmitter<boolean>;
    _inputs: TwoFactorInputDto[];
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    onTouched: () => void;
    onChange: (request: string) => void;
    registerOnChange(fn: (rating: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    get value(): string;
    writeValue(request: string): void;
    private calculateValue;
    /**
     * Use for start auto paste action
     *
     */
    private startAutoPaste;
    /**
     * Is valid input
     *
     * @param event
     * @returns
     */
    isValidKey(event: any): boolean;
    /**
     * Use for apply action of item
     * @param event
     */
    actionInput(event: any): void;
    /**
     * Use for detect focus of
     * input
     * @param event
     */
    focus(event: any): void;
    /**
     * Not allow direct paste
     * @returns
     */
    onPaste(): boolean;
    /**
     * Action when user click paste
     */
    paste(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoinpayCodeInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoinpayCodeInputComponent, "cp-coinpay-code-input", never, { "boxes": { "alias": "boxes"; "required": false; }; "inputType": { "alias": "inputType"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "isNumeric": { "alias": "isNumeric"; "required": false; }; "allowPaste": { "alias": "allowPaste"; "required": false; }; "allowAutoPaste": { "alias": "allowAutoPaste"; "required": false; }; }, { "complete": "complete"; "completePaste": "completePaste"; }, never, never, false, never>;
}
