import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { CountryDto } from '../../dto/dto';
import { CountryService } from '../../service/country.service';
import { CpFeLibEnviromentDto } from './../../../../shared/dto/dto';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CountryInputComponent implements OnInit, OnDestroy, OnChanges, ControlValueAccessor {
    private _countryService;
    private _environment;
    type: number;
    disabled: boolean;
    complete: EventEmitter<boolean>;
    countrySelected: EventEmitter<CountryDto>;
    _model: any;
    _displayModal: boolean;
    _countries: CountryDto[];
    _countrySelected: CountryDto;
    _countriesLocal: CountryDto[];
    constructor(_countryService: CountryService, _environment: CpFeLibEnviromentDto);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    onTouched: () => void;
    onChange: (request: number) => void;
    registerOnChange(fn: (rating: number) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    private getCountries;
    /**
     * Use for display modal
     *
     * @param view
     */
    viewModal(view?: boolean): Promise<void>;
    /**
     * Use for change selection
     *
     * @param idCountry
     */
    changeCountry(idCountry: number): Promise<void>;
    /**
     * action for event in select
     * @param event
     */
    changeCountrySelect(event: any): Promise<void>;
    /**
     * Actions for apply filters
     *
     * @param request
     */
    applyFilter(request?: any): Promise<void>;
    get value(): number;
    writeValue(request: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CountryInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CountryInputComponent, "cp-country-input", never, { "type": { "alias": "type"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "complete": "complete"; "countrySelected": "countrySelected"; }, never, never, false, never>;
}
