import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ResendCodeLocalConfigDto } from '../../dto/dto';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class ResendCodeButtonComponent implements OnInit {
    private _translateService;
    config: ResendCodeLocalConfigDto;
    requestSms: EventEmitter<boolean>;
    requestCall: EventEmitter<boolean>;
    requestEmail: EventEmitter<boolean>;
    requestWhatsApp: EventEmitter<boolean>;
    requestTelegram: EventEmitter<boolean>;
    _secondsTimer: ElementRef;
    _step: number;
    _msjError: string;
    _loadRequest: boolean;
    _displayHelp: boolean;
    _displayCountdown: boolean;
    _sentCodeSuccess: boolean;
    _sentSmsCodeSuccess: boolean;
    _sentCallCodeSuccess: boolean;
    _sentEmailCodeSuccess: boolean;
    _sentWhatsAppCodeSuccess: boolean;
    _sentTelegramCodeSuccess: boolean;
    constructor(_translateService: TranslateService);
    ngOnInit(): void;
    private init;
    private countdownAction;
    whatsAppDisplayLoading(display?: boolean): Promise<void>;
    whatsAppSent(): Promise<void>;
    smsDisplayLoading(display?: boolean): Promise<void>;
    smsSent(): Promise<void>;
    emailDisplayLoading(display?: boolean): Promise<void>;
    emailSent(): Promise<void>;
    callDisplayLoading(display?: boolean): Promise<void>;
    callRequested(): Promise<void>;
    sendSms(): Promise<void>;
    sendEmail(): Promise<void>;
    sendRequestCall(): Promise<void>;
    sendWhatsApp(): Promise<void>;
    sendTelegram(): Promise<void>;
    setMsjError(msj?: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResendCodeButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResendCodeButtonComponent, "app-resend-code-button", never, { "config": { "alias": "config"; "required": false; }; }, { "requestSms": "requestSms"; "requestCall": "requestCall"; "requestEmail": "requestEmail"; "requestWhatsApp": "requestWhatsApp"; "requestTelegram": "requestTelegram"; }, never, never, false, never>;
}
