import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { LoginService } from '../../service/login.service';
import { DeviceDetectorService } from 'ngx-device-detector';
import { TwoFactorTypeDto } from '../../../two-factor/dto/dto';
import { FormGroup } from '@angular/forms';
import { CpLibClickedEnum } from '../../../shared/dto/enum';
import { AutoAccessLoginRequestDto, CpIpDto, CpLocationDto, CpLoginConfigDto } from '../../dto/dto';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit, OnDestroy, AfterViewInit {
    private _router;
    private _loginService;
    private _translateService;
    private _deviceService;
    typeAccess: number;
    autoAccess: AutoAccessLoginRequestDto;
    config: CpLoginConfigDto;
    successLogin: EventEmitter<boolean>;
    displayLogin: EventEmitter<boolean>;
    displayLoading: EventEmitter<boolean>;
    sectionClicked: EventEmitter<CpLibClickedEnum>;
    get CpLibClickedEnum(): typeof CpLibClickedEnum;
    _step: number;
    _model: any;
    _msjError: string;
    _msj_errors: any;
    _loginForm: FormGroup;
    _twoFactors: TwoFactorTypeDto[];
    _ipDetails: CpIpDto;
    _locationDetails: CpLocationDto;
    constructor(_router: Router, _loginService: LoginService, _translateService: TranslateService, _deviceService: DeviceDetectorService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private init;
    /**
     * Action for generate session token
     *
     */
    requestLogin(): Promise<void>;
    /**
     * action for auto access
     */
    private checkAoutoAccess;
    private getIp;
    private getLocation;
    /**
     * Use for go specific step
     *
     * @param step
     */
    goStep(step: number): Promise<void>;
    /**
     * Use for set reactive form
     */
    private setStep;
    /**
     * Use for set errors msj in form
     */
    private setErrorMsjs;
    private setMsjError;
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection: CpLibClickedEnum): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "cp-login", never, { "typeAccess": { "alias": "typeAccess"; "required": false; }; "autoAccess": { "alias": "autoAccess"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "successLogin": "successLogin"; "displayLogin": "displayLogin"; "displayLoading": "displayLoading"; "sectionClicked": "sectionClicked"; }, never, ["[login-set-info]", "[login-two-factor]"], false, never>;
}
