import { EventEmitter, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ReCaptchaV3Service } from 'ng-recaptcha-2';
import { CookieService } from 'ngx-cookie-service';
import { TranslateService } from '@ngx-translate/core';
import { SignUpService } from '../../service/signup.service';
import { CountryDto } from '../../../generics/country/dto/dto';
import { SendGuestCodeDto } from '../../../two-factor/dto/dto';
import { CpFeLibEnviromentDto } from '../../../shared/dto/dto';
import { FormGroup } from '@angular/forms';
import { CpLibClickedEnum } from '../../../shared/dto/enum';
import { CpSignUpConfigDto } from '../../dto/dto';
import * as i0 from "@angular/core";
export declare class SignupComponent implements OnInit {
    private _router;
    private _route;
    private _signUpService;
    private _cookiesService;
    private _translateService;
    private _recaptchaService;
    private _environment;
    config: CpSignUpConfigDto;
    displayLoading: EventEmitter<boolean>;
    sectionClicked: EventEmitter<CpLibClickedEnum>;
    get CpLibClickedEnum(): typeof CpLibClickedEnum;
    _step: number;
    _model: any;
    _msj_errors: any;
    _msjError: string;
    _msjErrors: string[];
    _actionsForm: FormGroup;
    _countrySelected: CountryDto;
    _guestCodeResult: SendGuestCodeDto;
    constructor(_router: Router, _route: ActivatedRoute, _signUpService: SignUpService, _cookiesService: CookieService, _translateService: TranslateService, _recaptchaService: ReCaptchaV3Service, _environment: CpFeLibEnviromentDto);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private init;
    private scrollInit;
    /**
     * Actions for check info
     * if infor is correctly, send
     * SMS code to user
     *
     */
    validateUserInfo(): Promise<void>;
    /**
     * Apply for send code of verification again
     *
     */
    resendCode(): Promise<void>;
    /**
     * Simple validate code for continue
     * with process, this actions is only for not
     * continue, if code is invalid.
     * With send SingUp, system check again this code
     *
     */
    validateVerificationCode(): Promise<void>;
    /**
     * Action for create account
     *
     */
    createAccount(): Promise<void>;
    /**
     * Use for delete blank spaces in form
     * @param controlName
     */
    private deleteBlankSpacesForm;
    changeCountrySelected(request: CountryDto): Promise<void>;
    /**
     * Action for change type of account
     *
     *  - false: personal account
     *  - true:  business account
     *
     * @param isBussiness
     */
    changeTypeAccount(isBussiness: boolean): Promise<void>;
    /**
     * actions reset values
     */
    private resetValues;
    /**
     * Use for go specific step
     *
     * @param step
     */
    goStep(step: number): Promise<void>;
    /**
     * Use for set step actions
     *
     */
    setStep(): Promise<void>;
    /**
     * Auto login action
     * In this moment only redirect to
     * verify email
     */
    goAutoLogin(): Promise<void>;
    /**
     * back to login
     */
    goLogin(): Promise<void>;
    private setErrorCatalog;
    private setMsjError;
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection: CpLibClickedEnum): void;
    /**
     * action for display terms and conditions
     */
    viewTermsAndConditions(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SignupComponent, "cp-signup", never, { "config": { "alias": "config"; "required": false; }; }, { "displayLoading": "displayLoading"; "sectionClicked": "sectionClicked"; }, never, ["[img-intro]", "[logo-site]", "[logo-section-password]", "[logo-site-welcome]"], false, never>;
}
