import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ReCaptchaV3Service } from 'ng-recaptcha-2';
import { TranslateService } from '@ngx-translate/core';
import { SignUpService } from '../../service/signup.service';
import { AutoAccessLoginRequestDto, CpLoginConfigDto } from '../../../login/dto/dto';
import { FormGroup } from '@angular/forms';
import { CpVerifyEmailConfigDto } from '../../dto/dto';
import { PlatformService } from '../../../shared/services/platform.service';
import * as i0 from "@angular/core";
export declare class VerifyEmailComponent implements OnInit, AfterViewInit, OnDestroy {
    private _platformService;
    private _recaptchaService;
    private _router;
    private _signUpService;
    private _translateService;
    config: CpVerifyEmailConfigDto;
    displayLoading: EventEmitter<boolean>;
    _configLogin: CpLoginConfigDto;
    _step: number;
    _model: any;
    _msj_errors: any;
    _msjError: string;
    _msjErrors: string[];
    _actionsForm: FormGroup;
    _userAccess: AutoAccessLoginRequestDto;
    _isBrowser: boolean;
    constructor(_platformService: PlatformService, _recaptchaService: ReCaptchaV3Service, _router: Router, _signUpService: SignUpService, _translateService: TranslateService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private init;
    /**
     * Apply for send code of verification again
     *
     */
    sendVerificationCode(): Promise<void>;
    /**
     * Simple validate code for continue
     * with process, this actions is only for not
     * continue, if code is invalid.
     * With send SingUp, system check again this code
     *
     */
    validateVerificationCode(): Promise<void>;
    /**
     * Use for detect result of login
     * @param complete
     */
    loginAction(complete: any): Promise<void>;
    /**
   * actions reset values
   */
    private resetValues;
    /**
     * Use for go specific step
     *
     * @param step
     */
    goStep(step: number): Promise<void>;
    /**
     * Use for set step actions
     *
     */
    setStep(): Promise<void>;
    private setErrorCatalog;
    private setMsjError;
    static ɵfac: i0.ɵɵFactoryDeclaration<VerifyEmailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VerifyEmailComponent, "cp-verify-email", never, { "config": { "alias": "config"; "required": false; }; }, { "displayLoading": "displayLoading"; }, never, ["[img-send-email]", "[verification-set-info]"], false, never>;
}
