import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Router } from "@angular/router";
import { AuthService } from '../../shared/services/auth.service';
import { SendGuestCodeResultDto } from '../../two-factor/dto/dto';
import { CpFeLibEnviromentDto, GenericResultDto } from '../../shared/dto/dto';
import { SignUpRequestDto, SignUpResultDto, SignUpSendGuestSmsRequestDto, SignUpValidateCodeEmailRequestDto, SignUpValidateGuestSmsCodeRequestDto, SignUpValidateInformationRequestDto, SignUpValidateInformationResultDto, SignUpVerifyEmailRequestDto } from '../dto/dto';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class SignUpService extends AuthService {
    protected router: Router;
    protected _http: HttpClient;
    protected _translateService: TranslateService;
    private _environment;
    constructor(router: Router, _http: HttpClient, _translateService: TranslateService, _environment: CpFeLibEnviromentDto);
    validateInformation(t: SignUpValidateInformationRequestDto): Observable<SignUpValidateInformationResultDto>;
    sendVerificationCodeSms(t: SignUpSendGuestSmsRequestDto): Observable<SendGuestCodeResultDto>;
    validateCodeSms(t: SignUpValidateGuestSmsCodeRequestDto): Observable<GenericResultDto>;
    signUpRequest(t: SignUpRequestDto): Observable<SignUpResultDto>;
    sendVerificationCodeEmail(t: SignUpVerifyEmailRequestDto): Observable<GenericResultDto>;
    validateCodeEmail(t: SignUpValidateCodeEmailRequestDto): Observable<GenericResultDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignUpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SignUpService>;
}
