import * as i0 from '@angular/core';
import { EventEmitter, forwardRef, Component, Input, Output, NgModule, CUSTOM_ELEMENTS_SCHEMA, Injectable, Inject, PLATFORM_ID, Directive, ViewChild } from '@angular/core';
import * as i3 from '@angular/common';
import { CommonModule, isPlatformBrowser } from '@angular/common';
import * as i3$1 from '@ngx-translate/core';
import { TranslateModule } from '@ngx-translate/core';
import * as i6 from '@angular/forms';
import { NG_VALUE_ACCESSOR, FormsModule, ReactiveFormsModule, FormGroup, FormControl, Validators } from '@angular/forms';
import { timer, throwError, BehaviorSubject } from 'rxjs';
import { map, catchError } from 'rxjs/operators';
import * as i2 from '@angular/common/http';
import { HttpHeaders } from '@angular/common/http';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i7 from 'ng-recaptcha-2';
import { RecaptchaModule, RecaptchaFormsModule } from 'ng-recaptcha-2';
import { Buffer } from 'buffer';
import * as crypto from 'crypto-js';
import { decode } from 'base64-arraybuffer';
import * as i4 from 'ngx-device-detector';
import * as i3$2 from 'ngx-cookie-service';

class TwoFactorInputDto {
}

class CoinpayCodeInputComponent {
    constructor() {
        this.complete = new EventEmitter();
        this.completePaste = new EventEmitter();
        this.onTouched = () => { };
        this.onChange = (request) => { };
    }
    ngOnInit() {
        this._inputs = [];
        if (this.boxes) {
            for (let index = 1; index <= this.boxes; index++) {
                this._inputs.push({ Id: index, Value: '' });
            }
            /**
             * go select fist
             * await for render app
             *
             */
            if (this.boxes > 0) {
                setTimeout(() => {
                    const _input = document.getElementById('1');
                    if (_input)
                        _input.focus();
                }, 100);
            }
            this.startAutoPaste();
        }
        if (!this.inputType || this.inputType == ``)
            this.inputType = `password`;
    }
    ngOnDestroy() { }
    ngOnChanges() { }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    // ************ actions
    // ************ actions
    get value() {
        return this.calculateValue();
    }
    writeValue(request) {
        if (request) {
            if (!this._inputs)
                this._inputs = [];
            let _values = Array.from(request);
            if (_values && _values.length > 0) {
                let _count = 1;
                _values.forEach(element => {
                    if (_count <= this.boxes) {
                        let _exist = this._inputs.findIndex(c => c.Id == _count);
                        if (_exist >= 0)
                            this._inputs[_exist].Value = element;
                    }
                    _count++;
                });
            }
        }
    }
    calculateValue() {
        let result = '';
        if (!this._inputs)
            this._inputs = [];
        this._inputs.forEach(element => { result += `${element.Value}`; });
        return result;
    }
    // ************ generics
    // ************ generics
    /**
     * Use for start auto paste action
     *
     */
    async startAutoPaste() {
        try {
            if (this.allowAutoPaste) {
                this._autoPasteSub = timer(500, 1000).subscribe(async () => {
                    const _success = await this.paste();
                    if (_success)
                        this._autoPasteSub.unsubscribe();
                });
            }
        }
        catch { }
    }
    /**
     * Is valid input
     *
     * @param event
     * @returns
     */
    isValidKey(event) {
        let _result = true;
        try {
            const _charCode = event.which ? event.which : event.keyCode;
            /**
             * not allow more than 1 character
             * not allow -> . or ,
             */
            if ((event.target && event.target.value.length >= 1) || _charCode == 44 || _charCode == 46 || _charCode == 38 || _charCode == 40)
                _result = false;
        }
        catch { }
        return _result;
    }
    /**
     * Use for apply action of item
     * @param event
     */
    actionInput(event) {
        try {
            if (event) {
                const _charCode = event.which ? event.which : event.keyCode;
                /**
                 * 8  - backspace
                 * 37 - left arrow
                 * 39 - right arrow
                 */
                let _idSelected = '';
                const _id = Number(event.target.id);
                if ((_charCode == 8 || _charCode == 37) && _id > 1)
                    _idSelected = `${_id - 1}`;
                /**
                 * apply only if not assing id
                 */
                if (_idSelected == '' && event.target && (event.target.value.length == 1 || _charCode == 39) && this.boxes > _id)
                    _idSelected = `${_id + 1}`;
                const _input = document.getElementById(_idSelected);
                if (_input)
                    _input.focus();
                if (this.boxes == _id) {
                    const _input = document.getElementById(`${_id}`);
                    if (_input)
                        _input.blur();
                }
                /**
                 * check if complete
                 */
                if (!this._inputs)
                    this._inputs = [];
                let _count = 0;
                this._inputs.forEach(element => { _count += element.Value && element.Value != '' && element.Value.length == 1 ? 1 : 0; });
                if (this.boxes == _count)
                    this.complete.emit(true);
                //-------
            }
            this.onChange(this.calculateValue());
        }
        catch { }
    }
    /**
     * Use for detect focus of
     * input
     * @param event
     */
    focus(event) {
        if (event) {
            if (!this._inputs)
                this._inputs = [];
            const _id = Number(event.target.id);
            const _exist = this._inputs.findIndex(c => c.Id == _id);
            if (_exist >= 0)
                this._inputs[_exist].Value = '';
        }
        this.onChange(this.calculateValue());
    }
    /**
     * Not allow direct paste
     * @returns
     */
    onPaste() { return false; }
    /**
     * Action when user click paste
     */
    async paste() {
        return new Promise(async (callback) => {
            let result = false;
            try {
                if (this.allowPaste) {
                    navigator.clipboard.readText().then(data => {
                        if (data && data != '' && data.length == this.boxes) {
                            const _split = data.split('');
                            if (this._inputs && this._inputs.length == _split.length) {
                                let _index = 0;
                                this._inputs.forEach(element => {
                                    element.Value = _split[_index];
                                    _index++;
                                });
                                this.onChange(this.calculateValue());
                                /**
                                 * await for view of user
                                 */
                                setTimeout(() => { this.completePaste.emit(true); }, 750);
                                result = true;
                                /**
                                 * remove current code of papers
                                 */
                                navigator.clipboard.writeText('');
                                /**
                                 * necessary for avoid double send
                                 * actions
                                 */
                                if (this._autoPasteSub)
                                    this._autoPasteSub.unsubscribe();
                            }
                        }
                    }).catch(() => { });
                }
            }
            catch { }
            callback(result);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: CoinpayCodeInputComponent, selector: "cp-coinpay-code-input", inputs: { boxes: "boxes", inputType: "inputType", disabled: "disabled", isNumeric: "isNumeric", allowPaste: "allowPaste", allowAutoPaste: "allowAutoPaste" }, outputs: { complete: "complete", completePaste: "completePaste" }, providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => CoinpayCodeInputComponent), multi: true }], usesOnChanges: true, ngImport: i0, template: "<ng-container *ngIf=\"boxes\">\n\t<div class=\"coinpay-code-input\">\n\t\t<!-- paste action -->\n\t\t<ng-container *ngIf=\"allowPaste\">\n\t\t\t<div class=\"code-paste\">\n\t\t\t\t<button type=\"button\" class=\"btn btn-sm\" size=\"small\" (click)=\"paste()\">\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.CoinpayCode.Form.Paste' | translate }}\n\t\t\t\t</button>\n\t\t\t</div>\n\t\t</ng-container>\n\t\t<div class=\"code-input\">\n\t\t\t<ng-container *ngFor=\"let item of _inputs\">\n\t\t\t\t<ng-container *ngIf=\"isNumeric\">\n\t\t\t\t\t<input\n\t\t\t\t\t\tplaceholder=\"\"\n\t\t\t\t\t\t[type]=\"inputType\"\n\t\t\t\t\t\tinputmode=\"numeric\"\n\t\t\t\t\t\t[id]=\"item.Id\"\n\t\t\t\t\t\tclass=\"form-control\"\n\t\t\t\t\t\t(keypress)=\"isValidKey($event)\"\n\t\t\t\t\t\t(keyup)=\"actionInput($event)\"\n\t\t\t\t\t\t(focus)=\"focus($event)\"\n\t\t\t\t\t\t[(ngModel)]=\"item.Value\"\n\t\t\t\t\t\t[ngClass]=\"!item.Value || item.Value == '' ? 'invalid' : 'valid'\"\n\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t(paste)=\"onPaste()\"\n\t\t\t\t\t/>\n\t\t\t\t</ng-container>\n\n\t\t\t\t<ng-container *ngIf=\"!isNumeric\">\n\t\t\t\t\t<input\n\t\t\t\t\t\tplaceholder=\"*\"\n\t\t\t\t\t\t[type]=\"inputType\"\n\t\t\t\t\t\t[id]=\"item.Id\"\n\t\t\t\t\t\tclass=\"form-control\"\n\t\t\t\t\t\t(keypress)=\"isValidKey($event)\"\n\t\t\t\t\t\t(keyup)=\"actionInput($event)\"\n\t\t\t\t\t\t(focus)=\"focus($event)\"\n\t\t\t\t\t\t[(ngModel)]=\"item.Value\"\n\t\t\t\t\t\t[ngClass]=\"!item.Value || item.Value == '' ? 'invalid' : 'valid'\"\n\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t(paste)=\"onPaste()\"\n\t\t\t\t\t/>\n\t\t\t\t</ng-container>\n\t\t\t</ng-container>\n\t\t</div>\n\t</div>\n</ng-container>\n", styles: [".coinpay-code-input{position:relative}.coinpay-code-input .code-input{margin-top:15px;margin-bottom:10px;text-align:center}.coinpay-code-input .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.coinpay-code-input .code-input input:focus{outline:none;background:#e7ebff}.coinpay-code-input .code-input input.active{box-shadow:none}@media (max-width: 575px){.coinpay-code-input .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}@media (max-width: 370px){.coinpay-code-input .code-input input{height:41px;width:41px}}.coinpay-code-input .code-paste{margin-top:30px;text-align:center}.coinpay-code-input .code-paste button{color:#407bff;background:#fff;border:1px solid #407bff;border-radius:30px;padding-left:15px;padding-right:15px}\n"], dependencies: [{ kind: "directive", type: i6.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-coinpay-code-input', providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => CoinpayCodeInputComponent), multi: true }], template: "<ng-container *ngIf=\"boxes\">\n\t<div class=\"coinpay-code-input\">\n\t\t<!-- paste action -->\n\t\t<ng-container *ngIf=\"allowPaste\">\n\t\t\t<div class=\"code-paste\">\n\t\t\t\t<button type=\"button\" class=\"btn btn-sm\" size=\"small\" (click)=\"paste()\">\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.CoinpayCode.Form.Paste' | translate }}\n\t\t\t\t</button>\n\t\t\t</div>\n\t\t</ng-container>\n\t\t<div class=\"code-input\">\n\t\t\t<ng-container *ngFor=\"let item of _inputs\">\n\t\t\t\t<ng-container *ngIf=\"isNumeric\">\n\t\t\t\t\t<input\n\t\t\t\t\t\tplaceholder=\"\"\n\t\t\t\t\t\t[type]=\"inputType\"\n\t\t\t\t\t\tinputmode=\"numeric\"\n\t\t\t\t\t\t[id]=\"item.Id\"\n\t\t\t\t\t\tclass=\"form-control\"\n\t\t\t\t\t\t(keypress)=\"isValidKey($event)\"\n\t\t\t\t\t\t(keyup)=\"actionInput($event)\"\n\t\t\t\t\t\t(focus)=\"focus($event)\"\n\t\t\t\t\t\t[(ngModel)]=\"item.Value\"\n\t\t\t\t\t\t[ngClass]=\"!item.Value || item.Value == '' ? 'invalid' : 'valid'\"\n\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t(paste)=\"onPaste()\"\n\t\t\t\t\t/>\n\t\t\t\t</ng-container>\n\n\t\t\t\t<ng-container *ngIf=\"!isNumeric\">\n\t\t\t\t\t<input\n\t\t\t\t\t\tplaceholder=\"*\"\n\t\t\t\t\t\t[type]=\"inputType\"\n\t\t\t\t\t\t[id]=\"item.Id\"\n\t\t\t\t\t\tclass=\"form-control\"\n\t\t\t\t\t\t(keypress)=\"isValidKey($event)\"\n\t\t\t\t\t\t(keyup)=\"actionInput($event)\"\n\t\t\t\t\t\t(focus)=\"focus($event)\"\n\t\t\t\t\t\t[(ngModel)]=\"item.Value\"\n\t\t\t\t\t\t[ngClass]=\"!item.Value || item.Value == '' ? 'invalid' : 'valid'\"\n\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t(paste)=\"onPaste()\"\n\t\t\t\t\t/>\n\t\t\t\t</ng-container>\n\t\t\t</ng-container>\n\t\t</div>\n\t</div>\n</ng-container>\n", styles: [".coinpay-code-input{position:relative}.coinpay-code-input .code-input{margin-top:15px;margin-bottom:10px;text-align:center}.coinpay-code-input .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.coinpay-code-input .code-input input:focus{outline:none;background:#e7ebff}.coinpay-code-input .code-input input.active{box-shadow:none}@media (max-width: 575px){.coinpay-code-input .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}@media (max-width: 370px){.coinpay-code-input .code-input input{height:41px;width:41px}}.coinpay-code-input .code-paste{margin-top:30px;text-align:center}.coinpay-code-input .code-paste button{color:#407bff;background:#fff;border:1px solid #407bff;border-radius:30px;padding-left:15px;padding-right:15px}\n"] }]
        }], ctorParameters: () => [], propDecorators: { boxes: [{
                type: Input
            }], inputType: [{
                type: Input
            }], disabled: [{
                type: Input
            }], isNumeric: [{
                type: Input
            }], allowPaste: [{
                type: Input
            }], allowAutoPaste: [{
                type: Input
            }], complete: [{
                type: Output
            }], completePaste: [{
                type: Output
            }] } });

class CoinpayCodeInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputModule, declarations: [CoinpayCodeInputComponent], imports: [FormsModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule], exports: [CoinpayCodeInputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputModule, imports: [FormsModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CoinpayCodeInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        FormsModule,
                        CommonModule,
                        TranslateModule,
                        ReactiveFormsModule,
                    ],
                    declarations: [
                        CoinpayCodeInputComponent
                    ],
                    exports: [
                        CoinpayCodeInputComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class GenericResultDto {
}
class RecaptchaRequestDto {
}

class CountryResultDto extends GenericResultDto {
}
class CountriesResultDto extends GenericResultDto {
}
class CountryDto {
}

var LanguageIdEnum;
(function (LanguageIdEnum) {
    LanguageIdEnum[LanguageIdEnum["Default"] = 0] = "Default";
    LanguageIdEnum[LanguageIdEnum["Spanish"] = 1] = "Spanish";
    LanguageIdEnum[LanguageIdEnum["English"] = 2] = "English";
    LanguageIdEnum[LanguageIdEnum["Checo"] = 3] = "Checo";
    LanguageIdEnum[LanguageIdEnum["Portugues"] = 4] = "Portugues";
})(LanguageIdEnum || (LanguageIdEnum = {}));
var LanguageEnum;
(function (LanguageEnum) {
    LanguageEnum["Spanish"] = "es";
    LanguageEnum["English"] = "en";
    LanguageEnum["Checo"] = "cs";
    LanguageEnum["Portugues"] = "pt";
})(LanguageEnum || (LanguageEnum = {}));

/**
 * It is used for basic headers
 *
 */
class AuthService {
    constructor(router, _http, _translateService) {
        this.router = router;
        this._http = _http;
        this._translateService = _translateService;
    }
    ngOnDestroy() { }
    setBasicHeader() {
        return {
            headers: new HttpHeaders({ 'Content-Type': 'application/json' })
        };
    }
    handleError(error) {
        try {
            if (error) {
                switch (Number(error.status)) {
                    case 401: break;
                }
            }
        }
        catch { }
        return throwError(error.json() || 'Server Error');
    }
    /**
     * Action for get current language
     * @returns
     */
    getCurrentIdLang() {
        try {
            switch (this._translateService.currentLang) {
                case 'es': return LanguageIdEnum.Spanish;
                case 'cs': return LanguageIdEnum.Checo;
                case 'pt': return LanguageIdEnum.Portugues;
                default: return LanguageIdEnum.English;
            }
        }
        catch { }
        return LanguageIdEnum.English;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: AuthService, deps: [{ token: i1.Router }, { token: i2.HttpClient }, { token: i3$1.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: AuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: AuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i2.HttpClient }, { type: i3$1.TranslateService }] });

class CountryService extends AuthService {
    constructor(router, _http, _translateService, _environment) {
        super(router, _http, _translateService);
        this.router = router;
        this._http = _http;
        this._translateService = _translateService;
        this._environment = _environment;
    }
    getCountries() {
        return this._http.get(`${this._environment.ApiUrl}client/country/getCountries/${this.getCurrentIdLang()}/v1`, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryService, deps: [{ token: i1.Router }, { token: i2.HttpClient }, { token: i3$1.TranslateService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i2.HttpClient }, { type: i3$1.TranslateService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }] });

var SiteEnum;
(function (SiteEnum) {
    SiteEnum[SiteEnum["Default"] = 0] = "Default";
    SiteEnum[SiteEnum["Coinpay_Cr"] = 4] = "Coinpay_Cr";
    SiteEnum[SiteEnum["Coinpaybrasil_Com"] = 8] = "Coinpaybrasil_Com";
    SiteEnum[SiteEnum["ApproPay_Com"] = 9] = "ApproPay_Com";
    SiteEnum[SiteEnum["LibFin_io"] = 2] = "LibFin_io";
    SiteEnum[SiteEnum["Wayrapay_Com"] = 10] = "Wayrapay_Com";
    SiteEnum[SiteEnum["CharliePay_Com"] = 11] = "CharliePay_Com";
})(SiteEnum || (SiteEnum = {}));

var StatusCodeEnum;
(function (StatusCodeEnum) {
    StatusCodeEnum[StatusCodeEnum["Success"] = 1] = "Success";
})(StatusCodeEnum || (StatusCodeEnum = {}));
var CpLibClickedEnum;
(function (CpLibClickedEnum) {
    CpLibClickedEnum[CpLibClickedEnum["SeeBenefits"] = 1] = "SeeBenefits";
    CpLibClickedEnum[CpLibClickedEnum["TermsAndConditions"] = 2] = "TermsAndConditions";
    CpLibClickedEnum[CpLibClickedEnum["ForgotPassword"] = 3] = "ForgotPassword";
    CpLibClickedEnum[CpLibClickedEnum["SignUp"] = 4] = "SignUp";
    CpLibClickedEnum[CpLibClickedEnum["Login"] = 5] = "Login";
})(CpLibClickedEnum || (CpLibClickedEnum = {}));

class CountryInputComponent {
    constructor(_countryService, _environment) {
        this._countryService = _countryService;
        this._environment = _environment;
        this.complete = new EventEmitter();
        this.countrySelected = new EventEmitter();
        this._model = {};
        this.onTouched = () => { };
        this.onChange = (request) => { };
    }
    ngOnInit() {
        this.getCountries();
    }
    ngOnDestroy() {
        this.viewModal(false);
    }
    ngOnChanges() { }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    // ************** general data
    // ************** general data
    async getCountries() {
        this._model.loadCountries = true;
        const _subscription = this._countryService.getCountries().subscribe({
            next: data => {
                if (data && data.StatusCode == StatusCodeEnum.Success) {
                    this._countriesLocal = data.Data;
                    this.applyFilter();
                    /**
                     * Use first for
                     * default
                     */
                    if (!this._countrySelected && this._countries && this._countries.length > 0) {
                        let _code = '';
                        switch (this._environment.IdSite) {
                            case SiteEnum.CharliePay_Com:
                                _code = 'CZ';
                                break;
                            case SiteEnum.Coinpaybrasil_Com:
                                _code = 'BR';
                                break;
                            default:
                                _code = 'CR';
                                break;
                        }
                        const _exist = this._countries.find(c => c.Code == _code); // check if exist Costa Rica, and if exist assing first
                        this.changeCountry(_exist ? _exist.Id : this._countries[0].Id);
                    }
                }
                this._model.loadCountries = false;
            }, error: () => {
                this._model.loadCountries = false;
            },
            complete: () => { _subscription.unsubscribe(); }
        });
    }
    // ************ actions
    // ************ actions
    /**
     * Use for display modal
     *
     * @param view
     */
    async viewModal(view = true) {
        try {
            this._displayModal = view;
        }
        catch { }
    }
    /**
     * Use for change selection
     *
     * @param idCountry
     */
    async changeCountry(idCountry) {
        try {
            if (this._countries && idCountry) {
                this.viewModal(false);
                this._countrySelected = this._countries.find(c => c.Id == idCountry);
                this.onChange(this._countrySelected.Id);
                this.countrySelected.emit(this._countrySelected);
            }
        }
        catch { }
    }
    /**
     * action for event in select
     * @param event
     */
    async changeCountrySelect(event) {
        try {
            if (event && event.target && event.target.value)
                this.changeCountry(Number(event.target.value));
        }
        catch { }
    }
    /**
     * Actions for apply filters
     *
     * @param request
     */
    async applyFilter(request = null) {
        try {
            this._countries = JSON.parse(JSON.stringify(this._countriesLocal));
            if (request && request.value && request.value != '') {
                const _value = request.value.replace(/ /g, "");
                this._countries = this._countries.filter(c => c.Name.replace(/ /g, "").includes(_value) || c.Code.replace(/ /g, "").includes(_value) || c.CountryCode.replace(/ /g, "").includes(_value));
            }
        }
        catch { }
    }
    get value() { return this._countrySelected ? this._countrySelected.Id : null; }
    writeValue(request) {
        try {
            if (request && this._countries && this._countries.length > 0 && (!this._countrySelected || this._countrySelected.Id != request))
                this.changeCountry(this._countries.find(c => c.Id == request)?.Id);
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryInputComponent, deps: [{ token: CountryService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: CountryInputComponent, selector: "cp-country-input", inputs: { type: "type", disabled: "disabled" }, outputs: { complete: "complete", countrySelected: "countrySelected" }, providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => CountryInputComponent), multi: true }], usesOnChanges: true, ngImport: i0, template: "<ng-container [ngSwitch]=\"type\">\n\n\t<!-- country code -->\n\t<ng-container *ngSwitchCase=\"1\">\n\n\t\t<div class=\"country-input\">\n\n\t\t\t<select class=\"form-select\" name=\"number-code\" id=\"code\" (change)=\"changeCountrySelect($event);\"\n\t\t\t\t[ngModel]=\"_countrySelected?.Id ?? 0\">\n\t\t\t\t<ng-container *ngIf=\"_countries\">\n\n\t\t\t\t\t<ng-container *ngFor=\"let item of _countries\">\n\t\t\t\t\t\t<option [value]=\"item.Id\">({{ item.CountryCode }}) {{ item.Name }}</option>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t</ng-container>\n\t\t\t</select>\n\n\t\t</div>\n\n\t</ng-container>\n\n\t<!-- default -->\n\t<ng-container *ngSwitchDefault>\n\t\t...\n\t</ng-container>\n\n</ng-container>", styles: [".country-input{height:46px}.country-input select{height:46px;min-width:178px;max-width:130px;border-top-right-radius:0;border-bottom-right-radius:0;border-right:0px solid;background-color:#fbfbfb;border-top:1px solid #e8e8e8;border-bottom:1px solid #e8e8e8;border-left:1px solid #e8e8e8}.country-input select:focus{box-shadow:none}@media (max-width: 575px){.country-input select{font-size:12px;min-width:146px}}\n"], dependencies: [{ kind: "directive", type: i6.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i6.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i6.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i3.NgSwitchDefault, selector: "[ngSwitchDefault]" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-country-input', providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => CountryInputComponent), multi: true }], template: "<ng-container [ngSwitch]=\"type\">\n\n\t<!-- country code -->\n\t<ng-container *ngSwitchCase=\"1\">\n\n\t\t<div class=\"country-input\">\n\n\t\t\t<select class=\"form-select\" name=\"number-code\" id=\"code\" (change)=\"changeCountrySelect($event);\"\n\t\t\t\t[ngModel]=\"_countrySelected?.Id ?? 0\">\n\t\t\t\t<ng-container *ngIf=\"_countries\">\n\n\t\t\t\t\t<ng-container *ngFor=\"let item of _countries\">\n\t\t\t\t\t\t<option [value]=\"item.Id\">({{ item.CountryCode }}) {{ item.Name }}</option>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t</ng-container>\n\t\t\t</select>\n\n\t\t</div>\n\n\t</ng-container>\n\n\t<!-- default -->\n\t<ng-container *ngSwitchDefault>\n\t\t...\n\t</ng-container>\n\n</ng-container>", styles: [".country-input{height:46px}.country-input select{height:46px;min-width:178px;max-width:130px;border-top-right-radius:0;border-bottom-right-radius:0;border-right:0px solid;background-color:#fbfbfb;border-top:1px solid #e8e8e8;border-bottom:1px solid #e8e8e8;border-left:1px solid #e8e8e8}.country-input select:focus{box-shadow:none}@media (max-width: 575px){.country-input select{font-size:12px;min-width:146px}}\n"] }]
        }], ctorParameters: () => [{ type: CountryService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }], propDecorators: { type: [{
                type: Input
            }], disabled: [{
                type: Input
            }], complete: [{
                type: Output
            }], countrySelected: [{
                type: Output
            }] } });

class CountryInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CountryInputModule, declarations: [CountryInputComponent], imports: [FormsModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule], exports: [CountryInputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryInputModule, imports: [FormsModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CountryInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        FormsModule,
                        CommonModule,
                        TranslateModule,
                        ReactiveFormsModule,
                    ],
                    declarations: [
                        CountryInputComponent
                    ],
                    exports: [
                        CountryInputComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class CpForgotPasswordConfigDto {
}
class AuthRestorePasswordCheckUserNameRequestDto {
}
class AuthRestorePasswordRequestDto {
}
class AuthRestorePasswordCheckUserNameResultDto extends GenericResultDto {
}
class AuthRestorePasswordCheckUserNameDto {
}
class AuthRestorePasswordResultDto extends GenericResultDto {
}
class AuthRestorePasswordDetailsDto {
}
class AuthRestorePasswordDetailsSentCodeDto {
}
class AllowSendCodeRestorePasswordDto {
}
class AuthRestorePasswordCheckTwoFactorDto {
}
class RestorePasswordResultDto extends GenericResultDto {
}
class AuthRestorePasswordCompleteRequestDto {
}
class AuthRestorePasswordInfoResultDto extends GenericResultDto {
}
class AuthRestorePasswordInfoDto {
}
class RestorePasswordDto {
}
class AuthRestoreTokenDto {
}

class ForgotPasswordService extends AuthService {
    constructor(router, _http, _translateService, _environment) {
        super(router, _http, _translateService);
        this.router = router;
        this._http = _http;
        this._translateService = _translateService;
        this._environment = _environment;
    }
    checkUserName(t) {
        return this._http.post(`${this._environment.ApiUrl}client/restore-password/check/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    restorePasswordRequest(t) {
        return this._http.post(`${this._environment.ApiUrl}client/restore-password/request/v2`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    restorePasswordRequestCheckCode(t) {
        return this._http.post(`${this._environment.ApiUrl}client/restore-password/checkCode/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    restorePassword(t) {
        return this._http.post(`${this._environment.ApiUrl}client/restore-password/complete/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ForgotPasswordService, deps: [{ token: i1.Router }, { token: i2.HttpClient }, { token: i3$1.TranslateService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ForgotPasswordService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ForgotPasswordService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i2.HttpClient }, { type: i3$1.TranslateService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }] });

var AuthRestorePasswordSendMethodEnum;
(function (AuthRestorePasswordSendMethodEnum) {
    AuthRestorePasswordSendMethodEnum[AuthRestorePasswordSendMethodEnum["Default"] = 0] = "Default";
    AuthRestorePasswordSendMethodEnum[AuthRestorePasswordSendMethodEnum["Email"] = 1] = "Email";
    AuthRestorePasswordSendMethodEnum[AuthRestorePasswordSendMethodEnum["Sms"] = 2] = "Sms";
    AuthRestorePasswordSendMethodEnum[AuthRestorePasswordSendMethodEnum["Call"] = 3] = "Call";
    AuthRestorePasswordSendMethodEnum[AuthRestorePasswordSendMethodEnum["WhatsApp"] = 4] = "WhatsApp";
})(AuthRestorePasswordSendMethodEnum || (AuthRestorePasswordSendMethodEnum = {}));

class EncryptClass {
    constructor() { }
    /**
     * use for generate random string
     *
     * @param pLength
     * @returns
     */
    randomString(pLength) {
        try {
            let result = '';
            const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
            for (var i = 0; i < pLength; i++)
                result += characters.charAt(Math.floor(Math.random() * characters.length));
            return result;
        }
        catch {
            return '';
        }
    }
    /**
     * Use for generate random number
     *
     * @param pLength
     * @returns
     */
    randomNumber(pLength) {
        try {
            let result = '';
            const characters = '0123456789';
            for (var i = 0; i < pLength; i++)
                result += characters.charAt(Math.floor(Math.random() * characters.length));
            return result;
        }
        catch {
            return '';
        }
    }
    sha256(request) {
        try {
            return crypto.SHA256(request).toString();
        }
        catch {
            return '';
        }
    }
    /**
     * base64 encode
     *
     * @param request
     * @returns
     */
    btoa(request) {
        try {
            return Buffer.from(request).toString('base64');
        }
        catch {
            return '';
        }
    }
    /**
     * base 64 decode
     *
     * @param request
     * @returns
     */
    atob(request) {
        try {
            return Buffer.from(request, 'base64').toString('utf-8');
        }
        catch {
            return '';
        }
    }
    decode(request) {
        try {
            return decode(request);
        }
        catch {
            return null;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: EncryptClass, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: EncryptClass }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: EncryptClass, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

function matchPassword(control) {
    try {
        const _password = control.get("Password");
        const _confirm = control.get("RepeatPassword");
        let _error = {};
        /**
         * validations password
         *
         * Upper case
         * Lower case
         * Symbols
         * Characters
         *
         */
        if (_password && _confirm) {
            if (!/[A-Z]+/.test(_password.value))
                _error.passwordNothasUpperCase = true;
            if (!/[a-z]+/.test(_password.value))
                _error.passwordNothasLowerCase = true;
            if (!/[0-9]+/.test(_password.value))
                _error.passwordNothasNumbers = true;
            if (!/[!"`'#%&,.:;<>=@{}~\$\(\)\*\+\/\\\?\[\]\^\|]+/.test(_password.value))
                _error.passwordNothasSpecialCharacter = true;
            if (_password.value && _password.value.toString().length < 8)
                _error.minlengthPassword = true;
            if (_password.value != _confirm.value) // not match passwords 
                _error.matchPassword = true;
            return _error;
        }
    }
    catch { }
    return null;
}
function matchPasswordBasic(control) {
    try {
        const _password = control.get("Password");
        const _confirm = control.get("RepeatPassword");
        let _erros = {};
        /**
         * validations password
         *
         */
        if (_password && _confirm) {
            if (_password.value != _confirm.value) // not match passwords 
                _erros.matchPassword = true;
            return _erros;
        }
    }
    catch { }
    return null;
}

class LoginService extends AuthService {
    constructor(router, _http, _translateService, _environment) {
        super(router, _http, _translateService);
        this.router = router;
        this._http = _http;
        this._translateService = _translateService;
        this._environment = _environment;
    }
    generateSessionToken(t) {
        return this._http.post(`${this._environment.ApiUrl}login/client/requestRedirection/v2`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    getIp() {
        return this._http.get(`https://api.ipify.org?format=json`)
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    getLocation() {
        return this._http.get(`https://ipinfo.io?token=9eb2249c241dfa`) // coinpayip@gmail.com       Pass: 12345Rr.
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: LoginService, deps: [{ token: i1.Router }, { token: i2.HttpClient }, { token: i3$1.TranslateService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: LoginService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: LoginService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i2.HttpClient }, { type: i3$1.TranslateService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }] });

class PlatformService {
    constructor(platformId) {
        this.platformId = platformId;
    }
    isBrowser() {
        return isPlatformBrowser(this.platformId);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: PlatformService, deps: [{ token: PLATFORM_ID }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: PlatformService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: PlatformService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: Object, decorators: [{
                    type: Inject,
                    args: [PLATFORM_ID]
                }] }] });

class ShowHidePasswordDirective {
    constructor(el) {
        this.el = el;
        this._shown = false;
        this.setup();
    }
    /**
     * action with toggle
     *
     * @param span
     */
    async toggle(span) {
        this._shown = !this._shown;
        this.el.nativeElement.setAttribute('type', this._shown ? 'text' : 'password');
        span.innerHTML = `<i class="fas ${this._shown ? 'fa-eye-slash' : 'fa-eye'}"></i>`;
    }
    /**
     * setup eye
     */
    async setup() {
        const _span = document.createElement('span');
        _span.classList.add('cs-directive-show-hide-password');
        _span.innerHTML = `<i class="fas ${this._shown ? 'fa-eye-slash' : 'fa-eye'}"></i>`;
        _span.addEventListener('click', () => { this.toggle(_span); });
        this.el.nativeElement.parentNode.appendChild(_span);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.4", type: ShowHidePasswordDirective, selector: "[appShowHidePassword]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appShowHidePassword]'
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }] });

class ResendCodeButtonComponent {
    constructor(_translateService) {
        this._translateService = _translateService;
        this.requestSms = new EventEmitter();
        this.requestCall = new EventEmitter();
        this.requestEmail = new EventEmitter();
        this.requestWhatsApp = new EventEmitter();
        this.requestTelegram = new EventEmitter();
    }
    ngOnInit() {
        this.init();
    }
    async init() {
        try {
            if (this.config) {
                this.countdownAction(this.config.TimeWaitToStart);
            }
        }
        catch {
        }
    }
    countdownAction(seconds) {
        try {
            /**
             * View action only if exist time
             */
            this._displayCountdown = seconds > 0 && seconds < 31;
            setTimeout(() => {
                if (seconds > 0)
                    this.countdownAction(seconds - 1);
                /**
                 * set time
                 */
                if (this._secondsTimer && this._secondsTimer.nativeElement)
                    this._secondsTimer.nativeElement.innerText = `(${seconds}s)`;
            }, 1000); // await 1 second for default
            /**
             * validate for display help options
             */
            this._displayHelp = seconds == 0;
        }
        catch {
            if (this._secondsTimer && this._secondsTimer.nativeElement)
                this._secondsTimer.nativeElement.innerText = ``;
        }
    }
    async whatsAppDisplayLoading(display = true) { this._loadRequest = display; }
    async whatsAppSent() {
        try {
            this._msjError = '';
            if (this.config) {
                this._loadRequest = false;
                this._sentSmsCodeSuccess = false;
                this._sentCallCodeSuccess = false;
                this._sentEmailCodeSuccess = false;
                this._sentTelegramCodeSuccess = false;
                this._sentCodeSuccess = true;
                this._sentWhatsAppCodeSuccess = true;
                setTimeout(() => {
                    this._loadRequest = false;
                    this._sentCodeSuccess = false;
                    this._sentSmsCodeSuccess = false;
                    this._sentCallCodeSuccess = false;
                    this._sentEmailCodeSuccess = false;
                    this._sentWhatsAppCodeSuccess = false;
                    this._sentTelegramCodeSuccess = false;
                }, (this.config.WaitInterval * 1000));
                this.countdownAction(this.config.TimeWaitToStart);
            }
        }
        catch {
        }
    }
    async smsDisplayLoading(display = true) { this._loadRequest = display; }
    async smsSent() {
        try {
            this._msjError = '';
            if (this.config) {
                this._loadRequest = false;
                this._sentCallCodeSuccess = false;
                this._sentEmailCodeSuccess = false;
                this._sentWhatsAppCodeSuccess = false;
                this._sentTelegramCodeSuccess = false;
                this._sentCodeSuccess = true;
                this._sentSmsCodeSuccess = true;
                setTimeout(() => {
                    this._loadRequest = false;
                    this._sentCodeSuccess = false;
                    this._sentSmsCodeSuccess = false;
                    this._sentCallCodeSuccess = false;
                    this._sentEmailCodeSuccess = false;
                    this._sentWhatsAppCodeSuccess = false;
                    this._sentTelegramCodeSuccess = false;
                }, (this.config.WaitInterval * 1000));
                this.countdownAction(this.config.TimeWaitToStart);
            }
        }
        catch {
        }
    }
    async emailDisplayLoading(display = true) { this._loadRequest = display; }
    async emailSent() {
        try {
            this._msjError = '';
            if (this.config) {
                this._loadRequest = false;
                this._sentSmsCodeSuccess = false;
                this._sentCallCodeSuccess = false;
                this._sentWhatsAppCodeSuccess = false;
                this._sentTelegramCodeSuccess = false;
                this._sentCodeSuccess = true;
                this._sentEmailCodeSuccess = true;
                setTimeout(() => {
                    this._loadRequest = false;
                    this._sentCodeSuccess = false;
                    this._sentSmsCodeSuccess = false;
                    this._sentCallCodeSuccess = false;
                    this._sentEmailCodeSuccess = false;
                    this._sentWhatsAppCodeSuccess = false;
                    this._sentTelegramCodeSuccess = false;
                }, (this.config.WaitInterval * 1000));
                this.countdownAction(this.config.TimeWaitToStart);
            }
        }
        catch {
        }
    }
    async callDisplayLoading(display = true) { this._loadRequest = display; }
    async callRequested() {
        try {
            this._msjError = '';
            if (this.config) {
                this._loadRequest = false;
                this._sentSmsCodeSuccess = false;
                this._sentEmailCodeSuccess = false;
                this._sentWhatsAppCodeSuccess = false;
                this._sentTelegramCodeSuccess = false;
                this._sentCodeSuccess = true;
                this._sentCallCodeSuccess = true;
                setTimeout(() => {
                    this._loadRequest = false;
                    this._sentCodeSuccess = false;
                    this._sentSmsCodeSuccess = false;
                    this._sentCallCodeSuccess = false;
                    this._sentEmailCodeSuccess = false;
                    this._sentWhatsAppCodeSuccess = false;
                    this._sentTelegramCodeSuccess = false;
                }, (this.config.WaitInterval * 1000));
                this.countdownAction(this.config.TimeWaitToStart);
            }
        }
        catch {
        }
    }
    // ************** emiters
    // ************** emiters
    async sendSms() { this.requestSms.emit(true); }
    async sendEmail() { this.requestEmail.emit(true); }
    async sendRequestCall() { this.requestCall.emit(true); }
    async sendWhatsApp() { this.requestWhatsApp.emit(true); }
    async sendTelegram() { this.requestTelegram.emit(true); }
    // *************** generics
    // *************** generics
    async setMsjError(msj = '') {
        try {
            this._msjError = msj && msj != '' ? this._translateService.instant(msj) : '';
        }
        catch {
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonComponent, deps: [{ token: i3$1.TranslateService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: ResendCodeButtonComponent, selector: "app-resend-code-button", inputs: { config: "config" }, outputs: { requestSms: "requestSms", requestCall: "requestCall", requestEmail: "requestEmail", requestWhatsApp: "requestWhatsApp", requestTelegram: "requestTelegram" }, viewQueries: [{ propertyName: "_secondsTimer", first: true, predicate: ["secondsTimer"], descendants: true }], ngImport: i0, template: "<ng-container *ngIf=\"config\">\n\t<div class=\"re-send-code-input\">\n\n\t\t<!-- code helpe options -->\n\t\t<div class=\"re-send-code\">\n\n\t\t\t<!-- loading -->\n\t\t\t<ng-container *ngIf=\"_loadRequest\">\n\t\t\t\t<div class=\"info-loading\">\n\t\t\t\t\t<i class=\"fas fa-cog\"></i>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SendingCode' | translate }}</p>\n\t\t\t\t</div>\n\t\t\t</ng-container>\n\n\t\t\t<ng-container *ngIf=\"!_loadRequest\">\n\n\t\t\t\t<!-- actions -->\n\t\t\t\t<ng-container *ngIf=\"_displayHelp\">\n\t\t\t\t\t<div class=\"action-content\">\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendCode' | translate }}</p>\n\t\t\t\t\t\t<ul>\n\n\t\t\t\t\t\t\t<!-- whatsApp -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendWhatsApp\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendWhatsApp();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fab fa-whatsapp\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendByWhatsApp' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- telegram -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendTelegram\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendTelegram();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fab fa-whatsapp\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendByTelegram' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- sms -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendSms\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendSms();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-paper-plane\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendSmsAgain' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- call -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowRequestCall\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendRequestCall();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-phone\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.RequestCall' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendEmail\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendEmail();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-envelope\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendEmailAgain' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\t\t\t\t</ng-container>\n\n\t\t\t\t<!-- success -->\n\t\t\t\t<ng-container *ngIf=\"_sentCodeSuccess\">\n\t\t\t\t\t<p class=\"re-send-success\">\n\t\t\t\t\t\t<i class=\"fa-duotone fa-circle-check\"></i>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentSmsCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentSms' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentCallCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessRequestCall' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentEmailCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentEmail' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentWhatsAppCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentWhatsApp' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentTelegramCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentTelegram' | translate }}\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</p>\n\t\t\t\t</ng-container>\n\n\t\t\t</ng-container>\n\t\t</div>\n\n\t\t<!--countdown to help -->\n\t\t<ng-container *ngIf=\"_displayCountdown\">\n\t\t\t<div class=\"timer\">\n\t\t\t\t<div class=\"lapse\">\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Form.HelpTimer' | translate }}\n\t\t\t\t\t\t<strong>\n\t\t\t\t\t\t\t<span #secondsTimer></span>\n\t\t\t\t\t\t</strong>\n\t\t\t\t\t</p>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- errors -->\n\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t<div class=\"div-error center\">\n\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t</div>\n</ng-container>", styles: [".re-send-code-input{text-align:center;font-size:14px}.re-send-code-input .action-content ul{list-style:none;padding-left:0;display:flex}.re-send-code-input .action-content ul li{margin-left:5px;margin-right:5px;width:33%}.re-send-code-input .action-content ul li:first-child{margin-left:0}.re-send-code-input .action-content ul li:last-child{margin-right:0}.re-send-code-input .action-content ul li button{border:1px solid #e5e5e5;border-radius:5px;background-color:transparent;padding:10px;width:100%}.re-send-code-input .action-content ul li button i{font-size:20px}.re-send-code-input .action-content ul li button i.fa-whatsapp{color:green}.re-send-code-input .action-content ul li button i.fa-paper-plane{color:#084298}.re-send-code-input .action-content ul li button i.fa-phone{color:#0d6efd}.re-send-code-input .action-content ul li button p{margin-bottom:0}.re-send-code-input .re-send-success{color:#0ec90e}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-resend-code-button', template: "<ng-container *ngIf=\"config\">\n\t<div class=\"re-send-code-input\">\n\n\t\t<!-- code helpe options -->\n\t\t<div class=\"re-send-code\">\n\n\t\t\t<!-- loading -->\n\t\t\t<ng-container *ngIf=\"_loadRequest\">\n\t\t\t\t<div class=\"info-loading\">\n\t\t\t\t\t<i class=\"fas fa-cog\"></i>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SendingCode' | translate }}</p>\n\t\t\t\t</div>\n\t\t\t</ng-container>\n\n\t\t\t<ng-container *ngIf=\"!_loadRequest\">\n\n\t\t\t\t<!-- actions -->\n\t\t\t\t<ng-container *ngIf=\"_displayHelp\">\n\t\t\t\t\t<div class=\"action-content\">\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendCode' | translate }}</p>\n\t\t\t\t\t\t<ul>\n\n\t\t\t\t\t\t\t<!-- whatsApp -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendWhatsApp\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendWhatsApp();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fab fa-whatsapp\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendByWhatsApp' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- telegram -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendTelegram\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendTelegram();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fab fa-whatsapp\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendByTelegram' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- sms -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendSms\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendSms();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-paper-plane\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendSmsAgain' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- call -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowRequestCall\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendRequestCall();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-phone\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.RequestCall' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"config.AllowSendEmail\">\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<button type=\"button\" (click)=\"sendEmail();\">\n\t\t\t\t\t\t\t\t\t\t<i class=\"fa-solid fa-envelope\"></i>\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ReSendCode.Form.SendEmailAgain' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t</ul>\n\t\t\t\t\t</div>\n\t\t\t\t</ng-container>\n\n\t\t\t\t<!-- success -->\n\t\t\t\t<ng-container *ngIf=\"_sentCodeSuccess\">\n\t\t\t\t\t<p class=\"re-send-success\">\n\t\t\t\t\t\t<i class=\"fa-duotone fa-circle-check\"></i>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentSmsCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentSms' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentCallCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessRequestCall' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentEmailCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentEmail' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentWhatsAppCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentWhatsApp' | translate }}\n\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t<ng-container *ngIf=\"_sentTelegramCodeSuccess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Msj.Info.SuccessSentTelegram' | translate }}\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</p>\n\t\t\t\t</ng-container>\n\n\t\t\t</ng-container>\n\t\t</div>\n\n\t\t<!--countdown to help -->\n\t\t<ng-container *ngIf=\"_displayCountdown\">\n\t\t\t<div class=\"timer\">\n\t\t\t\t<div class=\"lapse\">\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ReSendCode.Form.HelpTimer' | translate }}\n\t\t\t\t\t\t<strong>\n\t\t\t\t\t\t\t<span #secondsTimer></span>\n\t\t\t\t\t\t</strong>\n\t\t\t\t\t</p>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- errors -->\n\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t<div class=\"div-error center\">\n\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t</div>\n</ng-container>", styles: [".re-send-code-input{text-align:center;font-size:14px}.re-send-code-input .action-content ul{list-style:none;padding-left:0;display:flex}.re-send-code-input .action-content ul li{margin-left:5px;margin-right:5px;width:33%}.re-send-code-input .action-content ul li:first-child{margin-left:0}.re-send-code-input .action-content ul li:last-child{margin-right:0}.re-send-code-input .action-content ul li button{border:1px solid #e5e5e5;border-radius:5px;background-color:transparent;padding:10px;width:100%}.re-send-code-input .action-content ul li button i{font-size:20px}.re-send-code-input .action-content ul li button i.fa-whatsapp{color:green}.re-send-code-input .action-content ul li button i.fa-paper-plane{color:#084298}.re-send-code-input .action-content ul li button i.fa-phone{color:#0d6efd}.re-send-code-input .action-content ul li button p{margin-bottom:0}.re-send-code-input .re-send-success{color:#0ec90e}\n"] }]
        }], ctorParameters: () => [{ type: i3$1.TranslateService }], propDecorators: { config: [{
                type: Input
            }], requestSms: [{
                type: Output
            }], requestCall: [{
                type: Output
            }], requestEmail: [{
                type: Output
            }], requestWhatsApp: [{
                type: Output
            }], requestTelegram: [{
                type: Output
            }], _secondsTimer: [{
                type: ViewChild,
                args: ['secondsTimer']
            }] } });

class ForgotPasswordComponent {
    get CpLibClickedEnum() { return CpLibClickedEnum; }
    get AuthRestorePasswordSendMethodEnum() { return AuthRestorePasswordSendMethodEnum; }
    constructor(_loginService, _translateService, _forgotPasswordService, _platformService, _environment) {
        this._loginService = _loginService;
        this._translateService = _translateService;
        this._forgotPasswordService = _forgotPasswordService;
        this._platformService = _platformService;
        this._environment = _environment;
        this.displayLoading = new EventEmitter();
        this.sectionClicked = new EventEmitter();
        this._model = {};
        this._isBrowser = this._platformService.isBrowser();
    }
    ngOnInit() {
        this.init();
    }
    async init() {
        try {
            if (this.config && this._isBrowser) {
                this.getIp();
                this.setErrorMsjs();
                this.goStep(0);
            }
        }
        catch { }
    }
    /**
     * Use for check if user is Valid
     *
     */
    async checkUserName() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.valid) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const t = {
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    UserName: this._actionsForm.value['UserName'],
                    Recaptcha: {
                        Token: this._actionsForm.value[`Recaptcha`]
                    }
                };
                const _subscription = this._forgotPasswordService.checkUserName(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._checkUserResult = data.Data;
                            this.goStep(1);
                        }
                        else
                            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidUser');
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); if (this._recaptcha)
                        this._recaptcha.reset(); }
                });
            }
        }
        catch { }
    }
    /**
     * Use for request restore password
     *
     */
    async restoreRequest() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.valid) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const t = {
                    IdUser: this._actionsForm.value['IdUser'],
                    PhoneNumber: this._actionsForm.value['PhoneNumber'],
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    SendMethod: AuthRestorePasswordSendMethodEnum.Default
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequest(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._forgotPasswordDetails = data.Data;
                            // Set info to resen code time and more
                            this._resendCodeConfig = {
                                AllowSendSms: this._forgotPasswordDetails.AllowSendCode.BySms,
                                AllowSendEmail: this._forgotPasswordDetails.AllowSendCode.ByEmail,
                                AllowRequestCall: this._forgotPasswordDetails.AllowSendCode.ByCall,
                                AllowSendWhatsApp: this._forgotPasswordDetails.AllowSendCode.ByWhatsApp,
                                TimeWaitToStart: 60,
                                WaitInterval: 30
                            };
                            this.goStep(2);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -7:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidPhoneNumber');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorRequestPassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch (err) {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for request restore password by whatsapp
     */
    async restoreRequestByWhatsApp() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.get('PhoneNumber').valid && this._resendCodeInput) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                this._resendCodeInput.whatsAppDisplayLoading(true);
                const t = {
                    IdUser: this._actionsForm.value['IdUser'],
                    PhoneNumber: this._actionsForm.value['PhoneNumber'],
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    SendMethod: AuthRestorePasswordSendMethodEnum.WhatsApp
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequest(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._forgotPasswordDetails = data.Data;
                            // Set info to resen code time and more
                            this._resendCodeConfig = {
                                AllowSendSms: this._forgotPasswordDetails.AllowSendCode.BySms,
                                AllowSendEmail: this._forgotPasswordDetails.AllowSendCode.ByEmail,
                                AllowRequestCall: this._forgotPasswordDetails.AllowSendCode.ByCall,
                                AllowSendWhatsApp: this._forgotPasswordDetails.AllowSendCode.ByWhatsApp,
                                TimeWaitToStart: 60,
                                WaitInterval: 30
                            };
                            this._resendCodeInput.whatsAppSent();
                            this.goStep(2);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -4:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidPhoneNumber');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorRequestPassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.whatsAppDisplayLoading(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.whatsAppDisplayLoading(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for request restore password by sms
     */
    async restoreRequestBySms() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.get('PhoneNumber').valid && this._resendCodeInput) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                this._resendCodeInput.smsDisplayLoading(true);
                const t = {
                    IdUser: this._actionsForm.value['IdUser'],
                    PhoneNumber: this._actionsForm.value['PhoneNumber'],
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    SendMethod: AuthRestorePasswordSendMethodEnum.Sms
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequest(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._forgotPasswordDetails = data.Data;
                            // Set info to resen code time and more
                            this._resendCodeConfig = {
                                AllowSendSms: this._forgotPasswordDetails.AllowSendCode.BySms,
                                AllowSendEmail: this._forgotPasswordDetails.AllowSendCode.ByEmail,
                                AllowRequestCall: this._forgotPasswordDetails.AllowSendCode.ByCall,
                                AllowSendWhatsApp: this._forgotPasswordDetails.AllowSendCode.ByWhatsApp,
                                TimeWaitToStart: 60,
                                WaitInterval: 30
                            };
                            this._resendCodeInput.smsSent();
                            this.goStep(2);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -4:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidPhoneNumber');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorRequestPassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.smsDisplayLoading(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.smsDisplayLoading(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch (err) {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for request restore password by call
     */
    async restoreRequestByCall() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.get('PhoneNumber').valid && this._resendCodeInput) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                this._resendCodeInput.callDisplayLoading(true);
                const t = {
                    IdUser: this._actionsForm.value['IdUser'],
                    PhoneNumber: this._actionsForm.value['PhoneNumber'],
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    SendMethod: AuthRestorePasswordSendMethodEnum.Call
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequest(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._forgotPasswordDetails = data.Data;
                            // Set info to resen code time and more
                            this._resendCodeConfig = {
                                AllowSendSms: this._forgotPasswordDetails.AllowSendCode.BySms,
                                AllowSendEmail: this._forgotPasswordDetails.AllowSendCode.ByEmail,
                                AllowRequestCall: this._forgotPasswordDetails.AllowSendCode.ByCall,
                                AllowSendWhatsApp: this._forgotPasswordDetails.AllowSendCode.ByWhatsApp,
                                TimeWaitToStart: 60,
                                WaitInterval: 30
                            };
                            this._resendCodeInput.callRequested();
                            this.goStep(2);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -4:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidPhoneNumber');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorRequestPassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.callDisplayLoading(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.callDisplayLoading(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch (err) {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for request restore password by email
     */
    async restoreRequestByEmail() {
        try {
            this._msjError = '';
            if (this._actionsForm && this._actionsForm.get('PhoneNumber').valid && this._resendCodeInput) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                this._resendCodeInput.emailDisplayLoading(true);
                const t = {
                    IdUser: this._actionsForm.value['IdUser'],
                    PhoneNumber: this._actionsForm.value['PhoneNumber'],
                    Ip: this._ipDetails.ip ?? '1.0.0.190',
                    IdSite: this._environment.IdSite,
                    SendMethod: AuthRestorePasswordSendMethodEnum.Email
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequest(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._forgotPasswordDetails = data.Data;
                            // Set info to resen code time and more
                            this._resendCodeConfig = {
                                AllowSendSms: this._forgotPasswordDetails.AllowSendCode.BySms,
                                AllowSendEmail: this._forgotPasswordDetails.AllowSendCode.ByEmail,
                                AllowRequestCall: this._forgotPasswordDetails.AllowSendCode.ByCall,
                                AllowSendWhatsApp: this._forgotPasswordDetails.AllowSendCode.ByWhatsApp,
                                TimeWaitToStart: 60,
                                WaitInterval: 30
                            };
                            this._resendCodeInput.emailSent();
                            this.goStep(2);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -4:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidUser');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorRequestPassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.emailDisplayLoading(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this._resendCodeInput.emailDisplayLoading(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for checko two-factor code
     *
     */
    async checkRestoreCode() {
        try {
            this._msjError = '';
            if (this._forgotPasswordDetails && this._actionsForm && this._actionsForm.valid) {
                this._model.loadCheckCode = true;
                this.displayLoading.emit(true);
                const t = {
                    Token: this._forgotPasswordDetails.Token,
                    TwoFactorCode: this._actionsForm.value['TwoFactorCode']
                };
                const _subscription = this._forgotPasswordService.restorePasswordRequestCheckCode(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this.goStep(3);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -5:
                                case -7:
                                case -8:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorExpiredRequest');
                                    break;
                                case -9:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidCode');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorCheckCode');
                                    break;
                            }
                        }
                        this._model.loadCheckCode = false;
                        this.displayLoading.emit(false);
                    }, error: () => {
                        this._model.loadCheckCode = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadCheckCode = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for complete restore password
     *
     */
    async restorePassword() {
        try {
            this._msjError = '';
            if (this._forgotPasswordDetails && this._actionsForm && this._actionsForm.valid) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const t = {
                    Token: this._forgotPasswordDetails.Token,
                    TwoFactorCode: this._actionsForm.value['TwoFactorCode'],
                    Password: (new EncryptClass()).btoa(this._actionsForm.value['Password'])
                };
                const _subscription = this._forgotPasswordService.restorePassword(t).subscribe({
                    next: data => {
                        if (data && data.StatusCode == StatusCodeEnum.Success) {
                            this._restorePasswordResult = data.Data;
                            this.goStep(4);
                        }
                        else {
                            switch (data?.StatusCode ?? 0) {
                                case -5:
                                case -7:
                                case -8:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorExpiredRequest');
                                    break;
                                case -9:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.InvalidCode');
                                    break;
                                default:
                                    this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ErrorChangePassword');
                                    break;
                            }
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
                    }, complete: () => { _subscription.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.ForgotPassword.Msj.Error.ProcessError');
        }
    }
    // ***************** get ip
    // ***************** get ip
    async getIp() {
        try {
            const _subscription = this._loginService.getIp().subscribe({
                next: data => {
                    this._ipDetails = data;
                }, error: () => { },
                complete: () => { _subscription.unsubscribe(); }
            });
        }
        catch { }
    }
    // ***************** generics
    // ***************** generics
    /**
     * Use for go specific step
     *
     * @param step
     */
    async goStep(step) {
        try {
            this._msjError = '';
            this._step = step;
            this.setStep();
        }
        catch { }
    }
    /**
     * Use for set reactive form
     */
    async setStep() {
        try {
            switch (this._step) {
                case 0:
                    this._actionsForm = new FormGroup({
                        UserName: new FormControl('', [Validators.required]),
                        Recaptcha: new FormControl('', [Validators.required])
                    });
                    this._actionsForm.get('UserName').valueChanges.subscribe(() => {
                        if (this._actionsForm.invalid)
                            this._msjError = '';
                    });
                    break;
                case 1:
                    if (this._checkUserResult) {
                        this._actionsForm = new FormGroup({
                            IdUser: new FormControl(this._checkUserResult.IdUser),
                            Name: new FormControl(this._checkUserResult.Name),
                            PhoneNumber: new FormControl('', [Validators.required])
                        });
                    }
                    break;
                case 2:
                    if (this._actionsForm) {
                        this._actionsForm = new FormGroup({
                            IdUser: new FormControl(this._actionsForm.value['IdUser']),
                            Name: new FormControl(this._actionsForm.value['Name']),
                            PhoneNumber: new FormControl(this._actionsForm.value['PhoneNumber']),
                            TwoFactorCode: new FormControl('', [Validators.required])
                        });
                        this._actionsForm.get('TwoFactorCode').valueChanges.subscribe(() => {
                            if (this._actionsForm.invalid)
                                this._msjError = '';
                        });
                    }
                    break;
                case 3:
                    if (this._actionsForm) {
                        this._actionsForm = new FormGroup({
                            IdUser: new FormControl(this._actionsForm.value['IdUser']),
                            Name: new FormControl(this._actionsForm.value['Name']),
                            PhoneNumber: new FormControl(this._actionsForm.value['PhoneNumber']),
                            TwoFactorCode: new FormControl(this._actionsForm.value['TwoFactorCode']),
                            Password: new FormControl('', Validators.compose([Validators.required, Validators.minLength(8), Validators.minLength(8)])), // , Validators.pattern(_regPass)
                            RepeatPassword: new FormControl('', Validators.compose([Validators.required]))
                        }, { validators: matchPassword });
                        this._actionsForm.get('Password').valueChanges.subscribe(() => {
                            if (this._actionsForm.invalid)
                                this._msjError = '';
                        });
                        this._actionsForm.get('RepeatPassword').valueChanges.subscribe(() => {
                            if (this._actionsForm.invalid)
                                this._msjError = '';
                        });
                    }
                    break;
            }
        }
        catch { }
    }
    /**
     * Use for set errors msj in form
     */
    async setErrorMsjs() {
        try {
            this._msj_errors = {
                UserName: [{ type: 'required', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.Required' }],
                Recaptcha: [{ type: 'required', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.Required' }],
                Password: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.MinLengthPassword' },
                    { type: 'passwordNothasUpperCase', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.PasswordNothasUpperCase' },
                    { type: 'passwordNothasLowerCase', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.PasswordNothasLowerCase' },
                    { type: 'passwordNothasNumbers', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.PasswordNothasNumbers' },
                    { type: 'passwordNothasSpecialCharacter', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.PasswordNothasSpecialCharacter' }
                ],
                RepeatPassword: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.Required' },
                    { type: 'matchPassword', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.EqualsPasswords' }
                ],
                TwoFactorCode: [{ type: 'required', message: 'Coinpay-cr-fe-core.ForgotPassword.InputsErrors.Required' }]
            };
        }
        catch { }
    }
    async setMsjError(msj = '', msj2 = '') {
        try {
            this._msjError = msj && msj != '' ? this._translateService.instant(msj) : '';
            if (msj2 && msj2 != '')
                this._msjError += this._translateService.instant(msj2);
        }
        catch { }
    }
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection) {
        try {
            this.sectionClicked.emit(idSection);
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ForgotPasswordComponent, deps: [{ token: LoginService }, { token: i3$1.TranslateService }, { token: ForgotPasswordService }, { token: PlatformService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.4", type: ForgotPasswordComponent, selector: "cp-forgot-password", inputs: { config: "config" }, outputs: { displayLoading: "displayLoading", sectionClicked: "sectionClicked" }, viewQueries: [{ propertyName: "_recaptcha", first: true, predicate: ["recaptchaElem"], descendants: true }, { propertyName: "_resendCodeInput", first: true, predicate: ["resendCodeInput"], descendants: true }], ngImport: i0, template: "<div class=\"forgot-password\">\n\t<ng-container *ngIf=\"config\">\n\t\t<!-- check user -->\n\t\t<ng-container *ngIf=\"_step == 0 && _actionsForm\">\n\t\t\t<div class=\"step1\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ForgotPassword' | translate }}</h1>\n\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Msj' | translate }}</p>\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"checkUserName()\">\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<!-- username -->\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input id=\"email\" type=\"text\" formControlName=\"UserName\" class=\"form-control UserName\" placeholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.User' | translate }}\" />\n\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('UserName').hasError(error.type) && (_actionsForm.get('UserName').dirty || _actionsForm.get('UserName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.Validating' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- captcha -->\n\t\t\t\t\t\t @if(_isBrowser){\n\t\t\t\t\t\t\t <div class=\"recaptcha\">\n\t\t\t\t\t\t\t\t <re-captcha #recaptchaElem formControlName=\"Recaptcha\"> </re-captcha>\n\t \n\t\t\t\t\t\t\t\t <ng-container *ngIf=\"_msj_errors && _msj_errors.Recaptcha\">\n\t\t\t\t\t\t\t\t\t <ng-container *ngFor=\"let error of _msj_errors.Recaptcha\">\n\t\t\t\t\t\t\t\t\t\t <div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t <ng-container *ngIf=\"_actionsForm.get('Recaptcha').hasError(error.type) && (_actionsForm.get('Recaptcha').dirty || _actionsForm.get('Recaptcha').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t <div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t {{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t }\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Continue' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.get('UserName').valid\">\n\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goSection(CpLibClickedEnum.Login)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- request -->\n\t\t<ng-container *ngIf=\"_step == 1 && _actionsForm\">\n\t\t\t<ng-container>\n\t\t\t\t<div class=\"step1\">\n\t\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ForgotPassword' | translate }}</h1>\n\n\t\t\t\t\t<!--<p> {{ _actionsForm.value['Name'] }}</p>-->\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.MsjPhoneNumber' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"restoreRequest()\">\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input id=\"phone\" type=\"text\" formControlName=\"PhoneNumber\" class=\"form-control UserName\" placeholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.PhoneNumberHelp' | translate }}\" />\n\t\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.SendingCode' | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Continue' | translate }}\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t<a class=\"back\" (click)=\"goStep(0)\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t\t</a>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</ng-container>\n\t\t</ng-container>\n\n\t\t<!-- code -->\n\t\t<ng-container *ngIf=\"_step == 2 && _actionsForm\">\n\t\t\t<div class=\"step2\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.EnterCode' | translate }}</h1>\n\t\t\t\t<p>\n\t\t\t\t\t{{ _actionsForm.value['Name'] }}, {{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.SendCodeInfo' | translate }}\n\t\t\t\t\t<ng-container *ngIf=\"_forgotPasswordDetails && _forgotPasswordDetails.SentDetails\">\n\t\t\t\t\t\t<strong>{{ _forgotPasswordDetails.SentDetails.Contact }}</strong>\n\t\t\t\t\t</ng-container>\n\t\t\t\t</p>\n\n\t\t\t\t<p [innerHTML]=\"'Coinpay-cr-fe-core.ForgotPassword.Form.SendCode' | translate\"></p>\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"checkRestoreCode()\">\n\t\t\t\t\t<div class=\"form-group detail-item\">\n\t\t\t\t\t\t<cp-coinpay-code-input\n\t\t\t\t\t\t\t[boxes]=\"6\"\n\t\t\t\t\t\t\t[isNumeric]=\"true\"\n\t\t\t\t\t\t\t[allowPaste]=\"true\"\n\t\t\t\t\t\t\t[allowAutoPaste]=\"true\"\n\t\t\t\t\t\t\t(completePaste)=\"checkRestoreCode()\"\n\t\t\t\t\t\t\tformControlName=\"TwoFactorCode\"\n\t\t\t\t\t\t></cp-coinpay-code-input>\n\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t<!--Loading-->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadCheckCode\">\n\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.Verifying' | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t<app-resend-code-button\n\t\t\t\t\t\t\t#resendCodeInput\n\t\t\t\t\t\t\t[config]=\"_resendCodeConfig\"\n\t\t\t\t\t\t\t(requestEmail)=\"restoreRequestByEmail()\"\n\t\t\t\t\t\t\t(requestSms)=\"restoreRequestBySms()\"\n\t\t\t\t\t\t\t(requestCall)=\"restoreRequestByCall()\"\n\t\t\t\t\t\t\t(requestWhatsApp)=\"restoreRequestByWhatsApp()\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t</app-resend-code-button>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess || _model.loadCheckCode\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Verify' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- change password -->\n\t\t<ng-container *ngIf=\"_step == 3 && _actionsForm\">\n\t\t\t<div class=\"step3\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.CreatePassword' | translate }}</h1>\n\n\t\t\t\t<p>\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.CreateMsj' | translate }}\n\t\t\t\t</p>\n\t\t\t\t<!--<p>{{ _actionsForm.value['Name'] }}</p>-->\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"restorePassword()\">\n\t\t\t\t\t<!-- password -->\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\ttype=\"password\"\n\t\t\t\t\t\t\t\tformControlName=\"Password\"\n\t\t\t\t\t\t\t\tclass=\"form-control Password\"\n\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.AddPassword' | translate }}\"\n\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- repeat -->\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\ttype=\"Password\"\n\t\t\t\t\t\t\t\tformControlName=\"RepeatPassword\"\n\t\t\t\t\t\t\t\tclass=\"form-control RepeatPassword\"\n\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ConfirmPassword' | translate }}\"\n\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').dirty || _actionsForm.get('RepeatPassword').touched\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.RestorePassword' | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Confirm' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goStep(2)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- success -->\n\t\t<ng-container *ngIf=\"_step == 4 && _actionsForm\">\n\t\t\t<div class=\"step4\">\n\t\t\t\t<ng-content select=\"[forgot-set-img]\"></ng-content>\n\t\t\t\t<h4>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.PasswordReset' | translate }}</h4>\n\t\t\t\t<p>\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.PasswordResetDetails' | translate : { name: _actionsForm.value['Name'] } }}\n\t\t\t\t</p>\n\n\t\t\t\t<button class=\"btn btn-primary btn-login\" type=\"button\" (click)=\"goSection(CpLibClickedEnum.Login)\">\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.GoToLogin' | translate }}\n\t\t\t\t</button>\n\t\t\t</div>\n\t\t</ng-container>\n\t</ng-container>\n</div>\n", styles: [".forgot-password{position:relative}.forgot-password .step1{max-width:300px;margin:auto}.forgot-password .step1 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step1 p{text-align:center}.forgot-password .step1 .form-group .user-box{position:relative}.forgot-password .step1 .form-group .user-box input{width:100%;font-size:16px;color:#000;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:center}.forgot-password .step1 .form-group .user-box input:focus~label,.forgot-password .step1 .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.forgot-password .step1 .form-group .user-box .messages-action{margin-bottom:25px}.forgot-password .step1 .form-group .user-box .messages-action p{text-align:left}.forgot-password .step1 .form-group .user-box .messages-action .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step1 .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.forgot-password .step1 .form-group .user-box label i{color:#08199a}.forgot-password .step1 .form-group .user-box .error-messages .error-message{width:100%;font-size:12px;color:#dc3545;margin-bottom:-16px}.forgot-password .step1 button{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.forgot-password .step1 .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step2{max-width:300px;margin:auto}.forgot-password .step2 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step2 form,.forgot-password .step2 form .detail-item{position:relative}.forgot-password .step2 form .detail-item ::ng-deep .coinpay-code-input .code-input input{max-width:40px;height:45px}.forgot-password .step2 form .detail-item .messages-action{margin-bottom:25px}.forgot-password .step2 form .detail-item .messages-action p{text-align:left}.forgot-password .step2 form .detail-item .messages-action .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step2 form .detail-item .error-messages .error-message{color:#dc3545;font-size:12px;margin:auto;text-align:left}.forgot-password .step2 form button{font-size:15px;margin-top:30px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.forgot-password .step2 form .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step3{max-width:300px;margin:auto}.forgot-password .step3 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step3 p{margin-bottom:30px;text-align:center}.forgot-password .step3 .form-group:nth-child(2){margin-top:16px;margin-bottom:30px}.forgot-password .step3 .form-group .user-box{position:relative}.forgot-password .step3 .form-group .user-box input{width:100%;font-size:16px;color:#000;margin-bottom:10px;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:left}.forgot-password .step3 .form-group .user-box input:focus~label,.forgot-password .step3 .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.forgot-password .step3 .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.forgot-password .step3 .form-group .user-box label i{color:#08199a}.forgot-password .step3 .form-group .user-box .error-messages .error-message{width:100%;font-size:80%;text-align:right;color:#dc3545;line-height:15px}.forgot-password .step3 .form-group .user-box ::ng-deep .cs-directive-show-hide-password{position:absolute;right:0;top:11px}.forgot-password .step3 .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step3 button{font-size:15px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px}.forgot-password .step3 .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step4{text-align:center}.forgot-password .section-error p{font-size:12px;color:red;text-align:left;margin-bottom:0}\n"], dependencies: [{ kind: "directive", type: i6.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i6.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i6.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i6.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: i7.RecaptchaComponent, selector: "re-captcha", inputs: ["id", "siteKey", "theme", "type", "size", "tabIndex", "badge", "errorMode"], outputs: ["resolved", "error", "errored"], exportAs: ["reCaptcha"] }, { kind: "directive", type: i7.RecaptchaValueAccessorDirective, selector: "re-captcha[formControlName],re-captcha[formControl],re-captcha[ngModel]" }, { kind: "component", type: CoinpayCodeInputComponent, selector: "cp-coinpay-code-input", inputs: ["boxes", "inputType", "disabled", "isNumeric", "allowPaste", "allowAutoPaste"], outputs: ["complete", "completePaste"] }, { kind: "directive", type: ShowHidePasswordDirective, selector: "[appShowHidePassword]" }, { kind: "component", type: ResendCodeButtonComponent, selector: "app-resend-code-button", inputs: ["config"], outputs: ["requestSms", "requestCall", "requestEmail", "requestWhatsApp", "requestTelegram"] }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ForgotPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-forgot-password', template: "<div class=\"forgot-password\">\n\t<ng-container *ngIf=\"config\">\n\t\t<!-- check user -->\n\t\t<ng-container *ngIf=\"_step == 0 && _actionsForm\">\n\t\t\t<div class=\"step1\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ForgotPassword' | translate }}</h1>\n\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Msj' | translate }}</p>\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"checkUserName()\">\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<!-- username -->\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input id=\"email\" type=\"text\" formControlName=\"UserName\" class=\"form-control UserName\" placeholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.User' | translate }}\" />\n\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('UserName').hasError(error.type) && (_actionsForm.get('UserName').dirty || _actionsForm.get('UserName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.Validating' | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- captcha -->\n\t\t\t\t\t\t @if(_isBrowser){\n\t\t\t\t\t\t\t <div class=\"recaptcha\">\n\t\t\t\t\t\t\t\t <re-captcha #recaptchaElem formControlName=\"Recaptcha\"> </re-captcha>\n\t \n\t\t\t\t\t\t\t\t <ng-container *ngIf=\"_msj_errors && _msj_errors.Recaptcha\">\n\t\t\t\t\t\t\t\t\t <ng-container *ngFor=\"let error of _msj_errors.Recaptcha\">\n\t\t\t\t\t\t\t\t\t\t <div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t <ng-container *ngIf=\"_actionsForm.get('Recaptcha').hasError(error.type) && (_actionsForm.get('Recaptcha').dirty || _actionsForm.get('Recaptcha').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t <div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t {{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t\t </ng-container>\n\t\t\t\t\t\t\t </div>\n\t\t\t\t\t\t }\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Continue' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.get('UserName').valid\">\n\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goSection(CpLibClickedEnum.Login)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- request -->\n\t\t<ng-container *ngIf=\"_step == 1 && _actionsForm\">\n\t\t\t<ng-container>\n\t\t\t\t<div class=\"step1\">\n\t\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ForgotPassword' | translate }}</h1>\n\n\t\t\t\t\t<!--<p> {{ _actionsForm.value['Name'] }}</p>-->\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.MsjPhoneNumber' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"restoreRequest()\">\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input id=\"phone\" type=\"text\" formControlName=\"PhoneNumber\" class=\"form-control UserName\" placeholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.PhoneNumberHelp' | translate }}\" />\n\t\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.SendingCode' | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Continue' | translate }}\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t<a class=\"back\" (click)=\"goStep(0)\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t\t</a>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</ng-container>\n\t\t</ng-container>\n\n\t\t<!-- code -->\n\t\t<ng-container *ngIf=\"_step == 2 && _actionsForm\">\n\t\t\t<div class=\"step2\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.EnterCode' | translate }}</h1>\n\t\t\t\t<p>\n\t\t\t\t\t{{ _actionsForm.value['Name'] }}, {{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.SendCodeInfo' | translate }}\n\t\t\t\t\t<ng-container *ngIf=\"_forgotPasswordDetails && _forgotPasswordDetails.SentDetails\">\n\t\t\t\t\t\t<strong>{{ _forgotPasswordDetails.SentDetails.Contact }}</strong>\n\t\t\t\t\t</ng-container>\n\t\t\t\t</p>\n\n\t\t\t\t<p [innerHTML]=\"'Coinpay-cr-fe-core.ForgotPassword.Form.SendCode' | translate\"></p>\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"checkRestoreCode()\">\n\t\t\t\t\t<div class=\"form-group detail-item\">\n\t\t\t\t\t\t<cp-coinpay-code-input\n\t\t\t\t\t\t\t[boxes]=\"6\"\n\t\t\t\t\t\t\t[isNumeric]=\"true\"\n\t\t\t\t\t\t\t[allowPaste]=\"true\"\n\t\t\t\t\t\t\t[allowAutoPaste]=\"true\"\n\t\t\t\t\t\t\t(completePaste)=\"checkRestoreCode()\"\n\t\t\t\t\t\t\tformControlName=\"TwoFactorCode\"\n\t\t\t\t\t\t></cp-coinpay-code-input>\n\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t<!--Loading-->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.loadCheckCode\">\n\t\t\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.Verifying' | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t<app-resend-code-button\n\t\t\t\t\t\t\t#resendCodeInput\n\t\t\t\t\t\t\t[config]=\"_resendCodeConfig\"\n\t\t\t\t\t\t\t(requestEmail)=\"restoreRequestByEmail()\"\n\t\t\t\t\t\t\t(requestSms)=\"restoreRequestBySms()\"\n\t\t\t\t\t\t\t(requestCall)=\"restoreRequestByCall()\"\n\t\t\t\t\t\t\t(requestWhatsApp)=\"restoreRequestByWhatsApp()\"\n\t\t\t\t\t\t>\n\t\t\t\t\t\t</app-resend-code-button>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess || _model.loadCheckCode\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Verify' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- change password -->\n\t\t<ng-container *ngIf=\"_step == 3 && _actionsForm\">\n\t\t\t<div class=\"step3\">\n\t\t\t\t<h1>{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.CreatePassword' | translate }}</h1>\n\n\t\t\t\t<p>\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.CreateMsj' | translate }}\n\t\t\t\t</p>\n\t\t\t\t<!--<p>{{ _actionsForm.value['Name'] }}</p>-->\n\n\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"restorePassword()\">\n\t\t\t\t\t<!-- password -->\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\ttype=\"password\"\n\t\t\t\t\t\t\t\tformControlName=\"Password\"\n\t\t\t\t\t\t\t\tclass=\"form-control Password\"\n\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.AddPassword' | translate }}\"\n\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- repeat -->\n\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\ttype=\"Password\"\n\t\t\t\t\t\t\t\tformControlName=\"RepeatPassword\"\n\t\t\t\t\t\t\t\tclass=\"form-control RepeatPassword\"\n\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.ConfirmPassword' | translate }}\"\n\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').dirty || _actionsForm.get('RepeatPassword').touched\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<ng-container *ngIf=\"_model.loadProcess\">\n\t\t\t\t\t\t<div class=\"loading-form\">\n\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.RestorePassword' | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<button type=\"submit\" class=\"btn btn-primary btn-login\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Confirm' | translate }}\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<a class=\"back\" (click)=\"goStep(2)\">\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t</a>\n\t\t\t\t</form>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- success -->\n\t\t<ng-container *ngIf=\"_step == 4 && _actionsForm\">\n\t\t\t<div class=\"step4\">\n\t\t\t\t<ng-content select=\"[forgot-set-img]\"></ng-content>\n\t\t\t\t<h4>{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.PasswordReset' | translate }}</h4>\n\t\t\t\t<p>\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Msj.Info.PasswordResetDetails' | translate : { name: _actionsForm.value['Name'] } }}\n\t\t\t\t</p>\n\n\t\t\t\t<button class=\"btn btn-primary btn-login\" type=\"button\" (click)=\"goSection(CpLibClickedEnum.Login)\">\n\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.GoToLogin' | translate }}\n\t\t\t\t</button>\n\t\t\t</div>\n\t\t</ng-container>\n\t</ng-container>\n</div>\n", styles: [".forgot-password{position:relative}.forgot-password .step1{max-width:300px;margin:auto}.forgot-password .step1 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step1 p{text-align:center}.forgot-password .step1 .form-group .user-box{position:relative}.forgot-password .step1 .form-group .user-box input{width:100%;font-size:16px;color:#000;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:center}.forgot-password .step1 .form-group .user-box input:focus~label,.forgot-password .step1 .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.forgot-password .step1 .form-group .user-box .messages-action{margin-bottom:25px}.forgot-password .step1 .form-group .user-box .messages-action p{text-align:left}.forgot-password .step1 .form-group .user-box .messages-action .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step1 .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.forgot-password .step1 .form-group .user-box label i{color:#08199a}.forgot-password .step1 .form-group .user-box .error-messages .error-message{width:100%;font-size:12px;color:#dc3545;margin-bottom:-16px}.forgot-password .step1 button{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.forgot-password .step1 .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step2{max-width:300px;margin:auto}.forgot-password .step2 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step2 form,.forgot-password .step2 form .detail-item{position:relative}.forgot-password .step2 form .detail-item ::ng-deep .coinpay-code-input .code-input input{max-width:40px;height:45px}.forgot-password .step2 form .detail-item .messages-action{margin-bottom:25px}.forgot-password .step2 form .detail-item .messages-action p{text-align:left}.forgot-password .step2 form .detail-item .messages-action .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step2 form .detail-item .error-messages .error-message{color:#dc3545;font-size:12px;margin:auto;text-align:left}.forgot-password .step2 form button{font-size:15px;margin-top:30px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.forgot-password .step2 form .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step3{max-width:300px;margin:auto}.forgot-password .step3 h1{font-size:30px;margin-bottom:25px;text-align:center}.forgot-password .step3 p{margin-bottom:30px;text-align:center}.forgot-password .step3 .form-group:nth-child(2){margin-top:16px;margin-bottom:30px}.forgot-password .step3 .form-group .user-box{position:relative}.forgot-password .step3 .form-group .user-box input{width:100%;font-size:16px;color:#000;margin-bottom:10px;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:left}.forgot-password .step3 .form-group .user-box input:focus~label,.forgot-password .step3 .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.forgot-password .step3 .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.forgot-password .step3 .form-group .user-box label i{color:#08199a}.forgot-password .step3 .form-group .user-box .error-messages .error-message{width:100%;font-size:80%;text-align:right;color:#dc3545;line-height:15px}.forgot-password .step3 .form-group .user-box ::ng-deep .cs-directive-show-hide-password{position:absolute;right:0;top:11px}.forgot-password .step3 .loading-form p{text-align:right;color:#0ec90e;font-size:12px}.forgot-password .step3 button{font-size:15px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px}.forgot-password .step3 .back{text-align:center;margin-left:auto;margin-right:auto;display:block;margin-top:15px;text-decoration:none}.forgot-password .step4{text-align:center}.forgot-password .section-error p{font-size:12px;color:red;text-align:left;margin-bottom:0}\n"] }]
        }], ctorParameters: () => [{ type: LoginService }, { type: i3$1.TranslateService }, { type: ForgotPasswordService }, { type: PlatformService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }], propDecorators: { config: [{
                type: Input
            }], _recaptcha: [{
                type: ViewChild,
                args: ['recaptchaElem']
            }], _resendCodeInput: [{
                type: ViewChild,
                args: ['resendCodeInput']
            }], displayLoading: [{
                type: Output
            }], sectionClicked: [{
                type: Output
            }] } });

class ShowHidePasswordModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordModule, declarations: [ShowHidePasswordDirective], imports: [CommonModule,
            FormsModule,
            TranslateModule], exports: [ShowHidePasswordDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordModule, imports: [CommonModule,
            FormsModule,
            TranslateModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ShowHidePasswordModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule
                    ],
                    declarations: [
                        ShowHidePasswordDirective
                    ],
                    exports: [
                        ShowHidePasswordDirective
                    ]
                }]
        }] });

class ResendCodeButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonModule, declarations: [ResendCodeButtonComponent], imports: [CommonModule,
            FormsModule,
            TranslateModule,
            ReactiveFormsModule], exports: [ResendCodeButtonComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonModule, imports: [CommonModule,
            FormsModule,
            TranslateModule,
            ReactiveFormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: ResendCodeButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ResendCodeButtonComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        ReactiveFormsModule
                    ],
                    exports: [
                        ResendCodeButtonComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class CpForgotPasswordModule {
    static forRoot(environment) {
        return {
            ngModule: CpForgotPasswordModule,
            providers: [
                {
                    provide: 'environmentCpFeCore', // you can also use InjectionToken
                    useValue: environment // use in any option -> @Inject('env') private ...
                }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpForgotPasswordModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CpForgotPasswordModule, declarations: [ForgotPasswordComponent], imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            RecaptchaModule,
            CountryInputModule,
            RecaptchaFormsModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule,
            ResendCodeButtonModule], exports: [ForgotPasswordComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpForgotPasswordModule, imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            RecaptchaModule,
            CountryInputModule,
            RecaptchaFormsModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule,
            ResendCodeButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpForgotPasswordModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ForgotPasswordComponent
                    ],
                    imports: [
                        FormsModule,
                        RouterModule,
                        CommonModule,
                        TranslateModule,
                        ReactiveFormsModule,
                        RecaptchaModule,
                        CountryInputModule,
                        RecaptchaFormsModule,
                        CoinpayCodeInputModule,
                        ShowHidePasswordModule,
                        ResendCodeButtonModule
                    ],
                    exports: [
                        ForgotPasswordComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class CpLoginConfigDto {
}
class AutoAccessLoginRequestDto {
}
class AuthSessionClientRequestDto {
}
class AuthSessionClientDetailsRequestDto {
}
class AuthSessionUserClientRedirectionResultDto extends GenericResultDto {
}
class AuthSessionClientRedirectionDetailsDto {
}
class CpLocationDto {
}
class CpIpDto {
}

var IdUserStatusVerifationEnum;
(function (IdUserStatusVerifationEnum) {
    IdUserStatusVerifationEnum[IdUserStatusVerifationEnum["NotVerified"] = 0] = "NotVerified";
    IdUserStatusVerifationEnum[IdUserStatusVerifationEnum["Verified"] = 1] = "Verified";
    IdUserStatusVerifationEnum[IdUserStatusVerifationEnum["InProcess"] = 2] = "InProcess";
})(IdUserStatusVerifationEnum || (IdUserStatusVerifationEnum = {}));
var LoginActionEnum;
(function (LoginActionEnum) {
    LoginActionEnum[LoginActionEnum["RedirecBackend"] = 0] = "RedirecBackend";
    LoginActionEnum[LoginActionEnum["OnlyLogin"] = 1] = "OnlyLogin";
})(LoginActionEnum || (LoginActionEnum = {}));

class LoginComponent {
    get CpLibClickedEnum() { return CpLibClickedEnum; }
    constructor(_router, _loginService, _translateService, _deviceService) {
        this._router = _router;
        this._loginService = _loginService;
        this._translateService = _translateService;
        this._deviceService = _deviceService;
        this.successLogin = new EventEmitter();
        this.displayLogin = new EventEmitter();
        this.displayLoading = new EventEmitter();
        this.sectionClicked = new EventEmitter();
        this._model = {};
    }
    ngOnInit() {
        this.init();
    }
    ngAfterViewInit() { }
    ngOnDestroy() { }
    async init() {
        try {
            if (this.config) {
                this.getIp();
                this.getLocation();
                this.goStep(0);
                this.setErrorMsjs();
            }
        }
        catch { }
    }
    /**
     * Action for generate session token
     *
     */
    async requestLogin() {
        try {
            this._msjError = '';
            if (this._loginForm && this._loginForm.valid) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const t = {
                    UserName: this._loginForm.value['UserName'],
                    TwoFactorCode: this._loginForm.value['TwoFactorCode'] ?? '',
                    QuickToken: this._loginForm.value['QuickToken'] ?? '',
                    Token: (new EncryptClass()).sha256(this._loginForm.value['Password']),
                    Details: {
                        Ip: this._ipDetails?.ip ?? this._locationDetails?.ip ?? '10.0.0.1',
                        City: this._locationDetails?.city ?? '',
                        Region: this._locationDetails?.region ?? '',
                        Country: this._locationDetails?.country ?? '',
                        Latitude: this._locationDetails?.loc ?? '',
                        Longitud: this._locationDetails?.loc ?? '',
                        Device: this._deviceService.device,
                        Os: this._deviceService.os,
                        OsVersion: this._deviceService.os_version,
                        Browser: this._deviceService.browser,
                        BrowserVersion: this._deviceService.browser_version
                    }
                };
                const _subscription = this._loginService.generateSessionToken(t).subscribe({
                    next: data => {
                        if (data) {
                            this._twoFactors = data.Data && data.Data.TwoFactors ? data.Data.TwoFactors : null;
                            switch (data.StatusCode) {
                                case StatusCodeEnum.Success:
                                    /**
                                     * Only apply redirect to site with session
                                     */
                                    location.replace(data.Data.BackendUrl);
                                    this.displayLogin.emit(false);
                                    this.successLogin.emit(true);
                                    break;
                                case -4:
                                case -7:
                                case -9:
                                    this.successLogin.emit(false);
                                    this.setMsjError('Coinpay-cr-fe-core.Login.Msj.Error.InvalidUserNameOrPassword');
                                    break;
                                case -6: // email no active
                                    if (this._loginForm) {
                                        const _obj = {
                                            Email: this._loginForm.value['UserName'],
                                            Password: this._loginForm.value['Password']
                                        };
                                        sessionStorage.setItem('user_session_unverified', (new EncryptClass()).btoa(JSON.stringify(_obj)));
                                        this._router.navigate([this.config.VerifyEmailUrl]);
                                        this.displayLogin.emit(false);
                                    }
                                    break;
                                case -8:
                                case -15: // invalid 2F or not valid
                                    /**
                                     * if the client is in 2F section,
                                     * set error
                                     */
                                    if (this._step == 1)
                                        this.setMsjError('Coinpay-cr-fe-core.Login.Msj.Error.InvalidTwoFactorCode');
                                    else {
                                        this._loginForm.get('QuickToken').setValue(data?.Data?.QuickToken);
                                        setTimeout(() => { this.goStep(1); });
                                    }
                                    this.successLogin.emit(false);
                                    break;
                                default:
                                    this.successLogin.emit(false);
                                    this.setMsjError(data.Message);
                                    break;
                            }
                        }
                        else {
                            this.successLogin.emit(false);
                            this.setMsjError('Coinpay-cr-fe-core.Login.Msj.Error.InvalidUserNameOrPassword');
                        }
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                    }, error: () => {
                        this.successLogin.emit(false);
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Login.Msj.Error.InvalidUserNameOrPassword');
                    },
                    complete: () => {
                        _subscription.unsubscribe();
                    },
                });
            }
        }
        catch (err) {
            this.successLogin.emit(false);
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.Login.Msj.Error.InvalidUserNameOrPassword');
        }
    }
    /**
     * action for auto access
     */
    async checkAoutoAccess() {
        try {
            if (this.autoAccess && this._loginForm) {
                this._loginForm.patchValue({ UserName: this.autoAccess.Email }, { emitEvent: true });
                this._loginForm.patchValue({ Password: this.autoAccess.Password }, { emitEvent: true });
                this.requestLogin();
            }
        }
        catch { }
    }
    // ***************** locations / ip
    // ***************** locations / ip
    async getIp() {
        try {
            const _subscription = this._loginService.getIp().subscribe({
                next: data => {
                    this._ipDetails = data;
                }, error: () => { },
                complete: () => { _subscription.unsubscribe(); }
            });
        }
        catch { }
    }
    async getLocation() {
        try {
            const _subscription = this._loginService.getLocation().subscribe({
                next: data => {
                    this._locationDetails = data;
                }, error: () => { },
                complete: () => { _subscription.unsubscribe(); }
            });
        }
        catch { }
    }
    // ***************** generics
    // ***************** generics
    /**
     * Use for go specific step
     *
     * @param step
     */
    async goStep(step) {
        try {
            this._step = step;
            this._msjError = '';
            this.setStep();
        }
        catch { }
    }
    /**
     * Use for set reactive form
     */
    async setStep() {
        try {
            switch (this._step) {
                case 0:
                    this._loginForm = new FormGroup({
                        UserName: new FormControl('', [Validators.required]),
                        Password: new FormControl('', [Validators.required]),
                        QuickToken: new FormControl(``)
                    });
                    this._loginForm.get('UserName').valueChanges.subscribe(() => {
                        if (this._loginForm.invalid) {
                            this._msjError = '';
                        }
                    });
                    this._loginForm.get('Password').valueChanges.subscribe(() => {
                        if (this._loginForm.invalid) {
                            this._msjError = '';
                        }
                    });
                    /**
                     * necessary check if exist auto access
                     */
                    this.checkAoutoAccess();
                    break;
                case 1:
                    if (this._loginForm) {
                        this._loginForm = new FormGroup({
                            UserName: new FormControl(this._loginForm.value['UserName']),
                            Password: new FormControl(this._loginForm.value['Password']),
                            QuickToken: new FormControl(this._loginForm.value['QuickToken']),
                            TwoFactorCode: new FormControl('', [Validators.required]),
                        });
                    }
                    this._loginForm.get('TwoFactorCode').valueChanges.subscribe(() => {
                        if (this._loginForm.invalid) {
                            this._msjError = '';
                        }
                    });
                    break;
            }
        }
        catch { }
    }
    /**
     * Use for set errors msj in form
     */
    async setErrorMsjs() {
        try {
            this._msj_errors = {
                UserName: [{ type: 'required', message: 'Coinpay-cr-fe-core.Login.InputsErrors.Required' }],
                Password: [{ type: 'required', message: 'Coinpay-cr-fe-core.Login.InputsErrors.Required' }],
                TwoFactorCode: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.Login.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.Login.InputsErrors.MinLengthTwoFactorCode' },
                    { type: 'maxlength', message: 'Coinpay-cr-fe-core.Login.InputsErrors.MaxLengthTwoFactorCode' },
                ]
            };
        }
        catch { }
    }
    async setMsjError(msj = '', msj2 = '') {
        try {
            this._msjError = msj && msj != '' ? this._translateService.instant(msj) : '';
            if (msj2 && msj2 != '')
                this._msjError += this._translateService.instant(msj2);
        }
        catch { }
    }
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection) {
        try {
            this.sectionClicked.emit(idSection);
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: LoginComponent, deps: [{ token: i1.Router }, { token: LoginService }, { token: i3$1.TranslateService }, { token: i4.DeviceDetectorService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: LoginComponent, selector: "cp-login", inputs: { typeAccess: "typeAccess", autoAccess: "autoAccess", config: "config" }, outputs: { successLogin: "successLogin", displayLogin: "displayLogin", displayLoading: "displayLoading", sectionClicked: "sectionClicked" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"typeAccess\">\n\t<!-- not view only code-->\n\t<ng-container *ngSwitchCase=\"1\"></ng-container>\n\n\t<ng-container *ngSwitchDefault>\n\t\t<div class=\"login-component\">\n\t\t\t<!--\ttest buttons\n\t\t\t<div>\n\t\t\t\t<button (click)=\"goStep(0)\">step 0</button>\n\t\t\t\t<button (click)=\"goStep(1)\">step 1</button>\n\t\t\t</div>-->\n\n\t\t\t<!-- request login -->\n\t\t\t<ng-container *ngIf=\"_step == 0 && _loginForm\">\n\t\t\t\t<ng-content select=\"[login-set-info]\"></ng-content>\n\n\t\t\t\t<form [formGroup]=\"_loginForm\" (ngSubmit)=\"requestLogin()\" class=\"form-login\">\n\t\t\t\t\t<div class=\"login-details\">\n\n\t\t\t\t\t\t<!-- username / email -->\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input id=\"email\" type=\"text\" formControlName=\"UserName\" class=\"form-control UserName\"\n\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.Login.Form.UserName' | translate }}\" />\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('UserName').hasError(error.type) && (_loginForm.get('UserName').dirty || _loginForm.get('UserName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- password -->\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input type=\"password\" formControlName=\"Password\" class=\"form-control Password\"\n\t\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.Login.Form.Password' | translate }}\" />\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('Password').hasError(error.type) && (_loginForm.get('Password').dirty || _loginForm.get('Password').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\n\n\n\t\t\t\t\t\t<div class=\"forgot\">\n\t\t\t\t\t\t\t<a (click)=\"goSection(CpLibClickedEnum.ForgotPassword)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.ForgotPassword' | translate }}\n\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<button class=\"btn btn-primary btn-login\" type=\"submit\" expand=\"block\"\n\t\t\t\t\t\t\t[disabled]=\"_loginForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.Login' | translate }}\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- signup -->\n\t\t\t\t\t<div class=\"signup-holder\">\n\t\t\t\t\t\t<p class=\"sign-up\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.DontHaveAccount' | translate }} &nbsp;\n\t\t\t\t\t\t\t<span (click)=\"goSection(CpLibClickedEnum.SignUp)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.SignUp' | translate }}\n\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t</p>\n\t\t\t\t\t</div>\n\n\t\t\t\t</form>\n\t\t\t</ng-container>\n\n\t\t\t<!-- request 2F -->\n\t\t\t<ng-container *ngIf=\"_step == 1 && _loginForm\">\n\t\t\t\t<ng-content select=\"[login-two-factor]\"></ng-content>\n\n\t\t\t\t<form [formGroup]=\"_loginForm\" (ngSubmit)=\"requestLogin()\" class=\"form-login-2F\">\n\t\t\t\t\t<div class=\"login-details\">\n\t\t\t\t\t\t<ng-container *ngIf=\"_twoFactors && _twoFactors.length > 0\">\n\t\t\t\t\t\t\t<div class=\"two-factor-types\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _twoFactors\">\n\t\t\t\t\t\t\t\t\t<img [alt]=\"item.Name\" class=\"white\" [src]=\"item.ImgUrl\" />\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.Login.Form.TwoFactorCode' | translate }}</p>\n\n\t\t\t\t\t\t<!-- two factor -->\n\t\t\t\t\t\t<div class=\"form-group detail-item\">\n\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [isNumeric]=\"true\" [allowPaste]=\"true\"\n\t\t\t\t\t\t\t\t[allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\"></cp-coinpay-code-input>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('TwoFactorCode').hasError(error.type) && (_loginForm.get('TwoFactorCode').dirty || _loginForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _loginForm.valid\">\n\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<div class=\"btn-holder\">\n\t\t\t\t\t\t\t<button class=\"btn btn-primary\" type=\"submit\" expand=\"block\"\n\t\t\t\t\t\t\t\t[disabled]=\"_loginForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.Continue' | translate }}\n\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</form>\n\t\t\t</ng-container>\n\n\t\t</div>\n\t</ng-container>\n</ng-container>", styles: [".login-component .form-login{max-width:300px;margin:auto}.login-component .form-login .form-group:nth-child(1){margin-top:30px}.login-component .form-login .form-group:nth-child(2){margin-top:30px}.login-component .form-login .form-group .user-box{position:relative}.login-component .form-login .form-group .user-box input{width:100%;font-size:16px;color:#000;margin-bottom:30px;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:left}.login-component .form-login .form-group .user-box input:focus~label,.login-component .form-login .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.login-component .form-login .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.login-component .form-login .form-group .user-box label i{color:#08199a}.login-component .form-login .form-group .user-box ::ng-deep .cs-directive-show-hide-password{float:right;position:relative;right:10px;margin-top:-64px}.login-component .form-login .form-group .user-box ::ng-deep .cs-directive-show-hide-password i{color:#002dff}.login-component .form-login .form-group .user-box .error-messages .error-message{width:100%;margin-top:-28px;font-size:80%;text-align:left;color:#dc3545;margin-bottom:-16px}.login-component .form-login .form-group .user-box:nth-child(1){margin-bottom:-5px}.login-component .form-login .recaptcha .error-messages .error-message{width:100%;font-size:80%;text-align:left;color:#dc3545;margin-bottom:-16px}.login-component .form-login .section-error{margin-top:-20px;margin-bottom:30px}.login-component .form-login .section-error p{font-size:12px;color:red;text-align:left;margin-bottom:0;margin-top:14px}.login-component .form-login .btn-login{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.login-component .form-login .forgot{text-align:center;margin-top:20px}.login-component .form-login .forgot a{color:#0d6efd;text-decoration:underline;cursor:pointer}.login-component .form-login .signup-holder{margin-top:50px;font-size:15px;text-align:center}.login-component .form-login .signup-holder .sign-up span{color:#0d6efd;text-decoration:underline;cursor:pointer}.login-component .form-login .code{display:block;margin-left:auto;margin-right:auto;position:relative;left:12px;border:none;padding:0;max-width:230px;background:repeating-linear-gradient(90deg,dimgrey 0,dimgrey 1ch,transparent 0,transparent 1.5ch) 0 100%/9ch 2px no-repeat;font:41px droid sans mono,consolas,monospace;letter-spacing:.5ch}.login-component .form-login .code:focus{outline:none;color:#1e90ff}.login-component .form-login .paste-code{font-size:15px;margin-bottom:-6px}.login-component .form-login .back a{text-decoration:underline}.login-component .form-login button{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px}.login-component .form-login button.paste{background:#2196f3;margin-bottom:-13px}.login-component .form-login button.paste i{margin-left:10px}.login-component .form-login button.paste:hover{background:#fff;border:1px solid #2196f3;color:#2196f3}.login-component .form-login .token-msj{text-align:center;margin-top:12px}.login-component .form-login .content-i{background:#0c2197;width:60px;height:60px;border-radius:33px;display:flex;align-items:center;color:#fff;font-size:25px;margin:auto}.login-component .form-login .content-i i{margin:auto}.login-component .form-login-2F{max-width:300px;margin:auto}.login-component .form-login-2F p{text-align:center}.login-component .form-login-2F .detail-item{position:relative}.login-component .form-login-2F .detail-item ::ng-deep .coinpay-code-input .code-input input{max-width:40px;height:45px}.login-component .form-login-2F .detail-item .error-messages .error-message{width:100%;color:#dc3545;font-size:12px;max-width:346px;margin:auto;text-align:left}@media (max-width: 575px){.login-component .form-login-2F .detail-item .error-messages .error-message{max-width:300px}}@media (max-width: 370px){.login-component .form-login-2F .detail-item .error-messages .error-message{width:275px}}.login-component .form-login-2F .detail-item .section-error p{color:#dc3545;font-size:12px;text-align:left}.login-component .form-login-2F ::ng-deep .code-paste{margin-bottom:9px;margin-top:33px}.login-component .form-login-2F ::ng-deep .code-paste button{font-weight:700;margin:auto;display:block;text-transform:uppercase;padding-top:10px;padding-bottom:10px;border-radius:30px;color:#fff;background:#0d6efd}.login-component .form-login-2F .btn-holder button{font-weight:700;padding-top:10px;padding-bottom:10px;border-radius:30px;background:#08199a;border-color:#08199a;margin:20px auto auto;display:block}.login-component .form-login-2F .two-factor-types{text-align:center;margin-top:16px}.login-component .form-login-2F .two-factor-types img{width:55px;margin-left:5px;margin-right:5px}\n"], dependencies: [{ kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i3.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i3.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { kind: "directive", type: i6.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i6.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i6.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i6.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: CoinpayCodeInputComponent, selector: "cp-coinpay-code-input", inputs: ["boxes", "inputType", "disabled", "isNumeric", "allowPaste", "allowAutoPaste"], outputs: ["complete", "completePaste"] }, { kind: "directive", type: ShowHidePasswordDirective, selector: "[appShowHidePassword]" }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: LoginComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-login', template: "<ng-container [ngSwitch]=\"typeAccess\">\n\t<!-- not view only code-->\n\t<ng-container *ngSwitchCase=\"1\"></ng-container>\n\n\t<ng-container *ngSwitchDefault>\n\t\t<div class=\"login-component\">\n\t\t\t<!--\ttest buttons\n\t\t\t<div>\n\t\t\t\t<button (click)=\"goStep(0)\">step 0</button>\n\t\t\t\t<button (click)=\"goStep(1)\">step 1</button>\n\t\t\t</div>-->\n\n\t\t\t<!-- request login -->\n\t\t\t<ng-container *ngIf=\"_step == 0 && _loginForm\">\n\t\t\t\t<ng-content select=\"[login-set-info]\"></ng-content>\n\n\t\t\t\t<form [formGroup]=\"_loginForm\" (ngSubmit)=\"requestLogin()\" class=\"form-login\">\n\t\t\t\t\t<div class=\"login-details\">\n\n\t\t\t\t\t\t<!-- username / email -->\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input id=\"email\" type=\"text\" formControlName=\"UserName\" class=\"form-control UserName\"\n\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.Login.Form.UserName' | translate }}\" />\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.UserName\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('UserName').hasError(error.type) && (_loginForm.get('UserName').dirty || _loginForm.get('UserName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- password -->\n\t\t\t\t\t\t<div class=\"form-group\">\n\t\t\t\t\t\t\t<div class=\"user-box\">\n\t\t\t\t\t\t\t\t<input type=\"password\" formControlName=\"Password\" class=\"form-control Password\"\n\t\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.Login.Form.Password' | translate }}\" />\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('Password').hasError(error.type) && (_loginForm.get('Password').dirty || _loginForm.get('Password').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\n\n\n\t\t\t\t\t\t<div class=\"forgot\">\n\t\t\t\t\t\t\t<a (click)=\"goSection(CpLibClickedEnum.ForgotPassword)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.ForgotPassword' | translate }}\n\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<button class=\"btn btn-primary btn-login\" type=\"submit\" expand=\"block\"\n\t\t\t\t\t\t\t[disabled]=\"_loginForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.Login' | translate }}\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<!-- signup -->\n\t\t\t\t\t<div class=\"signup-holder\">\n\t\t\t\t\t\t<p class=\"sign-up\">\n\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.DontHaveAccount' | translate }} &nbsp;\n\t\t\t\t\t\t\t<span (click)=\"goSection(CpLibClickedEnum.SignUp)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.SignUp' | translate }}\n\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t</p>\n\t\t\t\t\t</div>\n\n\t\t\t\t</form>\n\t\t\t</ng-container>\n\n\t\t\t<!-- request 2F -->\n\t\t\t<ng-container *ngIf=\"_step == 1 && _loginForm\">\n\t\t\t\t<ng-content select=\"[login-two-factor]\"></ng-content>\n\n\t\t\t\t<form [formGroup]=\"_loginForm\" (ngSubmit)=\"requestLogin()\" class=\"form-login-2F\">\n\t\t\t\t\t<div class=\"login-details\">\n\t\t\t\t\t\t<ng-container *ngIf=\"_twoFactors && _twoFactors.length > 0\">\n\t\t\t\t\t\t\t<div class=\"two-factor-types\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _twoFactors\">\n\t\t\t\t\t\t\t\t\t<img [alt]=\"item.Name\" class=\"white\" [src]=\"item.ImgUrl\" />\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.Login.Form.TwoFactorCode' | translate }}</p>\n\n\t\t\t\t\t\t<!-- two factor -->\n\t\t\t\t\t\t<div class=\"form-group detail-item\">\n\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [isNumeric]=\"true\" [allowPaste]=\"true\"\n\t\t\t\t\t\t\t\t[allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\"></cp-coinpay-code-input>\n\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t<ng-container\n\t\t\t\t\t\t\t\t\t\t\t*ngIf=\"_loginForm.get('TwoFactorCode').hasError(error.type) && (_loginForm.get('TwoFactorCode').dirty || _loginForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t<!-- msj error -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _loginForm.valid\">\n\t\t\t\t\t\t\t\t<div class=\"section-error\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<div class=\"btn-holder\">\n\t\t\t\t\t\t\t<button class=\"btn btn-primary\" type=\"submit\" expand=\"block\"\n\t\t\t\t\t\t\t\t[disabled]=\"_loginForm.invalid || _model.loadProcess\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.Login.Form.Continue' | translate }}\n\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</form>\n\t\t\t</ng-container>\n\n\t\t</div>\n\t</ng-container>\n</ng-container>", styles: [".login-component .form-login{max-width:300px;margin:auto}.login-component .form-login .form-group:nth-child(1){margin-top:30px}.login-component .form-login .form-group:nth-child(2){margin-top:30px}.login-component .form-login .form-group .user-box{position:relative}.login-component .form-login .form-group .user-box input{width:100%;font-size:16px;color:#000;margin-bottom:30px;border-radius:0;padding:10px 0 10px 5px;border:none;outline:none;background:transparent;border-bottom:1px solid #08199a!important;box-shadow:none;text-align:left}.login-component .form-login .form-group .user-box input:focus~label,.login-component .form-login .form-group .user-box input.ng-valid~label{top:-20px;left:0;color:#08199a;font-size:12px}.login-component .form-login .form-group .user-box label{position:absolute;top:0;left:0;padding:10px 0;font-size:16px;color:#000;pointer-events:none;transition:.5s}.login-component .form-login .form-group .user-box label i{color:#08199a}.login-component .form-login .form-group .user-box ::ng-deep .cs-directive-show-hide-password{float:right;position:relative;right:10px;margin-top:-64px}.login-component .form-login .form-group .user-box ::ng-deep .cs-directive-show-hide-password i{color:#002dff}.login-component .form-login .form-group .user-box .error-messages .error-message{width:100%;margin-top:-28px;font-size:80%;text-align:left;color:#dc3545;margin-bottom:-16px}.login-component .form-login .form-group .user-box:nth-child(1){margin-bottom:-5px}.login-component .form-login .recaptcha .error-messages .error-message{width:100%;font-size:80%;text-align:left;color:#dc3545;margin-bottom:-16px}.login-component .form-login .section-error{margin-top:-20px;margin-bottom:30px}.login-component .form-login .section-error p{font-size:12px;color:red;text-align:left;margin-bottom:0;margin-top:14px}.login-component .form-login .btn-login{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px;width:100%;padding-top:10px;padding-bottom:10px}.login-component .form-login .forgot{text-align:center;margin-top:20px}.login-component .form-login .forgot a{color:#0d6efd;text-decoration:underline;cursor:pointer}.login-component .form-login .signup-holder{margin-top:50px;font-size:15px;text-align:center}.login-component .form-login .signup-holder .sign-up span{color:#0d6efd;text-decoration:underline;cursor:pointer}.login-component .form-login .code{display:block;margin-left:auto;margin-right:auto;position:relative;left:12px;border:none;padding:0;max-width:230px;background:repeating-linear-gradient(90deg,dimgrey 0,dimgrey 1ch,transparent 0,transparent 1.5ch) 0 100%/9ch 2px no-repeat;font:41px droid sans mono,consolas,monospace;letter-spacing:.5ch}.login-component .form-login .code:focus{outline:none;color:#1e90ff}.login-component .form-login .paste-code{font-size:15px;margin-bottom:-6px}.login-component .form-login .back a{text-decoration:underline}.login-component .form-login button{font-size:15px;margin-top:16px;background:#0c2197;border-radius:30px}.login-component .form-login button.paste{background:#2196f3;margin-bottom:-13px}.login-component .form-login button.paste i{margin-left:10px}.login-component .form-login button.paste:hover{background:#fff;border:1px solid #2196f3;color:#2196f3}.login-component .form-login .token-msj{text-align:center;margin-top:12px}.login-component .form-login .content-i{background:#0c2197;width:60px;height:60px;border-radius:33px;display:flex;align-items:center;color:#fff;font-size:25px;margin:auto}.login-component .form-login .content-i i{margin:auto}.login-component .form-login-2F{max-width:300px;margin:auto}.login-component .form-login-2F p{text-align:center}.login-component .form-login-2F .detail-item{position:relative}.login-component .form-login-2F .detail-item ::ng-deep .coinpay-code-input .code-input input{max-width:40px;height:45px}.login-component .form-login-2F .detail-item .error-messages .error-message{width:100%;color:#dc3545;font-size:12px;max-width:346px;margin:auto;text-align:left}@media (max-width: 575px){.login-component .form-login-2F .detail-item .error-messages .error-message{max-width:300px}}@media (max-width: 370px){.login-component .form-login-2F .detail-item .error-messages .error-message{width:275px}}.login-component .form-login-2F .detail-item .section-error p{color:#dc3545;font-size:12px;text-align:left}.login-component .form-login-2F ::ng-deep .code-paste{margin-bottom:9px;margin-top:33px}.login-component .form-login-2F ::ng-deep .code-paste button{font-weight:700;margin:auto;display:block;text-transform:uppercase;padding-top:10px;padding-bottom:10px;border-radius:30px;color:#fff;background:#0d6efd}.login-component .form-login-2F .btn-holder button{font-weight:700;padding-top:10px;padding-bottom:10px;border-radius:30px;background:#08199a;border-color:#08199a;margin:20px auto auto;display:block}.login-component .form-login-2F .two-factor-types{text-align:center;margin-top:16px}.login-component .form-login-2F .two-factor-types img{width:55px;margin-left:5px;margin-right:5px}\n"] }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: LoginService }, { type: i3$1.TranslateService }, { type: i4.DeviceDetectorService }], propDecorators: { typeAccess: [{
                type: Input
            }], autoAccess: [{
                type: Input
            }], config: [{
                type: Input
            }], successLogin: [{
                type: Output
            }], displayLogin: [{
                type: Output
            }], displayLoading: [{
                type: Output
            }], sectionClicked: [{
                type: Output
            }] } });

class CpLoginModule {
    static forRoot(environment) {
        return {
            ngModule: CpLoginModule,
            providers: [
                {
                    provide: 'environmentCpFeCore', // you can also use InjectionToken
                    useValue: environment // use in any option -> @Inject('env') private ...
                }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpLoginModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CpLoginModule, declarations: [LoginComponent], imports: [CommonModule,
            FormsModule,
            RouterModule,
            TranslateModule,
            ReactiveFormsModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule], exports: [LoginComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpLoginModule, imports: [CommonModule,
            FormsModule,
            RouterModule,
            TranslateModule,
            ReactiveFormsModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpLoginModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        LoginComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        RouterModule,
                        TranslateModule,
                        ReactiveFormsModule,
                        CoinpayCodeInputModule,
                        ShowHidePasswordModule
                    ],
                    exports: [
                        LoginComponent
                    ],
                    providers: [],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class CpSignUpConfigDto {
}
class CpVerifyEmailConfigDto {
    constructor() {
        this.InputType = `password`;
    }
}
class SignUpValidateInformationRequestDto {
}
class SignUpValidateInformationResultDto extends GenericResultDto {
}
class SignUpValidateInformationDto {
}
class SignUpSendGuestSmsRequestDto {
}
class SignUpValidateGuestSmsCodeRequestDto {
}
class SignUpRequestDto {
}
class SignUpResultDto extends GenericResultDto {
}
class SignUpDetailsDto {
}
class SignUpVerifyEmailRequestDto {
}
class SignUpValidateCodeEmailRequestDto {
}

class SignUpService extends AuthService {
    constructor(router, _http, _translateService, _environment) {
        super(router, _http, _translateService);
        this.router = router;
        this._http = _http;
        this._translateService = _translateService;
        this._environment = _environment;
    }
    validateInformation(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/validateInformation/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(error => this.handleError(error)));
    }
    sendVerificationCodeSms(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/sms/sendVerificationCode/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(err => this.handleError(err)));
    }
    validateCodeSms(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/sms/validateCode/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(err => this.handleError(err)));
    }
    signUpRequest(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/request/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(err => this.handleError(err)));
    }
    sendVerificationCodeEmail(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/email/sendVerificationCode/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(err => this.handleError(err)));
    }
    validateCodeEmail(t) {
        return this._http.post(`${this._environment.ApiUrl}client/signUp/email/validateCode/v1`, t, this.setBasicHeader())
            .pipe(map((response) => response), catchError(err => this.handleError(err)));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: SignUpService, deps: [{ token: i1.Router }, { token: i2.HttpClient }, { token: i3$1.TranslateService }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: SignUpService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: SignUpService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i2.HttpClient }, { type: i3$1.TranslateService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }] });

class SignupComponent {
    get CpLibClickedEnum() { return CpLibClickedEnum; }
    constructor(_router, _route, _signUpService, _cookiesService, _translateService, _recaptchaService, _environment) {
        this._router = _router;
        this._route = _route;
        this._signUpService = _signUpService;
        this._cookiesService = _cookiesService;
        this._translateService = _translateService;
        this._recaptchaService = _recaptchaService;
        this._environment = _environment;
        this.displayLoading = new EventEmitter();
        this.sectionClicked = new EventEmitter();
        this._model = {};
    }
    ngOnInit() {
        this.init();
    }
    ngAfterViewInit() {
        this.scrollInit();
    }
    ngOnDestroy() { }
    async init() {
        try {
            if (this.config) {
                this.setErrorCatalog();
                this.resetValues();
                this.goStep(this.config.AvoidOnboarding ? 1 : 0);
                this._model.allowReSendCode = true;
            }
        }
        catch { }
    }
    async scrollInit() {
        try {
            window.scroll(0, 0); // start in position 0
        }
        catch { }
    }
    /**
     * Actions for check info
     * if infor is correctly, send
     * SMS code to user
     *
     */
    async validateUserInfo() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._actionsForm.valid && this.config) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const _recaptchaSub = this._recaptchaService.execute('signup_validate_info').subscribe({
                    next: (recaptchaToken) => {
                        const t = {
                            Email: this._actionsForm.value['Email'],
                            Name: this._actionsForm.value['FullName'],
                            IdSite: this._environment.IdSite,
                            IdCountry: this._actionsForm.value['IdCountry'],
                            PhoneNumber: this._actionsForm.value['PhoneNumber'],
                            SendVerificationCode: false, // NOT use for send verificarion code
                            Recaptcha: {
                                Token: recaptchaToken
                            }
                        };
                        const _subscription = this._signUpService.validateInformation(t).subscribe({
                            next: data => {
                                if (data && data.StatusCode == StatusCodeEnum.Success) {
                                    /**
                                     * necessary check if system
                                     * already send code
                                     */
                                    if (data.Data && data.Data.GuestCode && data.Data.GuestCode.Id > 0) {
                                        this._model.allowReSendCode = true; // use for allow re-send
                                        this._guestCodeResult = data.Data.GuestCode;
                                    }
                                    // this.goStep(2); // not use
                                    this.goStep(3);
                                    this.scrollInit();
                                }
                                else {
                                    this._msjErrors = data.Messages;
                                    switch (data?.StatusCode ?? 0) {
                                        case -4:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ErrorValidateInformation');
                                            break;
                                        case -5:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.EmailAlreadyAssigned');
                                            break;
                                        case -6:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.PhoneAlreadyAssigned');
                                            break;
                                        case -501:
                                            this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                                            break;
                                        default:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
                                            break;
                                    }
                                }
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                            }, error: err => {
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                                this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError', `Cod: ${err.status}, ${err.statusText}`);
                                /**
                                 * set list of bath
                                 */
                                if (err.error && err.error.message) {
                                    this._msjErrors = [];
                                    if (Array.isArray(err.error.message))
                                        err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                    else
                                        this._msjErrors.push(`${err.error.message}`);
                                }
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                    }, complete: () => { _recaptchaSub.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
        }
    }
    /**
     * Apply for send code of verification again
     *
     */
    async resendCode() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._guestCodeResult && this.config) { // not include if is valid, because this form is setting with others inputs
                this._model.loadProcess = true;
                this._model.allowReSendCode = false;
                this.displayLoading.emit(true);
                const _recaptchaSub = this._recaptchaService.execute('signup_resend_code').subscribe({
                    next: (recaptchaToken) => {
                        const t = {
                            IdSite: this._environment.IdSite,
                            Name: this._actionsForm.value['FullName'],
                            IdCountry: this._actionsForm.value['IdCountry'],
                            PhoneNumber: this._actionsForm.value['PhoneNumber'],
                            Recaptcha: {
                                Token: recaptchaToken
                            }
                        };
                        const _subscription = this._signUpService.sendVerificationCodeSms(t).subscribe({
                            next: data => {
                                if (data && data.StatusCode == StatusCodeEnum.Success) {
                                    this._guestCodeResult = data.Data;
                                    this._model.resendSuccess = true;
                                    /**
                                     * Use for allow re-send code
                                     * Only if code not receive un 40 seconds or client
                                     * still on the screen
                                     */
                                    setTimeout(() => {
                                        this._model.resendSuccess = false;
                                        this._model.allowReSendCode = true;
                                    }, 40000);
                                }
                                else {
                                    this._msjErrors = data.Messages;
                                    switch (data?.StatusCode ?? 0) {
                                        default:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
                                            break;
                                    }
                                }
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                            }, error: err => {
                                this._model.loadProcess = false;
                                this._model.allowReSendCode = true;
                                this.displayLoading.emit(false);
                                this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError', `Cod: ${err.status}, ${err.statusText}`);
                                /**
                                 * set list of bath
                                 */
                                if (err.error && err.error.message) {
                                    this._msjErrors = [];
                                    if (Array.isArray(err.error.message))
                                        err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                    else
                                        this._msjErrors.push(`${err.error.message}`);
                                }
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }, error: () => {
                        this._model.loadProcess = false;
                        this._model.allowReSendCode = true;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                    }, complete: () => { _recaptchaSub.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
        }
    }
    /**
     * Simple validate code for continue
     * with process, this actions is only for not
     * continue, if code is invalid.
     * With send SingUp, system check again this code
     *
     */
    async validateVerificationCode() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._actionsForm.valid && this._guestCodeResult && this.config) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const _recaptchaSub = this._recaptchaService.execute('sigup_validate_code').subscribe({
                    next: (recaptchaToken) => {
                        const t = {
                            IdCode: this._guestCodeResult.Id,
                            IdSite: this._environment.IdSite,
                            IdCountry: this._actionsForm.value['IdCountry'],
                            PhoneNumber: this._actionsForm.value['PhoneNumber'],
                            Code: this._actionsForm.value['TwoFactorCode'],
                            Recaptcha: {
                                Token: recaptchaToken
                            }
                        };
                        const _subscription = this._signUpService.validateCodeSms(t).subscribe({
                            next: data => {
                                if (data && data.StatusCode == StatusCodeEnum.Success) {
                                    this.goStep(3);
                                    this.scrollInit();
                                }
                                else {
                                    this._msjErrors = data.Messages;
                                    switch (data?.StatusCode ?? 0) {
                                        case -501:
                                            this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                                            break;
                                        default:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.InvalidSMSCode');
                                            break;
                                    }
                                }
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                            }, error: err => {
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                                this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError', `Cod: ${err.status}, ${err.statusText}`);
                                /**
                                 * set list of bath
                                 */
                                if (err.error && err.error.message) {
                                    this._msjErrors = [];
                                    if (Array.isArray(err.error.message))
                                        err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                    else
                                        this._msjErrors.push(`${err.error.message}`);
                                }
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                    }, complete: () => { _recaptchaSub.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
        }
    }
    /**
     * Action for create account
     *
     */
    async createAccount() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._actionsForm.valid && this.config) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const _recaptchaSub = this._recaptchaService.execute('signup_create_account').subscribe({
                    next: (recaptchaToken) => {
                        const t = {
                            FullName: this._actionsForm.value['FullName'],
                            Email: this._actionsForm.value['Email'],
                            IdCountry: this._actionsForm.value['IdCountry'],
                            PhoneNumber: this._actionsForm.value['PhoneNumber'],
                            Password: (new EncryptClass()).btoa(this._actionsForm.value['Password']),
                            IsBusiness: this._actionsForm.value['IsBusiness'],
                            BusinessName: this._actionsForm.value['BusinessName'],
                            IdTwoFactorCode: this._guestCodeResult?.Id ?? 0,
                            TwoFactorCode: this._actionsForm.value['TwoFactorCode'],
                            Ip: localStorage.getItem("client-ip") ?? '10.0.1',
                            IdSite: this._environment.IdSite,
                            Language: this._translateService.currentLang,
                            PromoCode: this._cookiesService.get('_referedCode') ?? '',
                            Recaptcha: {
                                Token: recaptchaToken
                            }
                        };
                        const _subscription = this._signUpService.signUpRequest(t).subscribe({
                            next: data => {
                                if (data && data.StatusCode == StatusCodeEnum.Success) {
                                    this.goStep(4);
                                    this.scrollInit();
                                }
                                else {
                                    this._msjErrors = data.Messages;
                                    switch (data?.StatusCode ?? 0) {
                                        case -4:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ErrorValidateInformation');
                                            break;
                                        case -5:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.EmailAlreadyAssigned');
                                            break;
                                        case -6:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.PhoneAlreadyAssigned');
                                            break;
                                        case -7:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ErrorValidationTwoFactor');
                                            break;
                                        case -8:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.InvalidPasswordFormat');
                                            break;
                                        case -501:
                                            this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                                            break;
                                        default:
                                            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
                                            break;
                                    }
                                }
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                            }, error: err => {
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                                this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError', `Cod: ${err.status}, ${err.statusText}`);
                                /**
                                 * set list of bath
                                 */
                                if (err.error && err.error.message) {
                                    this._msjErrors = [];
                                    if (Array.isArray(err.error.message))
                                        err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                    else
                                        this._msjErrors.push(`${err.error.message}`);
                                }
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                    }, complete: () => { _recaptchaSub.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.SignUp.Msj.Error.ProcessError');
        }
    }
    /**
     * Use for delete blank spaces in form
     * @param controlName
     */
    deleteBlankSpacesForm(controlName) {
        try {
            if (controlName && this._actionsForm) {
                const _valueControl = this._actionsForm.value[controlName];
                if (_valueControl.includes(' ')) {
                    this._actionsForm.patchValue({ [controlName]: _valueControl.replace(/\s/g, '') }, { emitEvent: false });
                }
            }
        }
        catch { }
    }
    // ************************* generics
    // ************************* generics
    async changeCountrySelected(request) {
        try {
            if (request)
                this._countrySelected = request;
        }
        catch { }
    }
    /**
     * Action for change type of account
     *
     *  - false: personal account
     *  - true:  business account
     *
     * @param isBussiness
     */
    async changeTypeAccount(isBussiness) {
        try {
            if (this._actionsForm) {
                this._actionsForm.patchValue({ IsBusiness: isBussiness }, { emitEvent: true });
                this.setStep(); // need re-calculate fields required
            }
        }
        catch { }
    }
    /**
     * actions reset values
     */
    async resetValues() {
        try {
            //  this._guestCodeResult = null;
            this._msjErrors = [];
            this._msjError = '';
        }
        catch { }
    }
    /**
     * Use for go specific step
     *
     * @param step
     */
    async goStep(step) {
        try {
            this._msjError = '';
            this._step = step;
            this.setStep();
        }
        catch { }
    }
    /**
     * Use for set step actions
     *
     */
    async setStep() {
        try {
            switch (this._step) {
                case 1:
                    let _tmpBusinessForm = false;
                    if (!this._actionsForm) {
                        const _subscription = this._route.queryParams.subscribe({
                            next: prm => {
                                if (prm['BusinessForm'] && prm['BusinessForm'] == 'true')
                                    _tmpBusinessForm = true;
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }
                    this._actionsForm = new FormGroup({
                        FullName: new FormControl(this._actionsForm ? this._actionsForm.value['FullName'] ?? '' : '', [Validators.required, Validators.minLength(3)]),
                        Email: new FormControl(this._actionsForm ? this._actionsForm.value['Email'] ?? '' : '', [Validators.required, Validators.email]),
                        IdCountry: new FormControl(this._actionsForm ? this._actionsForm.value['IdCountry'] ?? 0 : 0, [Validators.required, Validators.min(0)]),
                        PhoneNumber: new FormControl(this._actionsForm ? this._actionsForm.value['PhoneNumber'] ?? '' : '', [Validators.required, Validators.minLength(6), Validators.maxLength(12), Validators.pattern(/^-?(0|[1-9]\d*)?$/)]),
                        // for business 
                        IsBusiness: new FormControl(this._actionsForm ? this._actionsForm.value['IsBusiness'] ?? _tmpBusinessForm : _tmpBusinessForm, [Validators.required]),
                        BusinessName: new FormControl(this._actionsForm ? this._actionsForm.value['BusinessName'] ?? '' : '', (this._actionsForm ? this._actionsForm.value['IsBusiness'] ?? false : false) ? [Validators.required, Validators.minLength(3)] : []),
                    });
                    // Actions for delete black spaces in email an phone number
                    this._actionsForm.get('Email').valueChanges.subscribe(() => { setTimeout(() => { this.deleteBlankSpacesForm('Email'); }); });
                    this._actionsForm.get('PhoneNumber').valueChanges.subscribe(() => { setTimeout(() => { this.deleteBlankSpacesForm('PhoneNumber'); }); });
                    break;
                case 2:
                    if (this._actionsForm) {
                        this._actionsForm = new FormGroup({
                            FullName: new FormControl(this._actionsForm.value['FullName'] ?? ''),
                            Email: new FormControl(this._actionsForm.value['Email'] ?? ''),
                            IdCountry: new FormControl(this._actionsForm.value['IdCountry'] ?? 0),
                            PhoneNumber: new FormControl(this._actionsForm.value['PhoneNumber'] ?? ''),
                            // for business 
                            IsBusiness: new FormControl(this._actionsForm.value['IsBusiness'] ?? false),
                            BusinessName: new FormControl(this._actionsForm.value['BusinessName'] ?? ''),
                            TwoFactorCode: new FormControl('', [Validators.required, Validators.minLength(6), Validators.minLength(6)])
                        });
                    }
                    break;
                case 3:
                    if (this._actionsForm) {
                        //const _regPass: RegExp = /^(?=.*?[A-Z])(?=(.*[a-z]){1,})(?=(.*[\d]){1,})(?=(.*[\W]){1,})(?!.*\s).{8,}$/;
                        this._actionsForm = new FormGroup({
                            FullName: new FormControl(this._actionsForm.value['FullName'] ?? ''),
                            Email: new FormControl(this._actionsForm.value['Email'] ?? ''),
                            IdCountry: new FormControl(this._actionsForm.value['IdCountry'] ?? 0),
                            PhoneNumber: new FormControl(this._actionsForm.value['PhoneNumber'] ?? ''),
                            // for business 
                            IsBusiness: new FormControl(this._actionsForm.value['IsBusiness'] ?? false),
                            BusinessName: new FormControl(this._actionsForm.value['BusinessName'] ?? ''),
                            TwoFactorCode: new FormControl(this._actionsForm.value['TwoFactorCode'] ?? ''),
                            TermsAndConditions: new FormControl(false, [Validators.required, Validators.requiredTrue]),
                            Password: new FormControl('', Validators.compose([Validators.required, Validators.minLength(8), Validators.minLength(8)])), // , Validators.pattern(_regPass)
                            RepeatPassword: new FormControl('', Validators.compose([Validators.required]))
                        }, { validators: matchPassword });
                    }
                    break;
                case 4: break;
            }
        }
        catch { }
    }
    /**
     * Auto login action
     * In this moment only redirect to
     * verify email
     */
    async goAutoLogin() {
        try {
            if (this._actionsForm && this.config && this.config.VerifyEmailUrl) {
                //console.log('here');
                const _obj = {
                    Email: this._actionsForm.value['Email'],
                    Password: this._actionsForm.value['Password']
                };
                sessionStorage.setItem('user_session_unverified', (new EncryptClass()).btoa(JSON.stringify(_obj)));
                this._router.navigate([this.config.VerifyEmailUrl]);
            }
        }
        catch { }
    }
    /**
     * back to login
     */
    async goLogin() {
        try {
        }
        catch { }
    }
    async setErrorCatalog() {
        try {
            this._msj_errors = {
                IdCountry: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'min', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.CountryCodeMin' },
                ],
                PhoneNumber: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PhoneMinLength' },
                    { type: 'maxlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PhoneMaxLength' },
                    { type: 'pattern', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PhonePattern' },
                ],
                Email: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'email', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Email' }
                ],
                FullName: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.NameMinlength' }
                ],
                BusinessName: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.NameMinlength' }
                ],
                Surnames: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.SurnamesMinlength' }
                ],
                TwoFactorCode: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'min', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.TwoFactorCodeMin' },
                    { type: 'max', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.TwoFactorCodeMax' }
                ],
                Password: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' }
                ],
                PasswordMatch: [
                    { type: 'minlength', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.MinLengthPassword' },
                    { type: 'minlengthPassword', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.MinLengthPassword' },
                    { type: 'passwordNothasUpperCase', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PasswordNothasUpperCase' },
                    { type: 'passwordNothasLowerCase', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PasswordNothasLowerCase' },
                    { type: 'passwordNothasNumbers', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PasswordNothasNumbers' },
                    { type: 'passwordNothasSpecialCharacter', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.PasswordNothasSpecialCharacter' }
                ],
                RepeatPassword: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.Required' },
                    { type: 'matchPassword', message: 'Coinpay-cr-fe-core.SignUp.InputsErrors.EqualsPasswords' }
                ]
            };
        }
        catch { }
    }
    async setMsjError(msj = '', msj2 = '') {
        try {
            this._msjError = msj && msj != '' ? this._translateService.instant(msj) : '';
            if (msj2 && msj2 != '')
                this._msjError += this._translateService.instant(msj2);
        }
        catch { }
    }
    /**
     * Use for go to specific section of page
     *
     * @param section
     */
    goSection(idSection) {
        try {
            this.sectionClicked.emit(idSection);
        }
        catch { }
    }
    /**
     * action for display terms and conditions
     */
    async viewTermsAndConditions() {
        try {
            /**
             * go view pdf
             */
            if (this.config && this.config.TermsAndConditionsUrl && this.config.TermsAndConditionsUrl != '')
                window.open(this.config.TermsAndConditionsUrl, '_blank');
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: SignupComponent, deps: [{ token: i1.Router }, { token: i1.ActivatedRoute }, { token: SignUpService }, { token: i3$2.CookieService }, { token: i3$1.TranslateService }, { token: i7.ReCaptchaV3Service }, { token: 'environmentCpFeCore' }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: SignupComponent, selector: "cp-signup", inputs: { config: "config" }, outputs: { displayLoading: "displayLoading", sectionClicked: "sectionClicked" }, ngImport: i0, template: "<div class=\"container\">\n\t<div class=\"sign-up\">\n\t\t<!-- test buttons-->\n\t\t<!--<div>\n\t\t\t<button (click)=\"goStep(0)\">step 0</button>\n\t\t\t<button (click)=\"goStep(1)\">step 1</button>\n\t\t\t<button (click)=\"goStep(2)\">step 2</button>\n\t\t\t<button (click)=\"goStep(3)\">step 3</button>\n\t\t\t<button (click)=\"goStep(4)\">step 4</button>\n\t\t</div>-->\n\n\t\t<!-- intro -->\n\t\t<ng-container *ngIf=\"_step == 0\">\n\t\t\t<div class=\"step0\">\n\t\t\t\t<div class=\"content-step0\">\n\t\t\t\t\t<ng-content select=\"[img-intro]\"></ng-content>\n\n\t\t\t\t\t<div class=\"content_title\">\n\t\t\t\t\t\t<ng-content select=\"[logo-site]\"></ng-content>\n\t\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroTitle' | translate }}</h3>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroDetails' | translate }}\n\t\t\t\t\t\t<span>\n\t\t\t\t\t\t\t<a href=\"javascript:void(0)\" (click)=\"goSection(CpLibClickedEnum.SeeBenefits)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroBenefits' | translate }}\n\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t</span>\n\t\t\t\t\t</p>\n\n\t\t\t\t\t<button type=\"button\" class=\"btn btn-primary content-button\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t<div class=\"inside-button\">{{ 'Coinpay-cr-fe-core.SignUp.Form.Start' | translate }}</div>\n\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t</button>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- user info  -->\n\t\t<ng-container *ngIf=\"_step == 1 && _actionsForm\">\n\t\t\t<div class=\"step1\">\n\t\t\t\t<div class=\"content-step1\">\n\t\t\t\t\t<svg\n\t\t\t\t\t\txmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n\t\t\t\t\t\txmlns:cc=\"http://creativecommons.org/ns#\"\n\t\t\t\t\t\txmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"\n\t\t\t\t\t\txmlns:svg=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"\n\t\t\t\t\t\txmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"\n\t\t\t\t\t\twidth=\"797\"\n\t\t\t\t\t\theight=\"672\"\n\t\t\t\t\t\tviewBox=\"0 0 210.87291 177.8\"\n\t\t\t\t\t\tversion=\"1.1\"\n\t\t\t\t\t\tid=\"svg8\"\n\t\t\t\t\t\tinkscape:version=\"1.0.2-2 (e86c870879, 2021-01-15)\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" inkscape:groupmode=\"layer\" id=\"layer1\">\n\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\tstyle=\"fill: #c4d9e8; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\td=\"M 117.88038,174.16966 C 69.003153,145.94295 69.003153,145.94295 69.003153,145.94295 c -3.234522,-1.79789 -2.875135,-5.21385 0.898476,-7.37132 47.439671,-27.32778 47.439671,-27.32778 47.439671,-27.32778 3.7736,-2.15745 9.52386,-2.51702 12.93809,-0.53935 48.69753,28.04693 48.69753,28.04693 48.69753,28.04693 3.41423,1.97767 2.87513,5.21385 -0.89847,7.3713 -47.43967,27.50757 -47.43967,27.50757 -47.43967,27.50757 -3.77362,2.15745 -9.52388,2.33725 -12.7584,0.53936 z\"\n\t\t\t\t\t\t\t\tid=\"path846\"\n\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t<g id=\"g1233\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 175.20332,110.34492 c -8.4457,-4.85428 -8.4457,-4.85428 -8.4457,-4.85428 31.08735,-17.978807 31.08735,-17.978807 31.08735,-17.978807 1.43758,-0.89894 1.43758,-2.15746 0,-3.0564 -31.80614,-18.33838 -31.80614,-18.33838 -31.80614,-18.33838 -1.43756,-0.89894 -3.77361,-0.89894 -5.39086,0 -31.08737,17.9788 -31.08737,17.9788 -31.08737,17.9788 -8.4457,-4.85428 -8.4457,-4.85428 -8.4457,-4.85428 31.08737,-17.9788 31.08737,-17.9788 31.08737,-17.9788 6.10965,-3.59576 16.1726,-3.59576 22.28226,0 31.80614,18.33838 31.80614,18.33838 31.80614,18.33838 6.10966,3.59576 6.10966,9.34898 0,12.76495 z\"\n\t\t\t\t\t\t\t\t\tid=\"path848\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 188.8602,112.50237 c 0,-4.4947 -2.87513,-9.70856 -6.28937,-11.68623 -56.42444,-32.541637 -56.42444,-32.541637 -56.42444,-32.541637 -1.43757,-0.89894 -2.87512,-0.89894 -3.95331,-0.35957 0,0 0,0 0,0 -67.385892,39.193797 -67.385892,39.193797 -67.385892,39.193797 65.229552,49.08213 65.229552,49.08213 65.229552,49.08213 66.30772,-38.47464 66.30772,-38.47464 66.30772,-38.47464 0.17971,-0.1798 0.53907,-0.35958 0.71876,-0.35958 0,0 0,0 0,0 0,0 0,0 0,0 1.07819,-0.89893 1.79698,-2.51702 1.79698,-4.85427 z\"\n\t\t\t\t\t\t\t\t\tid=\"path850\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 120.03674,156.19086 c 66.30772,-38.47464 66.30772,-38.47464 66.30772,-38.47464 0.17971,-0.1798 0.53907,-0.35958 0.71876,-0.35958 0,0 0,0 0,0 0,0 0,0 0,0 1.07819,-0.89893 1.79698,-2.51702 1.79698,-4.85427 0,-2.15745 -0.71879,-4.4947 -1.79698,-6.47237 -75.65189,43.68849 -75.65189,43.68849 -75.65189,43.68849 z\"\n\t\t\t\t\t\t\t\t\tid=\"path852\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 115.72404,156.01109 C 59.299585,123.46944 59.299585,123.46944 59.299585,123.46944 c -3.234523,-1.97767 -6.109656,-7.19153 -6.109656,-11.68623 0,0 0,0 0,0 0,-4.67448 2.875133,-6.65215 6.109656,-4.67448 56.424455,32.54163 56.424455,32.54163 56.424455,32.54163 3.41421,1.97767 6.28934,7.19153 6.28934,11.68623 0,0 0,0 0,0 0,4.4947 -2.87513,6.65215 -6.28934,4.6745 z\"\n\t\t\t\t\t\t\t\t\tid=\"path854\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 107.27834,145.044 c -6.64874,-3.95533 -6.64874,-3.95533 -6.64874,-3.95533 -0.718782,-0.35957 -1.257883,-1.43831 -1.257883,-2.33724 0,0 0,0 0,0 0,-0.89894 0.539101,-1.25852 1.257883,-0.89894 6.64874,3.95532 6.64874,3.95532 6.64874,3.95532 0.71878,0.35958 1.25786,1.43831 1.25786,2.33725 0,0 0,0 0,0 0,0.89894 -0.53907,1.25851 -1.25786,0.89894 z\"\n\t\t\t\t\t\t\t\t\tid=\"path856\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 109.97378,121.67156 -11.85993,7.73089 -5.929945,-0.89894 14.375645,-7.01174 z\"\n\t\t\t\t\t\t\t\t\tid=\"path888\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 95.598115,160.86536 c 0,0 -3.593918,-1.79789 -5.570573,0.71914 -2.156341,2.69683 -5.211177,8.80962 -5.390863,12.94474 0,4.13514 3.414209,3.95534 5.390863,2.87661 1.976655,-0.89894 7.906621,-9.52876 8.086308,-11.14685 0.359393,-1.6181 -0.359395,-3.95534 -0.898474,-4.31492 -0.53908,-0.53936 -1.617261,-1.07872 -1.617261,-1.07872 z\"\n\t\t\t\t\t\t\t\t\tid=\"path890\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.316901,159.96641 c 0.179708,3.59576 0.179708,3.59576 0.179708,3.59576 0,0.71916 -0.359394,1.43831 -1.078181,1.79789 -0.539081,0.35958 -1.437555,0.71914 -2.695423,0.53936 -2.515755,-0.53936 -2.875149,-1.25852 -3.054836,-4.85428 -0.179707,-3.59576 6.648732,-1.07873 6.648732,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path892\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 82.83972,153.85361 c 0,0 -3.414218,-1.79787 -5.570565,0.89894 -2.15635,2.51705 -5.211178,8.80962 -5.211178,12.94474 -0.179687,4.13514 3.234522,3.77556 5.211178,2.87663 1.976653,-1.07874 7.906603,-9.52878 8.265997,-11.14687 0.359394,-1.79787 -0.359394,-3.95534 -0.898473,-4.4947 -0.718786,-0.35958 -1.796959,-1.07874 -1.796959,-1.07874 z\"\n\t\t\t\t\t\t\t\t\tid=\"path894\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 83.558506,153.13446 c 0.179686,3.59576 0.179686,3.59576 0.179686,3.59576 0,0.71916 -0.359394,1.43831 -0.89848,1.79789 -0.718782,0.35958 -1.617262,0.53936 -2.695437,0.35958 -2.695436,-0.35958 -2.875128,-1.07873 -3.054823,-4.6745 -0.179708,-3.59576 6.469046,-1.07873 6.469046,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path896\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 114.46617,87.152253 c -0.89847,-16.5405 -17.969582,2.51704 -17.969582,2.51704 -11.680223,11.326647 -11.680223,11.326647 -11.680223,11.326647 -10.422342,11.68621 -10.422342,11.68621 -10.422342,11.68621 -2.156348,2.15747 -3.054827,5.21385 -2.695434,8.27026 4.312696,32.36185 4.312696,32.36185 4.312696,32.36185 0.179687,1.61809 1.437562,2.69683 3.054824,2.69683 0.539088,0 1.078175,0 1.617261,-0.1798 3.773622,-0.53936 3.593916,-4.13512 3.593916,-4.13512 -0.898479,-30.2044 -0.898479,-30.2044 -0.898479,-30.2044 22.102583,-13.30432 22.102583,-13.30432 22.102583,-13.30432 0,0 10.06294,-4.3149 8.98478,-21.035197 z\"\n\t\t\t\t\t\t\t\t\tid=\"path898\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 91.824511,115.73855 c -3.054836,-1.07873 -3.054836,-1.07873 -3.054836,-1.07873 -0.179707,0 -5.390868,5.03407 -5.390868,6.83195 2.336052,0.71915 2.336052,0.71915 2.336052,0.71915 5.929945,-5.75321 5.929945,-5.75321 5.929945,-5.75321 z\"\n\t\t\t\t\t\t\t\t\tid=\"path900\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 109.97378,121.67156 c 0,0 13.11778,-7.5511 14.73504,-10.60751 0.71879,-1.25851 1.61726,-2.51702 -2.15634,-4.3149 -17.61019,12.40537 -17.61019,12.40537 -17.61019,12.40537 0.89847,4.31492 0.89847,4.31492 0.89847,4.31492 z\"\n\t\t\t\t\t\t\t\t\tid=\"path902\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 127.22455,93.624623 c -1.07816,-16.72029 -18.14926,2.51704 -18.14926,2.51704 -11.680208,11.326647 -11.680208,11.326647 -11.680208,11.326647 -10.422355,11.50643 -10.422355,11.50643 -10.422355,11.50643 -1.976655,2.33725 -3.054834,5.39363 -2.515735,8.45004 4.132996,32.18205 4.132996,32.18205 4.132996,32.18205 0.179708,1.61809 1.617262,2.87662 3.234523,2.87662 0.359394,0 0.898474,0 1.617262,-0.17979 3.773603,-0.53936 3.414209,-4.13513 3.414209,-4.13513 -0.718787,-30.20439 -0.718787,-30.20439 -0.718787,-30.20439 21.922895,-13.30432 21.922895,-13.30432 21.922895,-13.30432 0,0 10.06296,-5.75322 9.16446,-21.035197 z\"\n\t\t\t\t\t\t\t\t\tid=\"path904\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 117.16159,40.047782 c 12.75841,5.393641 12.57872,12.944741 12.57872,12.944741 0,0 -2.51576,28.04694 -1.61726,46.74489 0.35937,7.730897 -41.509716,8.270257 -35.220378,-12.40537 7.367538,-24.63096 4.49241,-44.587442 7.906618,-47.643837 3.59392,-2.876609 12.93809,-1.078729 16.3523,0.359576 z\"\n\t\t\t\t\t\t\t\t\tid=\"path906\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.29461,46.879733 c -0.71879,2.51703 -4.13302,3.95533 -7.72691,3.05639 -3.59392,-0.89894 -5.92997,-3.77555 -5.21118,-6.472369 0.71877,-2.696821 4.133,-3.955338 7.72691,-3.056398 3.59392,0.898942 5.92995,3.775557 5.21118,6.472377 z\"\n\t\t\t\t\t\t\t\t\tid=\"path908\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 115.72404,50.835063 c -0.71879,0 -1.43758,-0.17978 -2.33605,-0.35957 -1.79695,-0.53937 -3.41421,-1.43831 -4.49239,-2.69682 -1.07818,-1.43831 -1.43758,-3.0564 -1.07818,-4.494706 0.71878,-2.876611 4.49239,-4.494703 8.4457,-3.415974 1.79697,0.359576 3.41423,1.438305 4.49239,2.696821 1.07818,1.438309 1.43757,2.876609 1.07818,4.314919 -0.53908,2.33724 -3.05484,3.95533 -6.10965,3.95533 z m -1.97666,-10.06813 c -2.33605,0 -4.3127,1.078728 -4.85178,2.876608 -0.17971,1.078732 0.17971,2.157462 0.89847,3.236192 0.89848,1.07872 2.33605,1.97766 3.95331,2.33724 3.23453,0.89894 6.28936,-0.35958 6.82844,-2.51703 0.3594,-1.07873 0,-2.33725 -0.89847,-3.415976 -0.8985,-1.078729 -2.15636,-1.977669 -3.77362,-2.337245 -0.71877,-0.1798 -1.43756,-0.1798 -2.15635,-0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path910\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 111.95044,39.508416 c 0,0 0,0.539366 -0.17971,4.494707 0,1.25851 4.49239,2.51703 5.57055,1.4383 1.25789,-1.25851 0.71879,-2.517033 1.07818,-6.831946 0.17971,-4.314914 -6.46905,0.898939 -6.46905,0.898939 z\"\n\t\t\t\t\t\t\t\t\tid=\"path912\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ea9c92; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 118.41948,38.609477 c 0,0 -1.07818,4.135124 -6.64875,5.573436 0.17971,-3.595768 0.17971,-3.595768 0.17971,-3.595768 z\"\n\t\t\t\t\t\t\t\t\tid=\"path914\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.83369,28.361558 c 1.43758,5.213854 -1.79695,10.607495 -7.18783,12.045798 -5.21118,1.438305 -10.60205,-1.797879 -12.03962,-7.19152 -1.43755,-5.213854 1.79697,-10.607497 7.18783,-12.0458 5.21118,-1.438306 10.60205,1.797879 12.03962,7.191522 z\"\n\t\t\t\t\t\t\t\t\tid=\"path916\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ea9c92; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 114.46617,31.238167 c 0,0 -5.39088,2.337245 -9.16449,2.337245 -3.7736,0 -3.05481,-3.236185 -3.05481,-3.236185 11.32083,-1.618092 11.32083,-1.618092 11.32083,-1.618092 z\"\n\t\t\t\t\t\t\t\t\tid=\"path918\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #303030; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 104.04381,31.77753 c 0,0 4.85179,-1.977668 8.98479,-1.258516 1.07818,0.359577 1.97665,0.719153 2.51573,1.618093 0.17971,0.179779 0.5391,0.539363 0.8985,0.539363 0.71876,0.1798 1.79694,-2.876608 3.23452,-3.056396 1.43755,0 2.51573,1.078727 1.25787,2.876609 -1.07818,1.977669 -0.71879,3.955338 -0.17971,4.314914 0.53908,0.359574 6.28934,-4.135127 1.25787,-14.203258 -5.21118,-10.068129 -17.96957,-4.674488 -20.12593,-2.517032 0,0 -1.976653,1.797881 -3.7736,0.179779 0,0 -1.976655,14.383043 5.92996,11.506434 z\"\n\t\t\t\t\t\t\t\t\tid=\"path920\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 122.55248,73.488363 c 0,7.5511 0,7.5511 0,7.5511 0,0.89893 -0.3594,1.61809 -1.07818,2.33724 -15.45383,14.02348 -15.45383,14.02348 -15.45383,14.02348 1.79695,2.696807 1.79695,2.696807 1.79695,2.696807 20.48532,-14.742617 20.48532,-14.742617 20.48532,-14.742617 0.89847,-0.71915 1.43757,-1.79788 1.61726,-3.0564 1.43757,-13.12452 1.43757,-13.12452 1.43757,-13.12452 z\"\n\t\t\t\t\t\t\t\t\tid=\"path922\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 128.66213,49.216973 c 0,0 4.67208,7.19152 6.46904,25.70969 0,0 -8.0863,2.69682 -12.57869,1.25852 -4.6721,-1.61809 6.10965,-26.96821 6.10965,-26.96821 z\"\n\t\t\t\t\t\t\t\t\tid=\"path924\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.654,58.206373 c 0,0 -1.79697,9.88835 -1.97665,14.56283 0,1.25852 0.71877,2.33725 1.97665,2.87662 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path926\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 117.70069,107.28851 c -3.59391,-0.53936 -3.59391,-0.53936 -3.59391,-0.53936 C 92.004197,93.984193 92.004197,93.984193 92.004197,93.984193 c -0.718786,-0.35957 -1.976655,-0.35957 -2.695421,0.1798 -15.813232,8.989417 -15.813232,8.989417 -15.813232,8.989417 -1.976653,-0.1798 -1.976653,-0.1798 -1.976653,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71914 24.977712,14.56283 24.977712,14.56283 24.977712,14.56283 0.718766,0.35958 1.976655,0.35958 2.875129,-0.1798 17.071092,-9.70855 17.071092,-9.70855 17.071092,-9.70855 0.35939,-0.35958 0.71878,-0.71914 0.71878,-1.07872 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path928\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 100.98898,99.198053 c -1.617263,-0.89894 -1.617263,-0.89894 -1.617263,-0.89894 -17.250779,0 -17.250779,0 -17.250779,0 -8.625394,4.854277 -8.625394,4.854277 -8.625394,4.854277 -1.976653,-0.1798 -1.976653,-0.1798 -1.976653,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71916 24.977712,14.56283 24.977712,14.56283 24.977712,14.56283 0.359393,0.1798 0.898474,0.35958 1.437554,0.35958 z\"\n\t\t\t\t\t\t\t\t\tid=\"path930\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 72.417371,103.15339 c -0.89848,-0.1798 -0.89848,-0.1798 -0.89848,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71916 0.359394,0.35958 0.359394,0.35958 0.359394,0.35958 z\"\n\t\t\t\t\t\t\t\t\tid=\"path932\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #274f89; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 97.395082,120.41305 c 0.539081,0.1798 1.617262,0.1798 2.336029,-0.1798 0,-3.59576 0,-3.59576 0,-3.59576 -2.336029,0 -2.336029,0 -2.336029,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path934\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 97.035689,118.25558 C 72.057977,103.69275 72.057977,103.69275 72.057977,103.69275 c -0.718781,-0.35958 -0.718781,-1.07872 0.179707,-1.61809 17.0711,-9.888337 17.0711,-9.888337 17.0711,-9.888337 0.718767,-0.53938 1.976635,-0.53938 2.695421,-0.1798 25.157395,14.562827 25.157395,14.562827 25.157395,14.562827 0.71879,0.35958 0.5391,1.07872 -0.17971,1.6181 -17.071085,9.88833 -17.071085,9.88833 -17.071085,9.88833 -0.898473,0.53936 -2.156341,0.53936 -2.875128,0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path936\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.676296,115.91833 c -20.84471,-12.04578 -20.84471,-12.04578 -20.84471,-12.04578 -0.718781,-0.35958 -0.539087,-0.89896 0.179707,-1.25852 9.164485,-5.213847 9.164485,-5.213847 9.164485,-5.213847 0.539081,-0.35958 1.617262,-0.35958 2.156342,0 21.0244,12.045777 21.0244,12.045777 21.0244,12.045777 0.5391,0.35958 0.35939,0.89896 -0.17971,1.25854 -9.164466,5.21383 -9.164466,5.21383 -9.164466,5.21383 -0.718788,0.35958 -1.796968,0.35958 -2.336048,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path938\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 90.20725,91.646943 c -0.179708,1.7979 -0.179708,1.7979 -0.179708,1.7979 -0.359393,1.43829 -0.179706,3.05638 0,4.4947 0.359395,1.43831 0.359395,1.43831 0.359395,1.43831 0.179706,0.898927 0.898474,1.618087 1.796947,1.797867 0,0 0,0 0,0 0.539101,0 1.257868,-0.35958 1.257868,-1.07873 0.539101,-3.775547 0.539101,-3.775547 0.539101,-3.775547 0,0 0.898474,1.25852 1.257867,1.25852 0.539081,0 -0.359393,-3.59577 -1.437574,-5.75322 -1.078161,-2.15745 -3.593917,-0.1798 -3.593917,-0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path940\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 98.832636,64.139383 c -2.695441,5.39364 -2.695441,5.39364 -2.695441,5.39364 -0.718767,1.25852 -1.078161,2.69682 -1.257868,3.95534 -1.078161,18.33838 -1.078161,18.33838 -1.078161,18.33838 -3.593916,-0.1798 -3.593916,-0.1798 -3.593916,-0.1798 -1.617262,-20.49584 -1.617262,-20.49584 -1.617262,-20.49584 0,-0.53936 0,-1.25851 0.179708,-1.79788 1.796947,-10.4277 1.796947,-10.4277 1.796947,-10.4277 z\"\n\t\t\t\t\t\t\t\t\tid=\"path942\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.137195,119.51409 c -1.976636,-2.6968 -1.976636,-2.6968 -1.976636,-2.6968 -22.102582,-12.76496 -22.102582,-12.76496 -22.102582,-12.76496 -0.718781,-0.53936 -1.437563,-1.6181 -1.437563,-2.51703 0.179687,-18.158597 0.179687,-18.158597 0.179687,-18.158597 -1.437568,-1.61809 -1.437568,-1.61809 -1.437568,-1.61809 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 25.157392,14.56283 25.157392,14.56283 25.157392,14.56283 0.718787,0.35957 1.257867,1.61809 1.257867,2.51702 0,19.776687 0,19.776687 0,19.776687 0,0.53938 -0.179706,0.89896 -0.53908,1.07874 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path944\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 80.863069,109.0864 c -1.437567,-0.89895 -1.437567,-0.89895 -1.437567,-0.89895 -8.625393,-14.922407 -8.625393,-14.922407 -8.625393,-14.922407 0,-9.88834 0,-9.88834 0,-9.88834 -1.437568,-1.61809 -1.437568,-1.61809 -1.437568,-1.61809 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 25.157405,14.56283 25.157405,14.56283 25.157405,14.56283 0.359393,0.1798 0.718786,0.71915 0.898473,1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path946\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 70.081328,82.477763 c -0.718787,-0.71915 -0.718787,-0.71915 -0.718787,-0.71915 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 0.359391,0.35957 0.359391,0.35957 0.359391,0.35957 z\"\n\t\t\t\t\t\t\t\t\tid=\"path948\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #274f89; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.855982,95.782093 c 0.5391,0.53935 0.898473,1.25851 1.078181,2.15745 -2.515735,1.43831 -2.515735,1.43831 -2.515735,1.43831 -1.257869,-2.15747 -1.257869,-2.15747 -1.257869,-2.15747 z\"\n\t\t\t\t\t\t\t\t\tid=\"path950\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 95.418428,96.321443 C 70.261021,81.758613 70.261021,81.758613 70.261021,81.758613 c -0.718782,-0.35958 -1.257868,0 -1.257868,1.07873 0,19.596887 0,19.596887 0,19.596887 0,1.07874 0.539086,2.15745 1.257868,2.51703 25.157407,14.56283 25.157407,14.56283 25.157407,14.56283 0.718767,0.35958 1.257868,0 1.257868,-0.89893 0,-19.776687 0,-19.776687 0,-19.776687 0,-1.07871 -0.539101,-2.15745 -1.257868,-2.51703 z\"\n\t\t\t\t\t\t\t\t\tid=\"path952\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 107.81742,100.09699 c -0.53908,0.89895 -0.53908,0.89895 -0.53908,0.89895 -0.3594,0.89894 -1.07818,1.79787 -1.97666,2.33723 -2.51573,1.43831 -2.51573,1.43831 -2.51573,1.43831 -0.89848,0.53936 -1.79697,0.53936 -2.51574,0.1798 -0.1797,0 -0.1797,0 -0.1797,0 -0.718793,-0.53935 -0.898479,-1.79789 -0.179713,-2.33725 2.515733,-2.696817 2.515733,-2.696817 2.515733,-2.696817 0,0 -1.43757,1.078727 -1.79696,0.719147 -0.35938,-0.35958 1.43757,-1.977667 2.69544,-2.157447 1.43757,0 2.69544,-1.07873 2.69544,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path954\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 101.16869,39.688206 c 0,0 -9.523886,10.427707 -13.477175,19.956477 0,0 3.234523,5.933 11.320829,8.27025 7.906596,2.33724 2.156346,-28.226727 2.156346,-28.226727 z\"\n\t\t\t\t\t\t\t\t\tid=\"path956\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 97.215376,67.195783 c 1.61726,-14.92241 1.61726,-14.92241 1.61726,-14.92241 -3.773602,14.02346 -3.773602,14.02346 -3.773602,14.02346 0.718787,0.35958 1.437554,0.71916 2.156342,0.89895 z\"\n\t\t\t\t\t\t\t\t\tid=\"path958\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 108.35652,37.710537 c -2.69544,-0.719153 -2.69544,-0.719153 -2.69544,-0.719153 0,0 1.25786,1.79788 3.05483,2.337245 1.79695,0.539364 2.15634,-1.078729 2.15634,-1.078729 z\"\n\t\t\t\t\t\t\t\t\tid=\"path960\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1245\">\n\t\t\t\t\t\t\t\t<g id=\"g919\">\n\t\t\t\t\t\t\t\t\t<g id=\"g1189\">\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 175.7424,164.28133 -0.3594,-1.25852 3.77362,-1.07873 0.3594,1.43831 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path840\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 59.658972,14.697666 c -3.953304,0 -7.187827,-3.236185 -7.187827,-7.1915228 0,-3.955337 3.234523,-7.19152195 7.187827,-7.19152195 3.953311,0 7.187833,3.23618495 7.187833,7.19152195 0,3.9553378 -3.234522,7.1915228 -7.187833,7.1915228 z m 0,-12.7649528 c -3.234523,0 -5.75026,2.517035 -5.75026,5.5734301 0,3.0563977 2.515737,5.5734297 5.75026,5.5734297 3.05483,0 5.570572,-2.517032 5.570572,-5.5734298 0,-3.056395 -2.515742,-5.57343 -5.570572,-5.57343 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path962\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 204.8531,66.476633 c -2.87513,0 -5.03148,-2.33725 -5.03148,-5.03407 0,-2.87661 2.15635,-5.21385 5.03148,-5.21385 2.87513,0 5.03149,2.33724 5.03149,5.21385 0,2.69682 -2.15636,5.03407 -5.03149,5.03407 z m 0,-8.62983 c -1.97666,0 -3.59391,1.61809 -3.59391,3.59576 0,1.79788 1.61725,3.41597 3.59391,3.41597 1.97665,0 3.59391,-1.61809 3.59391,-3.41597 0,-1.97767 -1.61726,-3.59576 -3.59391,-3.59576 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path964\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 37.736098,158.52811 -3.414219,-7.01174 7.008134,-3.41597 3.593914,7.01173 z m -1.25787,-6.29259 1.976654,4.31492 4.312695,-2.15745 -2.156348,-4.13514 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path966\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 139.80325,49.576553 -3.41421,-7.191528 7.00813,-3.415972 3.59391,7.01174 z m -1.25787,-6.472375 1.97666,4.314915 4.3127,-2.15746 -2.15634,-4.135124 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path968\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 30.009183,118.97474 -3.234523,1.43831 -1.617261,-3.23618 3.234523,-1.43832 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path970\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #c4d9e8; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077\" cx=\"50.601101\" cy=\"73.20858\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t<g id=\"g1365\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 22.282267,132.99821 C 3.414217,122.03114 3.414217,122.03114 3.414217,122.03114 c -0.359391,-0.1798 -0.718783,-0.1798 -1.078174,0 0,0 0,0 0,0 -1.796956,1.07872 -1.796956,1.07872 -1.796956,1.07872 0,0 0.898477,0.1798 1.25787,0.35958 0,13.84367 0,13.84367 0,13.84367 0,1.07874 0.718782,2.33725 1.61726,2.87661 17.96957,10.42771 17.96957,10.42771 17.96957,10.42771 0,1.61809 0,1.61809 0,1.61809 1.796959,-1.07871 1.796959,-1.07871 1.796959,-1.07871 0,0 0,0 0,0 0.359391,-0.1798 0.539086,-0.71916 0.539086,-1.25854 0,-14.02345 0,-14.02345 0,-14.02345 0,-1.07874 -0.718783,-2.51703 -1.437565,-2.87661 z\"\n\t\t\t\t\t\t\t\t\tid=\"path982\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 20.305614,152.05574 C 1.437564,141.26845 1.437564,141.26845 1.437564,141.26845 0.718782,140.7291 0,139.47058 0,138.39185 c 0,-14.02348 0,-14.02348 0,-14.02348 0,-1.25851 0.718782,-1.79787 1.437564,-1.25851 18.86805,10.96707 18.86805,10.96707 18.86805,10.96707 0.898479,0.35958 1.617262,1.79789 1.617262,2.8766 0,14.02348 0,14.02348 0,14.02348 0,1.07873 -0.718783,1.61809 -1.617262,1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path984\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" id=\"layer1-4\" transform=\"matrix(0.99948638,0,0,1,-183.30803,-44.073295)\">\n\t\t\t\t\t\t\t\t\t<g id=\"g1124\" transform=\"matrix(1.1446987,0,0,1.0859438,49.494458,-106.30716)\" />\n\t\t\t\t\t\t\t\t\t<g fill=\"none\" fill-rule=\"evenodd\" id=\"g1474\" transform=\"matrix(3.7426626,0,0,3.7474076,-10.030336,-2.3200261)\">\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\td=\"m 54.970698,50.02724 c -0.167538,0.06056 -0.322968,0.03761 -0.392063,0.02849 -0.03405,-0.0044 -0.09161,-0.01496 -0.153007,-0.02764 l -0.101868,0.379954 -0.233927,-0.06268 0.100158,-0.373827 -0.17808,-0.04772 -0.100158,0.373826 -0.233927,-0.06268 0.100158,-0.373828 -0.460161,-0.123373 0.123374,-0.268119 0.1399,0.03761 c 0.04702,0.01254 0.06781,0.0134 0.09246,1.43e-4 0.02465,-0.0134 0.03661,-0.04061 0.04274,-0.06354 l 0.259286,-0.967904 c 0.01637,-0.06069 0.01582,-0.07836 -0.0037,-0.116963 -0.01951,-0.03874 -0.08405,-0.06041 -0.120949,-0.07024 l -0.135199,-0.03633 0.06511,-0.242761 0.46016,0.123232 0.100441,-0.374967 0.233927,0.06268 -0.100441,0.374967 0.178081,0.04772 0.100576,-0.374967 0.233926,0.06268 -0.10172,0.379525 c 0.171528,0.05755 0.29248,0.125512 0.38323,0.239627 0.117529,0.14745 0.05955,0.333366 0.04417,0.377388 -0.01524,0.04388 -0.05798,0.124942 -0.112264,0.170104 -0.05428,0.0453 -0.165401,0.07522 -0.165401,0.07522 0,0 0.107134,0.05456 0.170957,0.136054 0.06353,0.08149 0.09431,0.203298 0.0493,0.357587 -0.04473,0.154432 -0.117825,0.30003 -0.285072,0.36072 z m -0.485519,-0.812048 a 2.8160986,2.8160986 0 0 0 -0.264415,-0.0708 l -0.134488,0.501761 c 0,0 0.154291,0.04488 0.260285,0.06511 0.105854,0.02009 0.219964,0.02265 0.281509,0.0074 0.06126,-0.01524 0.138191,-0.04389 0.168963,-0.158563 0.03077,-0.114823 -0.03276,-0.183353 -0.0708,-0.216974 -0.03775,-0.03362 -0.127221,-0.08918 -0.24105,-0.127791 z m -0.0075,-0.25145 c 0.08619,0.01951 0.182213,0.02421 0.257434,0.0058 0.07522,-0.01852 0.127648,-0.06554 0.148306,-0.151297 0.02066,-0.08576 -0.01681,-0.173237 -0.10514,-0.228514 -0.08832,-0.05528 -0.152152,-0.07479 -0.225095,-0.09546 -0.07294,-0.02066 -0.149018,-0.03419 -0.149018,-0.03419 l -0.121098,0.451612 c 0,0 0.108561,0.03248 0.194607,0.05214 z\"\n\t\t\t\t\t\t\t\t\t\t\tfill=\"#ffffff\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path1472\"\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"stroke-width: 0.142465\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" id=\"layer1-6\" transform=\"matrix(0.26718946,0,0,0.26685114,4.194869,2.232915)\">\n\t\t\t\t\t\t\t\t\t\t\t<g id=\"g1124-3\" transform=\"matrix(1.1446987,0,0,1.0859438,49.494458,-106.30716)\" />\n\t\t\t\t\t\t\t\t\t\t\t<g fill=\"none\" fill-rule=\"evenodd\" id=\"g1474-3\" transform=\"matrix(3.7426626,0,0,3.7474076,-10.030336,-2.3200261)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<path style=\"fill: #000000; stroke-width: 0.0294152\" id=\"path852-1\" d=\"\" />\n\t\t\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t\t\t\t<path style=\"fill: #000000; stroke-width: 0.264583\" id=\"path860\" d=\"\" />\n\t\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1370\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 155.07739,11.281694 C 135.84996,0.13483425 135.84996,0.13483425 135.84996,0.13483425 c -0.35939,-0.179779 -0.71879,-0.179779 -0.89849,0 0,0 0,0 0,0 -1.97664,1.07872895 -1.97664,1.07872895 -1.97664,1.07872895 0,0 0.89848,0.359576 1.25787,0.5393631 0,13.8436797 0,13.8436797 0,13.8436797 0,1.258516 0.71877,2.517032 1.61726,3.056398 18.32896,10.607494 18.32896,10.607494 18.32896,10.607494 0,1.618093 0,1.618093 0,1.618093 1.97665,-1.078729 1.97665,-1.078729 1.97665,-1.078729 0,0 0,0 0,0 0.3594,-0.179779 0.53908,-0.719153 0.53908,-1.258517 0,-14.203255 0,-14.203255 0,-14.203255 0,-1.258517 -0.71878,-2.517033 -1.61726,-3.056396 z\"\n\t\t\t\t\t\t\t\t\tid=\"path972\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 153.10073,30.878591 C 134.05299,19.73173 134.05299,19.73173 134.05299,19.73173 c -0.89847,-0.539363 -1.61726,-1.797879 -1.61726,-3.056395 0,-14.2032557 0,-14.2032557 0,-14.2032557 0,-1.078729 0.71879,-1.61809305 1.61726,-1.258516 19.04774,11.1468577 19.04774,11.1468577 19.04774,11.1468577 0.8985,0.539365 1.61726,1.797881 1.61726,3.056398 0,14.203255 0,14.203255 0,14.203255 0,1.258517 -0.71876,1.618093 -1.61726,1.258517 z\"\n\t\t\t\t\t\t\t\t\tid=\"path974\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; stroke-width: 0.0184867\"\n\t\t\t\t\t\t\t\t\td=\"m 141.92096,20.817863 c -0.0845,-0.05979 -0.083,-0.09814 0.0233,-0.609404 l 0.0972,-0.467527 -0.0891,-0.03122 c -0.25686,-0.09 -0.6438,-0.311811 -0.91824,-0.52635 -0.23108,-0.180644 -0.51291,-0.47937 -0.65359,-0.692759 -0.11754,-0.178304 -0.11356,-0.18603 0.26869,-0.520798 0.4107,-0.359679 0.45777,-0.392393 0.53998,-0.375291 0.0516,0.01074 0.0844,0.03929 0.17072,0.148582 0.29064,0.368125 0.64651,0.649801 1.05665,0.83635 0.17869,0.08128 0.55705,0.160779 0.72198,0.15163 0.29789,-0.0164 0.59805,-0.147021 0.73079,-0.318026 0.085,-0.109458 0.1569,-0.285489 0.16578,-0.405692 0.0129,-0.174271 -0.0731,-0.39665 -0.21382,-0.553183 -0.11412,-0.126927 -0.48584,-0.41216 -0.86129,-0.660885 -0.83302,-0.551852 -1.16758,-0.840011 -1.40676,-1.211632 -0.20213,-0.314048 -0.28395,-0.547611 -0.30007,-0.856548 -0.025,-0.478804 0.10372,-0.90293 0.38207,-1.259107 0.34979,-0.447584 0.89936,-0.732875 1.54238,-0.80067 0.10201,-0.01076 0.21956,-0.01798 0.2612,-0.01603 l 0.0757,0.0035 0.10327,-0.496926 0.10328,-0.496945 0.0639,-0.04192 0.0639,-0.04192 0.40752,0.08478 c 0.40463,0.08418 0.40782,0.08516 0.44922,0.139008 l 0.0417,0.05423 -0.0984,0.500578 -0.0984,0.500578 0.0515,0.01071 c 0.17101,0.03557 0.6326,0.280298 0.88321,0.468248 0.1669,0.125166 0.41105,0.370867 0.506,0.509211 0.10188,0.148441 0.0972,0.158758 -0.25881,0.572545 -0.1659,0.192813 -0.32034,0.363484 -0.3432,0.379267 -0.075,0.05177 -0.16919,0.01508 -0.27113,-0.105513 -0.12304,-0.14557 -0.35747,-0.35924 -0.50425,-0.459602 -0.42429,-0.290101 -0.93173,-0.421233 -1.34052,-0.346406 -0.25899,0.0474 -0.49488,0.200071 -0.5954,0.385337 -0.0594,0.109436 -0.0975,0.301732 -0.085,0.429045 0.008,0.08571 0.0313,0.135341 0.13375,0.289688 0.16876,0.254294 0.35384,0.406024 1.03307,0.846935 0.82457,0.535255 1.09157,0.768617 1.37464,1.201458 0.11598,0.177332 0.14425,0.23795 0.18603,0.398794 0.12841,0.494375 0.0453,1.038032 -0.22962,1.502304 -0.29269,0.494257 -0.80898,0.851946 -1.40642,0.974381 -0.16996,0.03483 -0.50409,0.06222 -0.57615,0.04723 -0.0327,-0.0068 -0.0386,0.01405 -0.13222,0.464493 -0.10879,0.52343 -0.12248,0.556875 -0.23429,0.571542 -0.0912,0.01198 -0.75658,-0.130842 -0.82053,-0.176116 z\"\n\t\t\t\t\t\t\t\t\tid=\"path1113\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1332\" transform=\"translate(40.853854,-16.063988)\">\n\t\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #396caa; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077-0\" cx=\"10.583332\" cy=\"57.641373\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #d4ecff; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077-0-7\" cx=\"10.824415\" cy=\"54.389351\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m -10.957013,55.043799 c 0.539086,-2.696822 2.5157386,-5.393641 6.1096537,-7.551099 8.445699,-4.854278 21.9228763,-5.034065 30.3685763,-0.179779 4.312698,2.337245 6.289347,5.393641 6.469046,8.629826 0.539086,-3.59577 -1.617262,-7.371318 -6.289351,-10.06814 -8.4457,-4.674488 -22.1025723,-4.674488 -30.3685743,0.359577 -4.3126981,2.337245 -6.2893507,5.57343 -6.2893507,8.809615 z\"\n\t\t\t\t\t\t\t\t\tid=\"path876\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t</g>\n\t\t\t\t\t</svg>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.PersonalInformation' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.UserNeedInfoForAccount' | translate }}</p>\n\n\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t<ul class=\"nav nav-tabs\" id=\"signTabs\" role=\"tablist\">\n\t\t\t\t\t\t\t<li class=\"nav-item\" role=\"presentation\">\n\t\t\t\t\t\t\t\t<button type=\"button\" class=\"nav-link\" [ngClass]=\"{ active: !_actionsForm.value['IsBusiness'] }\" (click)=\"changeTypeAccount(false)\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Form.PersonalAccount' | translate }}</p>\n\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t</li>\n\n\t\t\t\t\t\t\t<li class=\"nav-item\" role=\"presentation\">\n\t\t\t\t\t\t\t\t<button type=\"button\" class=\"nav-link\" [ngClass]=\"{ active: _actionsForm.value['IsBusiness'] }\" (click)=\"changeTypeAccount(true)\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Form.BusinessAccount' | translate }}</p>\n\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateUserInfo()\">\n\t\t\t\t\t\t\t<!-- personal account -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!_actionsForm.value['IsBusiness']\">\n\t\t\t\t\t\t\t\t<!-- full name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"FullName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.FullName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('FullName').hasError(error.type) && (_actionsForm.get('FullName').dirty || _actionsForm.get('FullName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t\t<div class=\"email\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"Email\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Email' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Email').hasError(error.type) && (_actionsForm.get('Email').dirty || _actionsForm.get('Email').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- phone -->\n\t\t\t\t\t\t\t\t<div class=\"phone\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-number\">\n\t\t\t\t\t\t\t\t\t\t<cp-country-input [type]=\"1\" formControlName=\"IdCountry\" (countrySelected)=\"changeCountrySelected($event)\"></cp-country-input>\n\n\t\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"tel\" formControlName=\"PhoneNumber\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.PhoneNumber' | translate }}\" autocomplete=\"off\" />\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- business account -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.value['IsBusiness']\">\n\t\t\t\t\t\t\t\t<!-- business name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"BusinessName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.BusinessName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.BusinessName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.BusinessName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('BusinessName').hasError(error.type) && (_actionsForm.get('BusinessName').dirty || _actionsForm.get('BusinessName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t\t<div class=\"email\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"Email\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Email' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Email').hasError(error.type) && (_actionsForm.get('Email').dirty || _actionsForm.get('Email').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- phone -->\n\t\t\t\t\t\t\t\t<div class=\"phone\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-number\">\n\t\t\t\t\t\t\t\t\t\t<cp-country-input [type]=\"1\" formControlName=\"IdCountry\" (countrySelected)=\"changeCountrySelected($event)\"></cp-country-input>\n\n\t\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"tel\" formControlName=\"PhoneNumber\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.PhoneNumber' | translate }}\" autocomplete=\"off\" />\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- full name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"FullName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.LegalName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('FullName').hasError(error.type) && (_actionsForm.get('FullName').dirty || _actionsForm.get('FullName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.LegalRepresentative' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- steps -->\n\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.SignUp' | translate }}\n\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</form>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- verify phone  -->\n\t\t<ng-container *ngIf=\"_step == 2 && _actionsForm\">\n\t\t\t<div class=\"step2\">\n\t\t\t\t<div class=\"content-step2\">\n\t\t\t\t\t<button type=\"button\" class=\"btn-back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t<i class=\"fas fa-arrow-left\"></i>\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<svg\n\t\t\t\t\t\txmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n\t\t\t\t\t\txmlns:cc=\"http://creativecommons.org/ns#\"\n\t\t\t\t\t\txmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"\n\t\t\t\t\t\txmlns:svg=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"\n\t\t\t\t\t\txmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"\n\t\t\t\t\t\twidth=\"1312\"\n\t\t\t\t\t\theight=\"823\"\n\t\t\t\t\t\tviewBox=\"0 0 347.13332 217.75209\"\n\t\t\t\t\t\tversion=\"1.1\"\n\t\t\t\t\t\tid=\"svg8\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" inkscape:groupmode=\"layer\" id=\"layer1\">\n\t\t\t\t\t\t\t<g id=\"g1159\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 160.95676,186.32394 h -12.72682 l -1.99636,6.7346 h 12.72681 z M 196.3922,52.380217 h -12.47727 l -1.24773,4.988596 h 12.22773 z\"\n\t\t\t\t\t\t\t\t\tid=\"path836\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: none; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 160.95676,186.32394 h -12.72682 l -1.99636,6.7346 h 12.72681 l 1.99637,-6.7346 M 196.3922,52.380217 h -12.47727 l -1.24773,4.988596 h 12.22773 l 1.49727,-4.988596\"\n\t\t\t\t\t\t\t\t\tid=\"path838\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 192.89856,186.32394 h -25.20407 l -1.74683,6.7346 h 25.20409 z M 228.334,52.380217 h -24.70499 l -1.24772,4.988596 24.70499,-0.249446 z\"\n\t\t\t\t\t\t\t\t\tid=\"path840\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: none; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 192.89856,186.32394 h -25.20407 l -1.74683,6.7346 h 25.20409 l 1.74681,-6.7346 M 228.334,52.380217 h -24.70499 l -1.24772,4.988596 24.70499,-0.249446 1.24772,-4.73915\"\n\t\t\t\t\t\t\t\t\tid=\"path842\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 339.13214,179.3399 c 7.98545,-112.99162 7.98545,-112.99162 7.98545,-112.99162 0.24956,-3.741454 -2.49545,-6.7346 -6.23864,-6.7346 -197.39037,0.249445 -197.39037,0.249445 -197.39037,0.249445 -3.74318,0 -6.98727,2.993146 -7.23681,6.7346 -7.98546,112.991615 -7.98546,112.991615 -7.98546,112.991615 -0.24953,3.74146 2.49546,6.7346 6.23864,6.7346 197.39038,-0.24945 197.39038,-0.24945 197.39038,-0.24945 3.74318,0 6.98728,-2.99314 7.23681,-6.73459 z\"\n\t\t\t\t\t\t\t\t\tid=\"path844\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 336.6367,176.84562 c 7.98544,-112.991652 7.98544,-112.991652 7.98544,-112.991652 0.24956,-3.741426 -2.49546,-6.734601 -6.23862,-6.734601 -197.3904,0.249446 -197.3904,0.249446 -197.3904,0.249446 -3.74317,0 -6.98726,2.993174 -7.2368,6.7346 -7.98546,112.991617 -7.98546,112.991617 -7.98546,112.991617 -0.24953,3.74146 2.49545,6.7346 6.23863,6.7346 197.39039,0 197.39039,0 197.39039,0 3.74316,0 6.98726,-3.24259 7.23682,-6.98401 z\"\n\t\t\t\t\t\t\t\t\tid=\"path846\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #b3caff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 159.20994,61.858546 c -18.96545,0 -18.96545,0 -18.96545,0 -0.49909,0 -0.99818,0.249446 -1.49727,0.498863 -0.24954,0.249445 -0.49909,0.748279 -0.49909,1.496559 -7.98545,112.991652 -7.98545,112.991652 -7.98545,112.991652 0,1.24713 0.99818,2.49428 2.24591,2.49428 0,0 0,0 0,0 3.74318,0 3.74318,0 3.74318,0 -2.745,0 -4.74136,-2.74374 -3.99273,-5.23802 26.9509,-112.243334 26.9509,-112.243334 26.9509,-112.243334 m 178.42492,-0.249445 c 0,0 0,0 0,0 -162.70356,0.249445 -162.70356,0.249445 -162.70356,0.249445 12.22771,0 12.22771,0 12.22771,0 C 158.96039,179.3399 158.96039,179.3399 158.96039,179.3399 c 12.22773,0 12.22773,0 12.22773,0 28.44817,-117.481354 28.44817,-117.481354 28.44817,-117.481354 11.72862,0 11.72862,0 11.72862,0 -7.98544,33.423558 -7.98544,33.423558 -7.98544,33.423558 64.88179,0 64.88179,0 64.88179,0 1.24773,0 2.2459,0.99772 1.99636,2.24487 -0.99818,10.226626 -0.99818,10.226626 -0.99818,10.226626 -0.24956,1.24715 -1.24773,2.24487 -2.49546,2.24487 -66.87815,0 -66.87815,0 -66.87815,0 -1.49727,6.48516 -1.49727,6.48516 -1.49727,6.48516 67.37725,0 67.37725,0 67.37725,0 1.24772,0 2.2459,0.99772 1.99636,2.24486 -0.99819,9.97719 -0.99819,9.97719 -0.99819,9.97719 -0.24953,1.24715 -1.24771,2.24487 -2.49545,2.24487 -69.3736,0 -69.3736,0 -69.3736,0 0,0 0,0 -0.24954,0 -11.47909,48.38935 -11.47909,48.38935 -11.47909,48.38935 146.73267,-0.24945 146.73267,-0.24945 146.73267,-0.24945 0.74863,0 1.24772,-0.24944 1.49726,-0.49886 0.24956,-0.24944 0.74866,-0.74828 0.74866,-1.49659 7.98544,-112.991615 7.98544,-112.991615 7.98544,-112.991615 0,-1.247142 -0.99819,-2.494284 -2.49547,-2.494284 z\"\n\t\t\t\t\t\t\t\t\tid=\"path848\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 265.76581,116.48363 c -69.37361,0 -69.37361,0 -69.37361,0 -1.24772,0 -2.24592,0.99772 -2.24592,2.24486 -1.24772,9.97719 -1.24772,9.97719 -1.24772,9.97719 0,1.24715 0.74864,2.24487 1.99637,2.24487 69.3736,0 69.3736,0 69.3736,0 1.24774,0 2.24591,-0.99772 2.49545,-2.24487 0.99819,-9.97719 0.99819,-9.97719 0.99819,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99636,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path850\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 204.62719,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24773,0 -2.2459,0.99772 -2.49544,2.24486 -0.9982,9.97719 -0.9982,9.97719 -0.9982,9.97719 -0.24953,1.24715 0.74865,2.24487 1.99637,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24773,0 2.49546,-0.99772 2.49546,-2.24487 0.99818,-9.97719 0.99818,-9.97719 0.99818,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99637,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path852\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 223.3431,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24774,0 -2.24591,0.99772 -2.49545,2.24486 -0.99819,9.97719 -0.99819,9.97719 -0.99819,9.97719 -0.24953,1.24715 0.74864,2.24487 1.99636,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24773,0 2.49546,-0.99772 2.49546,-2.24487 0.99818,-9.97719 0.99818,-9.97719 0.99818,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99636,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path854\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 242.05899,157.88896 c -10.73044,0 -10.73044,0 -10.73044,0 -1.24773,0 -2.49546,0.99772 -2.49546,2.24486 -0.99818,9.97719 -0.99818,9.97719 -0.99818,9.97719 -0.24953,1.24715 0.74863,2.24487 1.99637,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24772,0 2.2459,-0.99772 2.49545,-2.24487 0.99819,-9.97719 0.99819,-9.97719 0.99819,-9.97719 0.24953,-1.24714 -0.74865,-2.24486 -1.99638,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path856\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 260.77489,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24772,0 -2.49544,0.99772 -2.49544,2.24486 -1.24773,9.97719 -1.24773,9.97719 -1.24773,9.97719 0,1.24715 0.74863,2.24487 1.99637,2.24487 10.97999,0 10.97999,0 10.97999,0 1.24772,0 2.24591,-0.99772 2.49546,-2.24487 0.99817,-9.97719 0.99817,-9.97719 0.99817,-9.97719 0,-1.24714 -0.74863,-2.24486 -1.99637,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path858\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 205.12629,150.90494 c 0,0.49883 0,0.49883 0,0.49883 43.42089,0 43.42089,0 43.42089,0 2.24591,0 4.49181,-1.74601 4.74135,-4.24029 0.4991,-4.9886 0.4991,-4.9886 0.4991,-4.9886 0,0 0,-0.24944 0,-0.49886 0,-0.99772 -0.4991,-1.99542 -1.24773,-2.74372 -0.49908,-0.74829 -1.49727,-0.99773 -2.745,-0.99773 -43.17134,0 -43.17134,0 -43.17134,0 -2.49546,0 -4.49182,1.74603 -4.74136,4.24031 -0.4991,4.9886 -0.4991,4.9886 -0.4991,4.9886 -0.24953,0 -0.24953,0.24945 -0.24953,0.24945 0,1.24714 0.49909,2.24486 1.24773,2.99315 0.74863,0.49886 1.74681,0.99772 2.745,0.99772 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 -0.74864,0 -1.49728,-0.24945 -1.99637,-0.74829 -0.49909,-0.49889 -0.99819,-1.24716 -0.99819,-2.24489 0,0 0,0 0.24954,-0.24945 0.49909,-4.98857 0.49909,-4.98857 0.49909,-4.98857 0,-1.74602 1.74681,-3.24258 3.74318,-3.24258 43.17134,0 43.17134,0 43.17134,0 0.99819,0 1.74682,0.24944 2.24591,0.74827 0.49909,0.49886 0.74864,1.24715 0.74864,1.99545 0,0.24945 0,0.24945 0,0.49886 -0.49909,4.98857 -0.49909,4.98857 -0.49909,4.98857 -0.24954,1.74604 -1.99637,3.2426 -3.74318,3.2426 -43.42089,0 -43.42089,0 -43.42089,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path860\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 268.26126,95.282104 c -69.3736,0 -69.3736,0 -69.3736,0 -1.24774,0 -2.24592,0.99772 -2.24592,2.24487 -1.24772,10.226626 -1.24772,10.226626 -1.24772,10.226626 0,1.24715 0.74863,2.24487 1.99636,2.24487 69.3736,0 69.3736,0 69.3736,0 1.24773,0 2.24592,-0.99772 2.49546,-2.24487 0.99818,-10.226626 0.99818,-10.226626 0.99818,-10.226626 0.24953,-1.24715 -0.74863,-2.24487 -1.99636,-2.24487 z\"\n\t\t\t\t\t\t\t\t\tid=\"path862\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 239.06445,73.08288 c -0.49908,4.988597 -0.49908,4.988597 -0.49908,4.988597 0,0.498863 -0.4991,0.997725 -0.99819,0.997725 -0.49908,0 -0.74863,-0.498862 -0.74863,-0.997725 0.49909,-4.988597 0.49909,-4.988597 0.49909,-4.988597 0.24953,-1.746004 -0.99819,-2.993146 -2.745,-2.993146 -1.74682,0 -1.74682,0 -1.74682,0 -1.74682,0 -3.24408,1.247142 -3.24408,2.993146 -0.4991,4.739152 -0.4991,4.739152 -0.4991,4.739152 -1.74681,0 -1.74681,0 -1.74681,0 0.49908,-4.739152 0.49908,-4.739152 0.49908,-4.739152 0.24956,-2.494312 2.49546,-4.739179 5.24046,-4.739179 1.74681,0 1.74681,0 1.74681,0 2.49546,0 4.49182,2.244867 4.24227,4.739179 z\"\n\t\t\t\t\t\t\t\t\tid=\"path886\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 239.06445,78.071477 c -0.99818,9.977197 -0.99818,9.977197 -0.99818,9.977197 0,0.49883 -0.74863,0.9977 -1.24772,0.9977 -9.98182,0 -9.98182,0 -9.98182,0 -0.74863,0 -1.24773,-0.49887 -0.99818,-0.9977 0.99818,-9.977197 0.99818,-9.977197 0.99818,-9.977197 0,-0.498862 0.24954,-0.748307 0.4991,-0.997724 0.24953,-0.249446 0.49908,-0.249446 0.74863,-0.249446 9.98181,0 9.98181,0 9.98181,0 0.24954,0 0.4991,0 0.4991,0.249446 0.24953,0 0.49908,0.498862 0.49908,0.997724 z\"\n\t\t\t\t\t\t\t\t\tid=\"path888\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 317.17215,55.872226 c -24.45545,0.249445 -24.45545,0.249445 -24.45545,0.249445 -0.24957,0 -0.4991,0.249445 -0.4991,0.498862 0,0.249446 0.24956,0.498863 0.74866,0.498863 24.20589,-0.249446 24.20589,-0.249446 24.20589,-0.249446 0.24957,0 0.4991,0 0.4991,-0.498862 0,-0.249445 -0.24956,-0.498862 -0.4991,-0.498862 z\"\n\t\t\t\t\t\t\t\t\tid=\"path890\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 330.6476,55.872226 c -8.7341,0 -8.7341,0 -8.7341,0 -0.24956,0 -0.49909,0.249445 -0.49909,0.498862 0,0.249445 0.24956,0.498862 0.49909,0.498862 8.7341,0 8.7341,0 8.7341,0 0.24956,0 0.49909,-0.249445 0.49909,-0.498862 0,-0.249445 -0.24956,-0.498862 -0.49909,-0.498862 z\"\n\t\t\t\t\t\t\t\t\tid=\"path892\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 158.96039,179.3399 c -22.70862,0 -22.70862,0 -22.70862,0 0,0 0,0 0,0 0,0 0,0 0,0 22.70862,0 22.70862,0 22.70862,0 0,0 0,0 0,0 M 174.9313,61.858546 c -15.72136,0 -15.72136,0 -15.72136,0 0,0 0,0 0,0 15.72136,0 15.72136,0 15.72136,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path894\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 187.15901,61.858546 c -12.22771,0 -12.22771,0 -12.22771,0 -15.72136,0 -15.72136,0 -15.72136,0 -26.9509,112.243334 -26.9509,112.243334 -26.9509,112.243334 -0.74863,2.49428 1.24773,5.23802 3.99273,5.23802 22.70862,0 22.70862,0 22.70862,0 C 187.15901,61.858546 187.15901,61.858546 187.15901,61.858546 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path896\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path style=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\" d=\"m 183.16629,179.3399 h -11.97817 v 0 z\" id=\"path898\" />\n\t\t\t\t\t\t\t\t<path style=\"fill: none; stroke: none; stroke-width: 0.748461\" d=\"m 183.16629,179.3399 h -11.97817 v 0 h 11.97817 v 0\" id=\"path900\" />\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 211.36491,61.858546 c -11.72862,0 -11.72862,0 -11.72862,0 C 171.18812,179.3399 171.18812,179.3399 171.18812,179.3399 c 11.97817,0 11.97817,0 11.97817,0 11.4791,-48.38935 11.4791,-48.38935 11.4791,-48.38935 -0.99819,0 -1.74683,-0.99772 -1.74683,-2.24487 1.24772,-9.97719 1.24772,-9.97719 1.24772,-9.97719 0,-1.24714 0.9982,-2.24486 2.24592,-2.24486 1.99636,0 1.99636,0 1.99636,0 1.49727,-6.48516 1.49727,-6.48516 1.49727,-6.48516 -2.49545,0 -2.49545,0 -2.49545,0 -1.24773,0 -1.99636,-0.99772 -1.99636,-2.24487 1.24772,-10.226626 1.24772,-10.226626 1.24772,-10.226626 0,-1.24715 0.99818,-2.24487 2.24592,-2.24487 4.49181,0 4.49181,0 4.49181,0 7.98544,-33.423558 7.98544,-33.423558 7.98544,-33.423558 z\"\n\t\t\t\t\t\t\t\t\tid=\"path902\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 203.37947,95.282104 c -4.49181,0 -4.49181,0 -4.49181,0 -1.24774,0 -2.24592,0.99772 -2.24592,2.24487 -1.24772,10.226626 -1.24772,10.226626 -1.24772,10.226626 0,1.24715 0.74863,2.24487 1.99636,2.24487 2.49545,0 2.49545,0 2.49545,0 3.49364,-14.716366 3.49364,-14.716366 3.49364,-14.716366 z\"\n\t\t\t\t\t\t\t\t\tid=\"path906\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1120\" transform=\"matrix(0.99980253,0,0,0.99933895,51.504464,-14.870679)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -40.282878,40.089578 c 5.491083,0 5.491083,0 5.491083,0 -5.740676,0 -9.983787,4.492704 -9.484597,10.233374 11.980545,171.970708 11.980545,171.970708 11.980545,171.970708 0.499187,5.74067 5.241486,10.48298 10.982163,10.48298 -5.491083,0 -5.491083,0 -5.491083,0 -5.740676,0 -10.73257,-4.74231 -11.231759,-10.48298 C -50.017068,50.322952 -50.017068,50.322952 -50.017068,50.322952 c -0.249582,-5.74067 3.993514,-10.233374 9.73419,-10.233374 z\"\n\t\t\t\t\t\t\t\t\tid=\"path908\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -40.282878,40.089578 c 5.491083,0 5.491083,0 5.491083,0 -5.740676,0 -9.983787,4.492704 -9.484597,10.233374 11.980545,171.970708 11.980545,171.970708 11.980545,171.970708 0.499187,5.74067 5.241486,10.48298 10.982163,10.48298 -5.491083,0 -5.491083,0 -5.491083,0 -5.740676,0 -11.481353,-4.74231 -11.980542,-10.48298 C -50.765851,50.322952 -50.765851,50.322952 -50.765851,50.322952 c -0.49919,-5.74067 4.742297,-10.233374 10.482973,-10.233374 z\"\n\t\t\t\t\t\t\t\t\tid=\"path910\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -25.307198,232.77664 c 69.387312,0 69.387312,0 69.387312,0 5.740673,0 9.983783,-4.74231 9.73419,-10.48298 C 41.833762,50.322952 41.833762,50.322952 41.833762,50.322952 41.334569,44.582282 36.342676,40.089578 30.602003,40.089578 c -69.387312,0 -69.387312,0 -69.387312,0 -5.491083,0 -9.983787,4.492704 -9.484597,10.233374 11.980542,171.970708 11.980542,171.970708 11.980542,171.970708 0.49919,5.74067 5.491083,10.48298 10.982166,10.48298 z\"\n\t\t\t\t\t\t\t\t\tid=\"path912\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #b3caff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -5.0900323,43.334287 c -33.6952767,0 -33.6952767,0 -33.6952767,0 -1.996759,0 -3.494325,0.748802 -4.742297,1.996769 -1.247976,1.247967 -1.747162,2.995127 -1.747162,4.742286 11.980542,172.220318 11.980542,172.220318 11.980542,172.220318 0.249582,2.99512 2.495945,5.74067 5.491082,6.73905 C -5.0900323,43.334287 -5.0900323,43.334287 -5.0900323,43.334287 m 35.6920353,0 c -2.246352,0 -2.246352,0 -2.246352,0 1.996753,0 3.743921,0.748802 4.991888,2.246351 C 10.884024,229.28229 10.884024,229.28229 10.884024,229.28229 c -27.705005,0 -27.705005,0 -27.705005,0 C 6.1417266,43.334287 6.1417266,43.334287 6.1417266,43.334287 c -4.9918932,0 -4.9918932,0 -4.9918932,0 C -21.812874,229.28229 -21.812874,229.28229 -21.812874,229.28229 c -3.743918,0 -3.743918,0 -3.743918,0 0,0 0,0 0,0 69.387307,0 69.387307,0 69.387307,0 1.996758,0 3.494327,-0.74877 4.742302,-1.99674 1.24797,-1.24797 1.74716,-2.99512 1.74716,-4.74231 C 38.089841,50.572534 38.089841,50.572534 38.089841,50.572534 37.840231,46.579023 34.345924,43.334287 30.602003,43.334287 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path914\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 28.355651,43.334287 c -22.2139244,0 -22.2139244,0 -22.2139244,0 C -16.820981,229.28229 -16.820981,229.28229 -16.820981,229.28229 c 27.705005,0 27.705005,0 27.705005,0 C 33.347539,45.580638 33.347539,45.580638 33.347539,45.580638 32.099572,44.083089 30.352404,43.334287 28.355651,43.334287 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path916\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -27.803144,229.03271 c -0.249582,0.24961 -0.249582,0.24961 -0.249582,0.24961 2.495945,0 2.495945,0 2.495945,0 -0.748783,0 -1.497566,0 -2.246349,-0.24961 z\"\n\t\t\t\t\t\t\t\t\tid=\"path918\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 1.1498334,43.334287 c -6.2398657,0 -6.2398657,0 -6.2398657,0 C -27.803144,229.03271 -27.803144,229.03271 -27.803144,229.03271 c 0.748783,0.24961 1.497566,0.24961 2.246352,0.24961 3.743918,0 3.743918,0 3.743918,0 C 1.1498334,43.334315 1.1498334,43.334315 1.1498334,43.334315 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path920\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -23.80963,125.20134 c 50.168523,0 50.168523,0 50.168523,0 0.249582,0 0.499189,-0.24961 0.499189,-0.4992 0,-0.24961 -0.24961,-0.49919 -0.499189,-0.49919 -50.168523,0 -50.168523,0 -50.168523,0 -0.249582,0 -0.499189,0.24961 -0.499189,0.49919 0,0.24961 0.24961,0.4992 0.499189,0.4992 z\"\n\t\t\t\t\t\t\t\t\tid=\"path922\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -17.320171,132.43958 c 39.18636,0 39.18636,0 39.18636,0 0.49919,0 0.49919,-0.24961 0.49919,-0.49919 0,-0.24961 0,-0.49919 -0.49919,-0.49919 -39.18636,0 -39.18636,0 -39.18636,0 -0.24961,0 -0.499189,0.24961 -0.499189,0.49919 0,0.24961 0.249582,0.49919 0.499189,0.49919 z\"\n\t\t\t\t\t\t\t\t\tid=\"path924\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -22.312064,90.258092 v 1.996742 h -1.247972 v -1.996742 l -2.495945,-3.494319 h 1.497566 l 1.497568,2.495934 1.497566,-2.495934 h 1.247976 z\"\n\t\t\t\t\t\t\t\t\tid=\"path926\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -20.315305,89.509318 c 0,-1.747188 1.247972,-2.745545 2.995134,-2.745545 1.747163,0 2.995135,0.998357 2.995135,2.745545 0.249611,1.747159 -0.998379,2.995126 -2.745541,2.995126 -1.747162,0 -3.244728,-1.247967 -3.244728,-2.995126 z m 4.742297,0 c 0,-0.998385 -0.748783,-1.747188 -1.747163,-1.747188 -0.998379,0 -1.747162,0.748803 -1.747162,1.747188 0,0.998356 0.99838,1.747159 1.996756,1.747159 0.998379,0 1.497569,-0.748803 1.497569,-1.747159 z\"\n\t\t\t\t\t\t\t\t\tid=\"path928\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -13.326657,89.7589 c 0,-2.995127 0,-2.995127 0,-2.995127 1.247973,0 1.247973,0 1.247973,0 0,2.995127 0,2.995127 0,2.995127 0.249582,0.998385 0.49919,1.497577 1.497569,1.497577 0.7487829,0 1.2479725,-0.499192 0.9983791,-1.497577 0,-2.995127 0,-2.995127 0,-2.995127 1.2479726,0 1.2479726,0 1.2479726,0 0,2.995127 0,2.995127 0,2.995127 0.249582,1.747159 -0.748783,2.745544 -2.2463517,2.745544 -1.747162,0 -2.745542,-0.998385 -2.745542,-2.745544 z\"\n\t\t\t\t\t\t\t\t\tid=\"path930\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -3.3428702,92.254834 c -0.9983792,-1.497549 -0.9983792,-1.497549 -0.9983792,-1.497549 -0.249582,0 -0.249582,0 -0.249582,0 -0.9983792,0 -0.9983792,0 -0.9983792,0 0,1.497549 0,1.497549 0,1.497549 -1.2479726,0 -1.2479726,0 -1.2479726,0 -0.2496104,-5.491061 -0.2496104,-5.491061 -0.2496104,-5.491061 2.495948,0 2.495948,0 2.495948,0 1.497566,0 2.4959452,0.748775 2.4959452,1.996742 0,0.748803 -0.4991896,1.497577 -1.2479726,1.747159 1.497566,1.74716 1.497566,1.74716 1.497566,1.74716 z M -4.5908427,87.76213 c -1.2479755,0 -1.2479755,0 -1.2479755,0 0.2496104,1.99677 0.2496104,1.99677 0.2496104,1.99677 0.9983792,0 0.9983792,0 0.9983792,0 0.748783,0 1.2479726,-0.499193 1.2479726,-0.998385 -0.2495821,-0.499193 -0.4991896,-0.998385 -1.2479726,-0.998385 z\"\n\t\t\t\t\t\t\t\t\tid=\"path932\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"M 0.90023722,89.509318 C 0.65065515,87.76213 1.8986164,86.763773 3.6457786,86.763773 c 0.9983792,0 1.7471622,0.249611 2.495948,0.748775 -0.9983792,0.998385 -0.9983792,0.998385 -0.9983792,0.998385 -0.249582,-0.499193 -0.748783,-0.748803 -1.2479726,-0.748803 -0.9983792,0 -1.7471622,0.748803 -1.7471622,1.747188 0,0.998356 0.748783,1.747159 1.7471622,1.747159 0.4991896,0 0.9983764,-0.24961 1.497566,-0.499192 0.7487858,0.748774 0.7487858,0.748774 0.7487858,0.748774 -0.4991896,0.499193 -1.2479754,0.998385 -2.2463518,0.998385 -1.7471622,0 -2.99513758,-1.247967 -2.99513758,-2.995126 z\"\n\t\t\t\t\t\t\t\t\tid=\"path934\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 6.39132,89.509318 c 0,-1.747188 1.2479726,-2.745545 2.9951348,-2.745545 1.7471652,0 3.2447312,0.998357 3.2447312,2.745545 0,1.747159 -1.247973,2.995126 -2.995135,2.995126 -1.7471622,0 -2.9951348,-1.247967 -3.244731,-2.995126 z m 4.991893,0 c 0,-0.998385 -0.998379,-1.747188 -1.9967582,-1.747188 -0.9983764,0 -1.497566,0.748803 -1.497566,1.747188 0,0.998356 0.748783,1.747159 1.7471622,1.747159 0.998379,0 1.747162,-0.748803 1.747162,-1.747159 z\"\n\t\t\t\t\t\t\t\t\tid=\"path936\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 13.379972,86.763773 c 2.745538,0 2.745538,0 2.745538,0 1.747165,0 2.995138,0.998357 2.995138,2.745545 0,1.747159 -0.998379,2.745516 -2.995138,2.745516 -2.495945,0 -2.495945,0 -2.495945,0 z m 2.745538,4.492704 c 0.998379,0 1.747165,-0.748803 1.747165,-1.747159 0,-0.998385 -0.748786,-1.747188 -1.996758,-1.747188 -0.998379,0 -0.998379,0 -0.998379,0 0,3.494347 0,3.494347 0,3.494347 z\"\n\t\t\t\t\t\t\t\t\tid=\"path938\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 24.611731,91.256477 v 0.998357 H 20.36862 l -0.249582,-5.491061 h 4.243105 v 0.998357 h -2.995132 v 1.247995 h 2.745541 v 0.998357 h -2.745541 l 0.249582,1.247995 z\"\n\t\t\t\t\t\t\t\t\tid=\"path940\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -12.577874,112.97119 c 0,2.24635 0,2.24635 0,2.24635 -10.482973,0 -10.482973,0 -10.482973,0 -0.249582,-1.74716 -0.249582,-1.74716 -0.249582,-1.74716 5.740676,-5.24147 5.740676,-5.24147 5.740676,-5.24147 1.247976,-1.49758 1.497569,-2.24636 1.497569,-2.99513 0,-1.24799 -0.998379,-2.24635 -2.745541,-2.24635 -1.247973,0 -2.495945,0.49916 -3.244731,1.49755 -1.747162,-1.24797 -1.747162,-1.24797 -1.747162,-1.24797 0.998379,-1.49758 2.995137,-2.49593 5.241489,-2.49593 2.995135,0 5.241487,1.74716 5.241487,4.24309 0,1.24797 -0.49919,2.49596 -2.246352,4.4927 -3.743921,3.49432 -3.743921,3.49432 -3.743921,3.49432 z\"\n\t\t\t\t\t\t\t\t\tid=\"path942\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -1.0965184,110.97445 c 0,2.49593 -1.7471621,4.4927 -5.4910827,4.4927 -1.9967585,0 -3.9935139,-0.49919 -5.4910829,-1.74716 1.247973,-1.99676 1.247973,-1.99676 1.247973,-1.99676 0.9983789,0.99838 2.4959477,1.49757 3.9935165,1.49757 1.9967555,0 2.9951347,-0.99838 2.9951347,-2.24635 0,-1.24797 -0.9983792,-1.99677 -2.9951347,-1.99677 -1.2479755,0 -1.2479755,0 -1.2479755,0 -0.249582,-1.99674 -0.249582,-1.99674 -0.249582,-1.99674 3.244731,-3.74393 3.244731,-3.74393 3.244731,-3.74393 -6.489462,0 -6.489462,0 -6.489462,0 0,-2.24635 0,-2.24635 0,-2.24635 9.7341901,0 9.7341901,0 9.7341901,0 0,1.74716 0,1.74716 0,1.74716 -3.2447281,4.24312 -3.2447281,4.24312 -3.2447281,4.24312 2.4959452,0.24961 3.993514,1.74716 3.993514,3.99351 z\"\n\t\t\t\t\t\t\t\t\tid=\"path944\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 12.131996,111.22403 c 0.249582,2.49596 -2.2463516,4.24312 -5.740676,4.24312 -3.4943244,0 -5.74067617,-1.74716 -5.74067617,-4.24312 0,-1.49755 0.74878297,-2.74554 2.24635177,-3.49432 -1.2479726,-0.49919 -1.99675838,-1.49757 -1.99675838,-2.99512 0,-2.49596 2.24635178,-3.99351 5.24148938,-3.99351 3.2447282,0 5.4910804,1.49755 5.4910804,3.99351 0,1.49755 -0.748783,2.49593 -1.7471626,2.99512 1.4975686,0.74878 2.2463516,1.99677 2.2463516,3.49432 z m -2.495945,-0.24961 c 0,-1.24796 -1.2479726,-2.24635 -3.244731,-2.24635 -1.9967556,0 -3.244731,0.99839 -3.244731,2.24635 0,1.49758 1.2479754,2.49594 3.244731,2.49594 1.9967584,0 3.244731,-0.99836 3.244731,-2.49594 z m -5.9902724,-5.99028 c 0,1.24797 0.9983792,1.99677 2.7455414,1.99677 1.4975688,0 2.7455414,-0.7488 2.495948,-1.99677 0,-1.24797 -0.9983792,-1.99674 -2.7455414,-1.99674 -1.4975688,0 -2.495948,0.74877 -2.495948,1.99674 z\"\n\t\t\t\t\t\t\t\t\tid=\"path946\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 25.610107,111.22403 c 0,2.49596 -2.246352,4.24312 -5.99027,4.24312 -3.494327,0 -5.740679,-1.74716 -5.740679,-4.24312 0,-1.49755 0.748786,-2.74554 2.246352,-3.49432 -1.247972,-0.49919 -1.747162,-1.49757 -1.996755,-2.99512 0,-2.49596 2.246351,-3.99351 5.241486,-3.99351 3.244731,0 5.491083,1.49755 5.491083,3.99351 0,1.49755 -0.499192,2.49593 -1.747162,2.99512 1.497569,0.74878 2.246354,1.99677 2.495945,3.49432 z m -2.745541,-0.24961 c 0,-1.24796 -1.247973,-2.24635 -3.244729,-2.24635 -1.996758,0 -3.244731,0.99839 -2.995137,2.24635 0,1.49758 0.998379,2.49594 2.995137,2.49594 1.996756,0 3.244729,-0.99836 3.244729,-2.49594 z m -5.99027,-5.99028 c 0,1.24797 0.998379,1.99677 2.745541,1.99677 1.747163,0 2.745542,-0.7488 2.745542,-1.99677 0,-1.24797 -1.247976,-1.99674 -2.745542,-1.99674 -1.747162,0 -2.745541,0.74877 -2.745541,1.99674 z\"\n\t\t\t\t\t\t\t\t\tid=\"path948\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -50.765851,65.04903 c 1.747162,23.961095 1.747162,23.961095 1.747162,23.961095 0,0.249611 0.249582,0.499193 0.49919,0.499193 0.249582,0 0.499189,-0.249611 0.499189,-0.499193 -1.747162,-24.210677 -1.747162,-24.210677 -1.747162,-24.210677 0,-0.24961 -0.249582,-0.499192 -0.49919,-0.24961 -0.249582,0 -0.499189,0.24961 -0.499189,0.499164 z\"\n\t\t\t\t\t\t\t\t\tid=\"path950\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -51.514637,54.066853 c 0.49919,6.239891 0.49919,6.239891 0.49919,6.239891 0,0.249611 0.249582,0.499165 0.499189,0.499165 0.249582,0 0.49919,-0.249611 0.49919,-0.499165 -0.49919,-6.489473 -0.49919,-6.489473 -0.49919,-6.489473 0,-0.24961 -0.249582,-0.499192 -0.748783,-0.24961 -0.249582,2.8e-5 -0.249582,0.24961 -0.249582,0.499192 z\"\n\t\t\t\t\t\t\t\t\tid=\"path952\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1032\" transform=\"matrix(0.99980253,0,0,0.99933895,51.504464,-14.870679)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -3.3428702,29.856176 c 0,-14.476467 0,-14.476467 0,-14.476467 0,-0.499193 0,-0.499193 -0.4991896,-0.499193 -0.249582,0 -0.4991896,0 -0.4991896,0.499193 0,14.476467 0,14.476467 0,14.476467 0,0.24961 0.2495821,0.499192 0.4991896,0.499192 0.4991896,0 0.4991896,-0.24961 0.4991896,-0.499192 z\"\n\t\t\t\t\t\t\t\t\tid=\"path954\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -14.824225,32.85133 c -7.487839,-12.729336 -7.487839,-12.729336 -7.487839,-12.729336 0,-0.24961 -0.499189,-0.24961 -0.748783,-0.24961 0,0.24961 -0.249582,0.499164 0,0.748774 7.238245,12.729337 7.238245,12.729337 7.238245,12.729337 0.249582,0.24961 0.499187,0.24961 0.748783,0.24961 0.249582,-0.24961 0.249582,-0.499192 0.249582,-0.748775 z\"\n\t\t\t\t\t\t\t\t\tid=\"path956\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"M 14.877538,20.121994 C 7.3896992,32.85133 7.3896992,32.85133 7.3896992,32.85133 c 0,0.249611 0,0.499193 0.2495821,0.748775 0.249582,0 0.4991896,0 0.7487858,-0.24961 7.2382449,-12.729337 7.2382449,-12.729337 7.2382449,-12.729337 0.249582,-0.24961 0,-0.499192 -0.249582,-0.748774 0,0 -0.49919,0 -0.49919,0.24961 z\"\n\t\t\t\t\t\t\t\t\tid=\"path958\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1133\" transform=\"matrix(0.99980253,0,0,0.99933895,51.50446,-14.870673)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 153.40257,138.67945 c 0.24958,-1.24797 -0.74879,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 0,1.49757 0.99838,2.49596 2.24635,2.49596 1.49757,0 2.74555,-0.99839 2.74555,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path864\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 161.14,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.49757,0 -2.74555,1.24797 -2.74555,2.49594 -0.24958,1.49757 0.74879,2.49596 2.24636,2.49596 1.24797,0 2.49595,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path866\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 168.62784,138.67945 c 0.24958,-1.24797 -0.74878,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 0,1.49757 0.99839,2.49596 2.24635,2.49596 1.49757,0 2.74555,-0.99839 2.74555,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path868\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 176.36527,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.49757,0 -2.74554,1.24797 -2.74554,2.49594 -0.24961,1.49757 0.74879,2.49596 2.24635,2.49596 1.24797,0 2.49595,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path870\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 184.10271,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 -0.24958,1.49757 0.74879,2.49596 2.24636,2.49596 1.24797,0 2.49594,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path872\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 155.89851,117.71351 c 0.24958,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24798,0 -2.49594,0.99839 -2.74554,2.49597 0,1.24796 0.99838,2.24635 2.24635,2.24635 1.49757,0 2.74554,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path874\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 163.63594,117.71351 c 0,-1.49758 -0.99837,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.74553,0.99839 -2.74553,2.49597 -0.24962,1.24796 0.74878,2.24635 2.24635,2.24635 1.24797,0 2.49594,-0.99839 2.74553,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path876\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 171.12378,117.71351 c 0.24961,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24797,0 -2.49594,0.99839 -2.74554,2.49597 0,1.24796 0.99838,2.24635 2.24636,2.24635 1.49756,0 2.74553,-0.99839 2.74553,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path878\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 178.86122,117.71351 c 0,-1.49758 -0.99838,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.74554,0.99839 -2.74554,2.49597 -0.24959,1.24796 0.74878,2.24635 2.24635,2.24635 1.24797,0 2.49594,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path880\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 186.34906,117.71351 c 0.24958,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24798,0 -2.49595,0.99839 -2.74554,2.49597 0,1.24796 0.99837,2.24635 2.24635,2.24635 1.49756,0 2.74554,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path882\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 194.08649,117.71351 c 0,-1.49758 -0.99837,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.49594,0.99839 -2.74554,2.49597 -0.24958,1.24796 0.74878,2.24635 2.24635,2.24635 1.24798,0 2.49595,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path884\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\td=\"m 198.38856,116.48363 c -1.99636,0 -1.99636,0 -1.99636,0 -1.24772,0 -2.24592,0.99772 -2.24592,2.24486 -1.24772,9.97719 -1.24772,9.97719 -1.24772,9.97719 0,1.24715 0.74864,2.24487 1.74683,2.24487 3.74317,-14.46692 3.74317,-14.46692 3.74317,-14.46692 z\"\n\t\t\t\t\t\t\t\tid=\"path904\"\n\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t</g>\n\t\t\t\t\t</svg>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.VerifyPhone' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.VerifyPhoneInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateVerificationCode()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<!-- coinpay code -->\n\t\t\t\t\t\t\t<div class=\"coinpay-code\">\n\t\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [isNumeric]=\"true\" [allowPaste]=\"true\" [allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\"></cp-coinpay-code-input>\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.allowReSendCode\">\n\t\t\t\t\t\t\t\t\t<button type=\"button\" class=\"btn-resend\" (click)=\"resendCode()\">\n\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.ResendCode' | translate }}\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!_model.allowReSendCode && _model.resendSuccess\">\n\t\t\t\t\t\t\t\t\t<p class=\"re-send-success\">{{ 'Coinpay-cr-fe-core.SignUp.Form.CodeSentSuccessfully' | translate }}</p>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t<div class=\"inside-button\"><i class=\"fal fa-long-arrow-right\"></i></div>\n\t\t\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- set password  -->\n\t\t<ng-container *ngIf=\"_step == 3 && _actionsForm\">\n\t\t\t<div class=\"step3\">\n\t\t\t\t<div class=\"content-step3\">\n\t\t\t\t\t<ng-content select=\"[logo-section-password]\"></ng-content>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.CreatePassword' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.CreatePasswordInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"createAccount()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<div class=\"content-password\">\n\t\t\t\t\t\t\t\t<!-- password -->\n\t\t\t\t\t\t\t\t<div class=\"password\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"password\" formControlName=\"Password\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Password' | translate }}\" autocomplete=\"off\" appShowHidePassword />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').hasError(error.type) && (_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PasswordMatch\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PasswordMatch\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- confirm password -->\n\t\t\t\t\t\t\t\t<div class=\"repeat-password\">\n\t\t\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\t\t\tclass=\"input\"\n\t\t\t\t\t\t\t\t\t\ttype=\"password\"\n\t\t\t\t\t\t\t\t\t\tformControlName=\"RepeatPassword\"\n\t\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.ConfirmPassword' | translate }}\"\n\t\t\t\t\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').dirty || _actionsForm.get('RepeatPassword').touched\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<div class=\"form-check check\">\n\t\t\t\t\t\t\t\t\t<label for=\"TermsAndConditions\">\n\t\t\t\t\t\t\t\t\t\t<input id=\"TermsAndConditions\" name=\"TermsAndConditions\" type=\"checkbox\" formControlName=\"TermsAndConditions\" />\n\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.AcceptReadTermsAndConditions' | translate }}\n\t\t\t\t\t\t\t\t\t\t<span>\n\t\t\t\t\t\t\t\t\t\t\t<a href=\"javascript:void(0)\" (click)=\"viewTermsAndConditions()\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.TermsAndConditions' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.Next' | translate }}<i class=\"fa-solid fa-chevrons-right\"></i>\n\t\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t\t<a class=\"back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- success  -->\n\t\t<ng-container *ngIf=\"_step == 4 && _actionsForm\">\n\t\t\t<div class=\"step4\">\n\t\t\t\t<div class=\"content-step4\">\n\t\t\t\t\t<ng-content select=\"[logo-site-welcome]\"></ng-content>\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.SignUpSuccess' | translate }}</h3>\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.SignUpSuccessInfo' | translate }}\n\t\t\t\t\t</p>\n\n\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<button type=\"button\" [disabled]=\"_model.loadProcess\" (click)=\"goAutoLogin()\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t<div class=\"inside-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.GoToLogin' | translate }}\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\t</div>\n</div>\n", styles: [".sign-up{margin-top:140px;padding-bottom:100px}@media (max-width: 575px){.sign-up{margin-bottom:40px;margin-top:80px;padding-bottom:0}}.sign-up .text-start{width:100%}@media (max-width: 575px){.sign-up .text-start{text-align:center!important;margin-top:60px}}.sign-up .step0{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step0{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step0 .content-step0{text-align:center}.sign-up .step0 .content-step0 .wallet{width:260px;margin-top:45px;margin-bottom:55px;animation:upAnimation 5s linear 0s infinite normal none}@media (max-width: 575px){.sign-up .step0 .content-step0 .wallet{width:175px}}@keyframes upAnimation{0%{transform:translate(0)}20%{transform:translateY(10px)}50%{transform:translate(0)}75%{transform:translateY(-10px)}to{transform:translate(0)}}.sign-up .step0 .content-step0 .content_title{text-align:center;margin-bottom:15px}.sign-up .step0 .content-step0 .content_title img{display:inline-block;width:29px;margin-top:-12px;margin-bottom:0}.sign-up .step0 .content-step0 .content_title h3{color:#0c2197;font-size:30px;font-weight:700;font-family:Roboto;margin-left:5px;display:inline-block}.sign-up .step0 .content-step0 p{color:#7b7b7b}.sign-up .step0 .content-step0 p.more_p{color:#0c2197;margin-top:30px}.sign-up .step0 .content-step0 .content-button{position:relative;margin:30px auto 20px;width:150px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer}.sign-up .step0 .content-step0 .content-button .inside-button{color:#fff;margin:auto}.sign-up .step0 .content-step0 .content-button .inside-button i{font-size:29px}.sign-up .step0 .content-step0 .content-button .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step0 .content-step0 .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20%,#c8c8c8 20% 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%)}.sign-up .step1{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step1{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step1 .content-step1{text-align:center}.sign-up .step1 .content-step1 svg{height:180px;margin:40px auto 60px;width:100%;overflow:visible}@media (max-width: 575px){.sign-up .step1 .content-step1 svg{height:163px;margin-top:20px;margin-bottom:35px}}.sign-up .step1 .content-step1 svg #g1233{animation:up1 4s ease 0s infinite normal none}@keyframes up1{0.0%{transform:translateY(20px)}to{transform:translateY(20px)}49.6%{transform:translate(0)}}.sign-up .step1 .content-step1 svg #g1332{animation:up2 4s ease 0s infinite normal none}@keyframes up2{0.0%{transform:translate(40px,10px)}to{transform:translate(40px,10px)}49.6%{transform:translate(40px)}}.sign-up .step1 .content-step1 svg #g1365{animation:girar2 10s infinite linear}@keyframes girar2{0%{transform:rotate(0) translate(-10px) rotate(0)}to{transform:rotate(360deg) translate(-10px) rotate(-360deg)}}.sign-up .step1 .content-step1 svg #g1370{animation:girar 10s infinite linear}@keyframes girar{0%{transform:rotate(0) translate(-10px) rotate(0)}to{transform:rotate(360deg) translate(-10px) rotate(-360deg)}}.sign-up .step1 .content-step1 svg #g1189{animation:show 4s ease 0s infinite normal none}@keyframes show{0.0%{opacity:1}to{opacity:1}49.6%{opacity:0}}.sign-up .step1 .content-step1 svg #path846{animation:estirar 4s ease 0s infinite normal none}@keyframes estirar{50%{transform:scale3d(1.3,1,2) translate(-25px)}}.sign-up .step1 .content-step1 svg #path1077{animation:estirar2 4s ease 0s infinite normal none}@keyframes estirar2{50%{transform:scale3d(1.1,1,2) translate(-5px)}}.sign-up .step1 .content-step1 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step1 .content-step1 h3{font-size:30px}}.sign-up .step1 .content-step1 p{color:#7b7b7b}.sign-up .step1 .content-step1 .content-form{max-width:400px;margin-left:auto;margin-right:auto;margin-top:35px}.sign-up .step1 .content-step1 .content-form .nav-tabs{border:none;padding:5px;background:#e8e8e8;border-radius:40px;margin-bottom:15px}.sign-up .step1 .content-step1 .content-form .nav-tabs li{margin-right:0;width:50%}.sign-up .step1 .content-step1 .content-form .nav-tabs li button{border-radius:50px;border:none;margin-bottom:0;margin-top:1px;width:100%}@media (max-width: 991px){.sign-up .step1 .content-step1 .content-form .nav-tabs li button{width:100%}}@media (max-width: 575px){.sign-up .step1 .content-step1 .content-form .nav-tabs li button{padding-left:0;padding-right:0;font-size:13px}}.sign-up .step1 .content-step1 .content-form .nav-tabs li button p{margin:0;color:#000;text-transform:capitalize}.sign-up .step1 .content-step1 .content-form .nav-tabs li button.active{font-weight:700;font-family:Open Sans}.sign-up .step1 .content-step1 .content-form .title{font-size:30px;margin-bottom:40px}.sign-up .step1 .content-step1 .content-form .input{padding:10px;display:block;border-radius:5px;border:1px solid #e8e8e8;margin-bottom:20px;background:#fbfbfb;width:100%}.sign-up .step1 .content-step1 .content-form .input:focus{outline:none;background:#fff}.sign-up .step1 .content-step1 .content-form .lbl{font-weight:700;margin-bottom:10px;font-family:Open Sans}.sign-up .step1 .content-step1 .content-form .content-number{display:flex}.sign-up .step1 .content-step1 .content-form .content-number input{border-top-left-radius:0;border-bottom-left-radius:0;border-left:0px}.sign-up .step1 .content-step1 .content-form .check{margin-bottom:40px}.sign-up .step1 .content-step1 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step1 .content-step1 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step1 .content-step1 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step1 .content-step1 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step1 .content-step1 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step1 .content-step1 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer;margin-bottom:20px}.sign-up .step1 .content-step1 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step1 .content-step1 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step1 .content-step1 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20%,#c8c8c8 20% 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step1 .content-step1 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%)}.sign-up .step1 .content-step1 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step1 .content-step1 .error-message{margin-top:-18px;margin-bottom:15px;font-size:12px;color:red;text-align:left}.sign-up .step2{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto;border:1px solid #e5e5e5}@media (max-width: 575px){.sign-up .step2{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step2 .content-step2{position:relative;text-align:center}.sign-up .step2 .content-step2 .btn-back{position:absolute;left:0;top:0;border:none;background:#fff;font-size:20px}.sign-up .step2 .content-step2 svg{width:100%;height:136px;margin-top:20px;margin-bottom:30px}.sign-up .step2 .content-step2 svg #g1032{animation:parp 1s ease 0s infinite normal none}@keyframes parp{0.0%{opacity:0}to{opacity:0}50.1%{opacity:1}}.sign-up .step2 .content-step2 svg #g1133{animation:parp1 5s ease 0s infinite normal none}@keyframes parp1{0.0%{opacity:0}to{opacity:0}50.1%{opacity:1}}.sign-up .step2 .content-step2 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step2 .content-step2 h3{font-size:30px}}.sign-up .step2 .content-step2 p{color:#7b7b7b}.sign-up .step2 .content-step2 .content-form .code-input{margin-top:25px}.sign-up .step2 .content-step2 .content-form .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.sign-up .step2 .content-step2 .content-form .code-input input:focus{outline:none;background:#e7ebff}.sign-up .step2 .content-step2 .content-form .code-input input.active{box-shadow:none}@media (max-width: 575px){.sign-up .step2 .content-step2 .content-form .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}.sign-up .step2 .content-step2 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.sign-up .step2 .content-step2 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step2 .content-step2 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step2 .content-step2 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step2 .content-step2 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step2 .content-step2 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step2 .content-step2 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;margin-bottom:20px;cursor:pointer}.sign-up .step2 .content-step2 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step2 .content-step2 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step2 .content-step2 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step2 .content-step2 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%)}.sign-up .step2 .content-step2 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step2 .content-step2 .error-message{display:block}.sign-up .step2 .content-step2 .re-send-code{margin-top:16px}.sign-up .step2 .content-step2 .re-send-code .re-send-success{color:green}.sign-up .step2 .error-messages{max-width:345px;margin:auto}.sign-up .step2 .error-messages .error-message{font-size:12px;margin-top:5px;color:red;text-align:left}.sign-up .step2 .re-send-code{position:absolute;bottom:150px;margin-top:0;right:6.5vw}.sign-up .step2 .code-paste{margin-top:30px!important}.sign-up .step3{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step3{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step3 .content-step3{position:relative;text-align:center}.sign-up .step3 .content-step3 .back{display:block;text-decoration:none}.sign-up .step3 .content-step3 img{width:200px;margin-left:auto;margin-right:auto;display:block;padding-top:25px;margin-bottom:30px}.sign-up .step3 .content-step3 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step3 .content-step3 h3{font-size:30px}}.sign-up .step3 .content-step3 p{color:#7b7b7b}.sign-up .step3 .content-step3 .content-form{max-width:400px;margin-left:auto;margin-right:auto;margin-top:35px}.sign-up .step3 .content-step3 .content-form .content-password .password,.sign-up .step3 .content-step3 .content-form .content-password .repeat-password{position:relative}.sign-up .step3 .content-step3 .content-form .input{padding:10px;display:block;border-radius:5px;border:1px solid #e8e8e8;margin-bottom:20px;background:#fbfbfb;width:100%}.sign-up .step3 .content-step3 .content-form .input:focus{outline:none;background:#fff}.sign-up .step3 .content-step3 .content-form .check{margin-bottom:40px}.sign-up .step3 .content-step3 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step3 .content-step3 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step3 .content-step3 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step3 .content-step3 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step3 .content-step3 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step3 .content-step3 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;margin-bottom:5px;cursor:pointer}.sign-up .step3 .content-step3 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step3 .content-step3 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step3 .content-step3 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step3 .content-step3 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%)}.sign-up .step3 .content-step3 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step3 .content-step3 .content-form .error-message{margin-top:-18px;margin-bottom:15px;font-size:12px;color:red;text-align:left}.sign-up .step4{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step4{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step4 .content-step4{text-align:center}.sign-up .step4 .content-step4 img{width:160px;margin-bottom:60px;margin-top:50px}@media (max-width: 575px){.sign-up .step4 .content-step4 img{width:120px}}.sign-up .step4 .content-step4 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step4 .content-step4 h3{font-size:30px}}.sign-up .step4 .content-step4 p{color:#7b7b7b}.sign-up .step4 .content-step4 .content-form .text1{font-size:20px}.sign-up .step4 .content-step4 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step4 .content-step4 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step4 .content-step4 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step4 .content-step4 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step4 .content-step4 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step4 .content-step4 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.sign-up .step4 .content-step4 .content-form .content-button{position:relative;margin:30px auto 20px;min-width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer}.sign-up .step4 .content-step4 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step4 .content-step4 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step4 .content-step4 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .div-error p{color:red!important;font-size:12px}::ng-deep .sign-up .cs-directive-show-hide-password{position:absolute;top:11px;right:8px}\n"], dependencies: [{ kind: "directive", type: i6.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i6.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i6.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i6.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i6.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: CountryInputComponent, selector: "cp-country-input", inputs: ["type", "disabled"], outputs: ["complete", "countrySelected"] }, { kind: "component", type: CoinpayCodeInputComponent, selector: "cp-coinpay-code-input", inputs: ["boxes", "inputType", "disabled", "isNumeric", "allowPaste", "allowAutoPaste"], outputs: ["complete", "completePaste"] }, { kind: "directive", type: ShowHidePasswordDirective, selector: "[appShowHidePassword]" }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: SignupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-signup', template: "<div class=\"container\">\n\t<div class=\"sign-up\">\n\t\t<!-- test buttons-->\n\t\t<!--<div>\n\t\t\t<button (click)=\"goStep(0)\">step 0</button>\n\t\t\t<button (click)=\"goStep(1)\">step 1</button>\n\t\t\t<button (click)=\"goStep(2)\">step 2</button>\n\t\t\t<button (click)=\"goStep(3)\">step 3</button>\n\t\t\t<button (click)=\"goStep(4)\">step 4</button>\n\t\t</div>-->\n\n\t\t<!-- intro -->\n\t\t<ng-container *ngIf=\"_step == 0\">\n\t\t\t<div class=\"step0\">\n\t\t\t\t<div class=\"content-step0\">\n\t\t\t\t\t<ng-content select=\"[img-intro]\"></ng-content>\n\n\t\t\t\t\t<div class=\"content_title\">\n\t\t\t\t\t\t<ng-content select=\"[logo-site]\"></ng-content>\n\t\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroTitle' | translate }}</h3>\n\t\t\t\t\t</div>\n\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroDetails' | translate }}\n\t\t\t\t\t\t<span>\n\t\t\t\t\t\t\t<a href=\"javascript:void(0)\" (click)=\"goSection(CpLibClickedEnum.SeeBenefits)\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.IntroBenefits' | translate }}\n\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t</span>\n\t\t\t\t\t</p>\n\n\t\t\t\t\t<button type=\"button\" class=\"btn btn-primary content-button\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t<div class=\"inside-button\">{{ 'Coinpay-cr-fe-core.SignUp.Form.Start' | translate }}</div>\n\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t</button>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- user info  -->\n\t\t<ng-container *ngIf=\"_step == 1 && _actionsForm\">\n\t\t\t<div class=\"step1\">\n\t\t\t\t<div class=\"content-step1\">\n\t\t\t\t\t<svg\n\t\t\t\t\t\txmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n\t\t\t\t\t\txmlns:cc=\"http://creativecommons.org/ns#\"\n\t\t\t\t\t\txmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"\n\t\t\t\t\t\txmlns:svg=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"\n\t\t\t\t\t\txmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"\n\t\t\t\t\t\twidth=\"797\"\n\t\t\t\t\t\theight=\"672\"\n\t\t\t\t\t\tviewBox=\"0 0 210.87291 177.8\"\n\t\t\t\t\t\tversion=\"1.1\"\n\t\t\t\t\t\tid=\"svg8\"\n\t\t\t\t\t\tinkscape:version=\"1.0.2-2 (e86c870879, 2021-01-15)\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" inkscape:groupmode=\"layer\" id=\"layer1\">\n\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\tstyle=\"fill: #c4d9e8; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\td=\"M 117.88038,174.16966 C 69.003153,145.94295 69.003153,145.94295 69.003153,145.94295 c -3.234522,-1.79789 -2.875135,-5.21385 0.898476,-7.37132 47.439671,-27.32778 47.439671,-27.32778 47.439671,-27.32778 3.7736,-2.15745 9.52386,-2.51702 12.93809,-0.53935 48.69753,28.04693 48.69753,28.04693 48.69753,28.04693 3.41423,1.97767 2.87513,5.21385 -0.89847,7.3713 -47.43967,27.50757 -47.43967,27.50757 -47.43967,27.50757 -3.77362,2.15745 -9.52388,2.33725 -12.7584,0.53936 z\"\n\t\t\t\t\t\t\t\tid=\"path846\"\n\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t<g id=\"g1233\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 175.20332,110.34492 c -8.4457,-4.85428 -8.4457,-4.85428 -8.4457,-4.85428 31.08735,-17.978807 31.08735,-17.978807 31.08735,-17.978807 1.43758,-0.89894 1.43758,-2.15746 0,-3.0564 -31.80614,-18.33838 -31.80614,-18.33838 -31.80614,-18.33838 -1.43756,-0.89894 -3.77361,-0.89894 -5.39086,0 -31.08737,17.9788 -31.08737,17.9788 -31.08737,17.9788 -8.4457,-4.85428 -8.4457,-4.85428 -8.4457,-4.85428 31.08737,-17.9788 31.08737,-17.9788 31.08737,-17.9788 6.10965,-3.59576 16.1726,-3.59576 22.28226,0 31.80614,18.33838 31.80614,18.33838 31.80614,18.33838 6.10966,3.59576 6.10966,9.34898 0,12.76495 z\"\n\t\t\t\t\t\t\t\t\tid=\"path848\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 188.8602,112.50237 c 0,-4.4947 -2.87513,-9.70856 -6.28937,-11.68623 -56.42444,-32.541637 -56.42444,-32.541637 -56.42444,-32.541637 -1.43757,-0.89894 -2.87512,-0.89894 -3.95331,-0.35957 0,0 0,0 0,0 -67.385892,39.193797 -67.385892,39.193797 -67.385892,39.193797 65.229552,49.08213 65.229552,49.08213 65.229552,49.08213 66.30772,-38.47464 66.30772,-38.47464 66.30772,-38.47464 0.17971,-0.1798 0.53907,-0.35958 0.71876,-0.35958 0,0 0,0 0,0 0,0 0,0 0,0 1.07819,-0.89893 1.79698,-2.51702 1.79698,-4.85427 z\"\n\t\t\t\t\t\t\t\t\tid=\"path850\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 120.03674,156.19086 c 66.30772,-38.47464 66.30772,-38.47464 66.30772,-38.47464 0.17971,-0.1798 0.53907,-0.35958 0.71876,-0.35958 0,0 0,0 0,0 0,0 0,0 0,0 1.07819,-0.89893 1.79698,-2.51702 1.79698,-4.85427 0,-2.15745 -0.71879,-4.4947 -1.79698,-6.47237 -75.65189,43.68849 -75.65189,43.68849 -75.65189,43.68849 z\"\n\t\t\t\t\t\t\t\t\tid=\"path852\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 115.72404,156.01109 C 59.299585,123.46944 59.299585,123.46944 59.299585,123.46944 c -3.234523,-1.97767 -6.109656,-7.19153 -6.109656,-11.68623 0,0 0,0 0,0 0,-4.67448 2.875133,-6.65215 6.109656,-4.67448 56.424455,32.54163 56.424455,32.54163 56.424455,32.54163 3.41421,1.97767 6.28934,7.19153 6.28934,11.68623 0,0 0,0 0,0 0,4.4947 -2.87513,6.65215 -6.28934,4.6745 z\"\n\t\t\t\t\t\t\t\t\tid=\"path854\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 107.27834,145.044 c -6.64874,-3.95533 -6.64874,-3.95533 -6.64874,-3.95533 -0.718782,-0.35957 -1.257883,-1.43831 -1.257883,-2.33724 0,0 0,0 0,0 0,-0.89894 0.539101,-1.25852 1.257883,-0.89894 6.64874,3.95532 6.64874,3.95532 6.64874,3.95532 0.71878,0.35958 1.25786,1.43831 1.25786,2.33725 0,0 0,0 0,0 0,0.89894 -0.53907,1.25851 -1.25786,0.89894 z\"\n\t\t\t\t\t\t\t\t\tid=\"path856\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 109.97378,121.67156 -11.85993,7.73089 -5.929945,-0.89894 14.375645,-7.01174 z\"\n\t\t\t\t\t\t\t\t\tid=\"path888\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 95.598115,160.86536 c 0,0 -3.593918,-1.79789 -5.570573,0.71914 -2.156341,2.69683 -5.211177,8.80962 -5.390863,12.94474 0,4.13514 3.414209,3.95534 5.390863,2.87661 1.976655,-0.89894 7.906621,-9.52876 8.086308,-11.14685 0.359393,-1.6181 -0.359395,-3.95534 -0.898474,-4.31492 -0.53908,-0.53936 -1.617261,-1.07872 -1.617261,-1.07872 z\"\n\t\t\t\t\t\t\t\t\tid=\"path890\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.316901,159.96641 c 0.179708,3.59576 0.179708,3.59576 0.179708,3.59576 0,0.71916 -0.359394,1.43831 -1.078181,1.79789 -0.539081,0.35958 -1.437555,0.71914 -2.695423,0.53936 -2.515755,-0.53936 -2.875149,-1.25852 -3.054836,-4.85428 -0.179707,-3.59576 6.648732,-1.07873 6.648732,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path892\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 82.83972,153.85361 c 0,0 -3.414218,-1.79787 -5.570565,0.89894 -2.15635,2.51705 -5.211178,8.80962 -5.211178,12.94474 -0.179687,4.13514 3.234522,3.77556 5.211178,2.87663 1.976653,-1.07874 7.906603,-9.52878 8.265997,-11.14687 0.359394,-1.79787 -0.359394,-3.95534 -0.898473,-4.4947 -0.718786,-0.35958 -1.796959,-1.07874 -1.796959,-1.07874 z\"\n\t\t\t\t\t\t\t\t\tid=\"path894\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 83.558506,153.13446 c 0.179686,3.59576 0.179686,3.59576 0.179686,3.59576 0,0.71916 -0.359394,1.43831 -0.89848,1.79789 -0.718782,0.35958 -1.617262,0.53936 -2.695437,0.35958 -2.695436,-0.35958 -2.875128,-1.07873 -3.054823,-4.6745 -0.179708,-3.59576 6.469046,-1.07873 6.469046,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path896\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 114.46617,87.152253 c -0.89847,-16.5405 -17.969582,2.51704 -17.969582,2.51704 -11.680223,11.326647 -11.680223,11.326647 -11.680223,11.326647 -10.422342,11.68621 -10.422342,11.68621 -10.422342,11.68621 -2.156348,2.15747 -3.054827,5.21385 -2.695434,8.27026 4.312696,32.36185 4.312696,32.36185 4.312696,32.36185 0.179687,1.61809 1.437562,2.69683 3.054824,2.69683 0.539088,0 1.078175,0 1.617261,-0.1798 3.773622,-0.53936 3.593916,-4.13512 3.593916,-4.13512 -0.898479,-30.2044 -0.898479,-30.2044 -0.898479,-30.2044 22.102583,-13.30432 22.102583,-13.30432 22.102583,-13.30432 0,0 10.06294,-4.3149 8.98478,-21.035197 z\"\n\t\t\t\t\t\t\t\t\tid=\"path898\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 91.824511,115.73855 c -3.054836,-1.07873 -3.054836,-1.07873 -3.054836,-1.07873 -0.179707,0 -5.390868,5.03407 -5.390868,6.83195 2.336052,0.71915 2.336052,0.71915 2.336052,0.71915 5.929945,-5.75321 5.929945,-5.75321 5.929945,-5.75321 z\"\n\t\t\t\t\t\t\t\t\tid=\"path900\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 109.97378,121.67156 c 0,0 13.11778,-7.5511 14.73504,-10.60751 0.71879,-1.25851 1.61726,-2.51702 -2.15634,-4.3149 -17.61019,12.40537 -17.61019,12.40537 -17.61019,12.40537 0.89847,4.31492 0.89847,4.31492 0.89847,4.31492 z\"\n\t\t\t\t\t\t\t\t\tid=\"path902\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 127.22455,93.624623 c -1.07816,-16.72029 -18.14926,2.51704 -18.14926,2.51704 -11.680208,11.326647 -11.680208,11.326647 -11.680208,11.326647 -10.422355,11.50643 -10.422355,11.50643 -10.422355,11.50643 -1.976655,2.33725 -3.054834,5.39363 -2.515735,8.45004 4.132996,32.18205 4.132996,32.18205 4.132996,32.18205 0.179708,1.61809 1.617262,2.87662 3.234523,2.87662 0.359394,0 0.898474,0 1.617262,-0.17979 3.773603,-0.53936 3.414209,-4.13513 3.414209,-4.13513 -0.718787,-30.20439 -0.718787,-30.20439 -0.718787,-30.20439 21.922895,-13.30432 21.922895,-13.30432 21.922895,-13.30432 0,0 10.06296,-5.75322 9.16446,-21.035197 z\"\n\t\t\t\t\t\t\t\t\tid=\"path904\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 117.16159,40.047782 c 12.75841,5.393641 12.57872,12.944741 12.57872,12.944741 0,0 -2.51576,28.04694 -1.61726,46.74489 0.35937,7.730897 -41.509716,8.270257 -35.220378,-12.40537 7.367538,-24.63096 4.49241,-44.587442 7.906618,-47.643837 3.59392,-2.876609 12.93809,-1.078729 16.3523,0.359576 z\"\n\t\t\t\t\t\t\t\t\tid=\"path906\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.29461,46.879733 c -0.71879,2.51703 -4.13302,3.95533 -7.72691,3.05639 -3.59392,-0.89894 -5.92997,-3.77555 -5.21118,-6.472369 0.71877,-2.696821 4.133,-3.955338 7.72691,-3.056398 3.59392,0.898942 5.92995,3.775557 5.21118,6.472377 z\"\n\t\t\t\t\t\t\t\t\tid=\"path908\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 115.72404,50.835063 c -0.71879,0 -1.43758,-0.17978 -2.33605,-0.35957 -1.79695,-0.53937 -3.41421,-1.43831 -4.49239,-2.69682 -1.07818,-1.43831 -1.43758,-3.0564 -1.07818,-4.494706 0.71878,-2.876611 4.49239,-4.494703 8.4457,-3.415974 1.79697,0.359576 3.41423,1.438305 4.49239,2.696821 1.07818,1.438309 1.43757,2.876609 1.07818,4.314919 -0.53908,2.33724 -3.05484,3.95533 -6.10965,3.95533 z m -1.97666,-10.06813 c -2.33605,0 -4.3127,1.078728 -4.85178,2.876608 -0.17971,1.078732 0.17971,2.157462 0.89847,3.236192 0.89848,1.07872 2.33605,1.97766 3.95331,2.33724 3.23453,0.89894 6.28936,-0.35958 6.82844,-2.51703 0.3594,-1.07873 0,-2.33725 -0.89847,-3.415976 -0.8985,-1.078729 -2.15636,-1.977669 -3.77362,-2.337245 -0.71877,-0.1798 -1.43756,-0.1798 -2.15635,-0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path910\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 111.95044,39.508416 c 0,0 0,0.539366 -0.17971,4.494707 0,1.25851 4.49239,2.51703 5.57055,1.4383 1.25789,-1.25851 0.71879,-2.517033 1.07818,-6.831946 0.17971,-4.314914 -6.46905,0.898939 -6.46905,0.898939 z\"\n\t\t\t\t\t\t\t\t\tid=\"path912\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ea9c92; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 118.41948,38.609477 c 0,0 -1.07818,4.135124 -6.64875,5.573436 0.17971,-3.595768 0.17971,-3.595768 0.17971,-3.595768 z\"\n\t\t\t\t\t\t\t\t\tid=\"path914\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.83369,28.361558 c 1.43758,5.213854 -1.79695,10.607495 -7.18783,12.045798 -5.21118,1.438305 -10.60205,-1.797879 -12.03962,-7.19152 -1.43755,-5.213854 1.79697,-10.607497 7.18783,-12.0458 5.21118,-1.438306 10.60205,1.797879 12.03962,7.191522 z\"\n\t\t\t\t\t\t\t\t\tid=\"path916\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ea9c92; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 114.46617,31.238167 c 0,0 -5.39088,2.337245 -9.16449,2.337245 -3.7736,0 -3.05481,-3.236185 -3.05481,-3.236185 11.32083,-1.618092 11.32083,-1.618092 11.32083,-1.618092 z\"\n\t\t\t\t\t\t\t\t\tid=\"path918\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #303030; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 104.04381,31.77753 c 0,0 4.85179,-1.977668 8.98479,-1.258516 1.07818,0.359577 1.97665,0.719153 2.51573,1.618093 0.17971,0.179779 0.5391,0.539363 0.8985,0.539363 0.71876,0.1798 1.79694,-2.876608 3.23452,-3.056396 1.43755,0 2.51573,1.078727 1.25787,2.876609 -1.07818,1.977669 -0.71879,3.955338 -0.17971,4.314914 0.53908,0.359574 6.28934,-4.135127 1.25787,-14.203258 -5.21118,-10.068129 -17.96957,-4.674488 -20.12593,-2.517032 0,0 -1.976653,1.797881 -3.7736,0.179779 0,0 -1.976655,14.383043 5.92996,11.506434 z\"\n\t\t\t\t\t\t\t\t\tid=\"path920\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 122.55248,73.488363 c 0,7.5511 0,7.5511 0,7.5511 0,0.89893 -0.3594,1.61809 -1.07818,2.33724 -15.45383,14.02348 -15.45383,14.02348 -15.45383,14.02348 1.79695,2.696807 1.79695,2.696807 1.79695,2.696807 20.48532,-14.742617 20.48532,-14.742617 20.48532,-14.742617 0.89847,-0.71915 1.43757,-1.79788 1.61726,-3.0564 1.43757,-13.12452 1.43757,-13.12452 1.43757,-13.12452 z\"\n\t\t\t\t\t\t\t\t\tid=\"path922\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 128.66213,49.216973 c 0,0 4.67208,7.19152 6.46904,25.70969 0,0 -8.0863,2.69682 -12.57869,1.25852 -4.6721,-1.61809 6.10965,-26.96821 6.10965,-26.96821 z\"\n\t\t\t\t\t\t\t\t\tid=\"path924\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 121.654,58.206373 c 0,0 -1.79697,9.88835 -1.97665,14.56283 0,1.25852 0.71877,2.33725 1.97665,2.87662 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path926\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 117.70069,107.28851 c -3.59391,-0.53936 -3.59391,-0.53936 -3.59391,-0.53936 C 92.004197,93.984193 92.004197,93.984193 92.004197,93.984193 c -0.718786,-0.35957 -1.976655,-0.35957 -2.695421,0.1798 -15.813232,8.989417 -15.813232,8.989417 -15.813232,8.989417 -1.976653,-0.1798 -1.976653,-0.1798 -1.976653,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71914 24.977712,14.56283 24.977712,14.56283 24.977712,14.56283 0.718766,0.35958 1.976655,0.35958 2.875129,-0.1798 17.071092,-9.70855 17.071092,-9.70855 17.071092,-9.70855 0.35939,-0.35958 0.71878,-0.71914 0.71878,-1.07872 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path928\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 100.98898,99.198053 c -1.617263,-0.89894 -1.617263,-0.89894 -1.617263,-0.89894 -17.250779,0 -17.250779,0 -17.250779,0 -8.625394,4.854277 -8.625394,4.854277 -8.625394,4.854277 -1.976653,-0.1798 -1.976653,-0.1798 -1.976653,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71916 24.977712,14.56283 24.977712,14.56283 24.977712,14.56283 0.359393,0.1798 0.898474,0.35958 1.437554,0.35958 z\"\n\t\t\t\t\t\t\t\t\tid=\"path930\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 72.417371,103.15339 c -0.89848,-0.1798 -0.89848,-0.1798 -0.89848,-0.1798 0,1.97767 0,1.97767 0,1.97767 0,0 0,0 0,0 0,0.35958 0.179706,0.53936 0.539086,0.71916 0.359394,0.35958 0.359394,0.35958 0.359394,0.35958 z\"\n\t\t\t\t\t\t\t\t\tid=\"path932\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #274f89; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 97.395082,120.41305 c 0.539081,0.1798 1.617262,0.1798 2.336029,-0.1798 0,-3.59576 0,-3.59576 0,-3.59576 -2.336029,0 -2.336029,0 -2.336029,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path934\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 97.035689,118.25558 C 72.057977,103.69275 72.057977,103.69275 72.057977,103.69275 c -0.718781,-0.35958 -0.718781,-1.07872 0.179707,-1.61809 17.0711,-9.888337 17.0711,-9.888337 17.0711,-9.888337 0.718767,-0.53938 1.976635,-0.53938 2.695421,-0.1798 25.157395,14.562827 25.157395,14.562827 25.157395,14.562827 0.71879,0.35958 0.5391,1.07872 -0.17971,1.6181 -17.071085,9.88833 -17.071085,9.88833 -17.071085,9.88833 -0.898473,0.53936 -2.156341,0.53936 -2.875128,0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path936\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.676296,115.91833 c -20.84471,-12.04578 -20.84471,-12.04578 -20.84471,-12.04578 -0.718781,-0.35958 -0.539087,-0.89896 0.179707,-1.25852 9.164485,-5.213847 9.164485,-5.213847 9.164485,-5.213847 0.539081,-0.35958 1.617262,-0.35958 2.156342,0 21.0244,12.045777 21.0244,12.045777 21.0244,12.045777 0.5391,0.35958 0.35939,0.89896 -0.17971,1.25854 -9.164466,5.21383 -9.164466,5.21383 -9.164466,5.21383 -0.718788,0.35958 -1.796968,0.35958 -2.336048,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path938\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 90.20725,91.646943 c -0.179708,1.7979 -0.179708,1.7979 -0.179708,1.7979 -0.359393,1.43829 -0.179706,3.05638 0,4.4947 0.359395,1.43831 0.359395,1.43831 0.359395,1.43831 0.179706,0.898927 0.898474,1.618087 1.796947,1.797867 0,0 0,0 0,0 0.539101,0 1.257868,-0.35958 1.257868,-1.07873 0.539101,-3.775547 0.539101,-3.775547 0.539101,-3.775547 0,0 0.898474,1.25852 1.257867,1.25852 0.539081,0 -0.359393,-3.59577 -1.437574,-5.75322 -1.078161,-2.15745 -3.593917,-0.1798 -3.593917,-0.1798 z\"\n\t\t\t\t\t\t\t\t\tid=\"path940\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 98.832636,64.139383 c -2.695441,5.39364 -2.695441,5.39364 -2.695441,5.39364 -0.718767,1.25852 -1.078161,2.69682 -1.257868,3.95534 -1.078161,18.33838 -1.078161,18.33838 -1.078161,18.33838 -3.593916,-0.1798 -3.593916,-0.1798 -3.593916,-0.1798 -1.617262,-20.49584 -1.617262,-20.49584 -1.617262,-20.49584 0,-0.53936 0,-1.25851 0.179708,-1.79788 1.796947,-10.4277 1.796947,-10.4277 1.796947,-10.4277 z\"\n\t\t\t\t\t\t\t\t\tid=\"path942\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #173d7a; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.137195,119.51409 c -1.976636,-2.6968 -1.976636,-2.6968 -1.976636,-2.6968 -22.102582,-12.76496 -22.102582,-12.76496 -22.102582,-12.76496 -0.718781,-0.53936 -1.437563,-1.6181 -1.437563,-2.51703 0.179687,-18.158597 0.179687,-18.158597 0.179687,-18.158597 -1.437568,-1.61809 -1.437568,-1.61809 -1.437568,-1.61809 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 25.157392,14.56283 25.157392,14.56283 25.157392,14.56283 0.718787,0.35957 1.257867,1.61809 1.257867,2.51702 0,19.776687 0,19.776687 0,19.776687 0,0.53938 -0.179706,0.89896 -0.53908,1.07874 0,0 0,0 0,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path944\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 80.863069,109.0864 c -1.437567,-0.89895 -1.437567,-0.89895 -1.437567,-0.89895 -8.625393,-14.922407 -8.625393,-14.922407 -8.625393,-14.922407 0,-9.88834 0,-9.88834 0,-9.88834 -1.437568,-1.61809 -1.437568,-1.61809 -1.437568,-1.61809 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 25.157405,14.56283 25.157405,14.56283 25.157405,14.56283 0.359393,0.1798 0.718786,0.71915 0.898473,1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path946\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 70.081328,82.477763 c -0.718787,-0.71915 -0.718787,-0.71915 -0.718787,-0.71915 1.257873,-0.71915 1.257873,-0.71915 1.257873,-0.71915 0,0 0,0 0,0 0.179687,-0.1798 0.539086,-0.1798 0.898477,0 0.359391,0.35957 0.359391,0.35957 0.359391,0.35957 z\"\n\t\t\t\t\t\t\t\t\tid=\"path948\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #274f89; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 96.855982,95.782093 c 0.5391,0.53935 0.898473,1.25851 1.078181,2.15745 -2.515735,1.43831 -2.515735,1.43831 -2.515735,1.43831 -1.257869,-2.15747 -1.257869,-2.15747 -1.257869,-2.15747 z\"\n\t\t\t\t\t\t\t\t\tid=\"path950\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 95.418428,96.321443 C 70.261021,81.758613 70.261021,81.758613 70.261021,81.758613 c -0.718782,-0.35958 -1.257868,0 -1.257868,1.07873 0,19.596887 0,19.596887 0,19.596887 0,1.07874 0.539086,2.15745 1.257868,2.51703 25.157407,14.56283 25.157407,14.56283 25.157407,14.56283 0.718767,0.35958 1.257868,0 1.257868,-0.89893 0,-19.776687 0,-19.776687 0,-19.776687 0,-1.07871 -0.539101,-2.15745 -1.257868,-2.51703 z\"\n\t\t\t\t\t\t\t\t\tid=\"path952\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffc2b0; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 107.81742,100.09699 c -0.53908,0.89895 -0.53908,0.89895 -0.53908,0.89895 -0.3594,0.89894 -1.07818,1.79787 -1.97666,2.33723 -2.51573,1.43831 -2.51573,1.43831 -2.51573,1.43831 -0.89848,0.53936 -1.79697,0.53936 -2.51574,0.1798 -0.1797,0 -0.1797,0 -0.1797,0 -0.718793,-0.53935 -0.898479,-1.79789 -0.179713,-2.33725 2.515733,-2.696817 2.515733,-2.696817 2.515733,-2.696817 0,0 -1.43757,1.078727 -1.79696,0.719147 -0.35938,-0.35958 1.43757,-1.977667 2.69544,-2.157447 1.43757,0 2.69544,-1.07873 2.69544,-1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path954\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 101.16869,39.688206 c 0,0 -9.523886,10.427707 -13.477175,19.956477 0,0 3.234523,5.933 11.320829,8.27025 7.906596,2.33724 2.156346,-28.226727 2.156346,-28.226727 z\"\n\t\t\t\t\t\t\t\t\tid=\"path956\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 97.215376,67.195783 c 1.61726,-14.92241 1.61726,-14.92241 1.61726,-14.92241 -3.773602,14.02346 -3.773602,14.02346 -3.773602,14.02346 0.718787,0.35958 1.437554,0.71916 2.156342,0.89895 z\"\n\t\t\t\t\t\t\t\t\tid=\"path958\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m 108.35652,37.710537 c -2.69544,-0.719153 -2.69544,-0.719153 -2.69544,-0.719153 0,0 1.25786,1.79788 3.05483,2.337245 1.79695,0.539364 2.15634,-1.078729 2.15634,-1.078729 z\"\n\t\t\t\t\t\t\t\t\tid=\"path960\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1245\">\n\t\t\t\t\t\t\t\t<g id=\"g919\">\n\t\t\t\t\t\t\t\t\t<g id=\"g1189\">\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 175.7424,164.28133 -0.3594,-1.25852 3.77362,-1.07873 0.3594,1.43831 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path840\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 59.658972,14.697666 c -3.953304,0 -7.187827,-3.236185 -7.187827,-7.1915228 0,-3.955337 3.234523,-7.19152195 7.187827,-7.19152195 3.953311,0 7.187833,3.23618495 7.187833,7.19152195 0,3.9553378 -3.234522,7.1915228 -7.187833,7.1915228 z m 0,-12.7649528 c -3.234523,0 -5.75026,2.517035 -5.75026,5.5734301 0,3.0563977 2.515737,5.5734297 5.75026,5.5734297 3.05483,0 5.570572,-2.517032 5.570572,-5.5734298 0,-3.056395 -2.515742,-5.57343 -5.570572,-5.57343 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path962\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 204.8531,66.476633 c -2.87513,0 -5.03148,-2.33725 -5.03148,-5.03407 0,-2.87661 2.15635,-5.21385 5.03148,-5.21385 2.87513,0 5.03149,2.33724 5.03149,5.21385 0,2.69682 -2.15636,5.03407 -5.03149,5.03407 z m 0,-8.62983 c -1.97666,0 -3.59391,1.61809 -3.59391,3.59576 0,1.79788 1.61725,3.41597 3.59391,3.41597 1.97665,0 3.59391,-1.61809 3.59391,-3.41597 0,-1.97767 -1.61726,-3.59576 -3.59391,-3.59576 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path964\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 37.736098,158.52811 -3.414219,-7.01174 7.008134,-3.41597 3.593914,7.01173 z m -1.25787,-6.29259 1.976654,4.31492 4.312695,-2.15745 -2.156348,-4.13514 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path966\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 139.80325,49.576553 -3.41421,-7.191528 7.00813,-3.415972 3.59391,7.01174 z m -1.25787,-6.472375 1.97666,4.314915 4.3127,-2.15746 -2.15634,-4.135124 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path968\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\t\t\td=\"m 30.009183,118.97474 -3.234523,1.43831 -1.617261,-3.23618 3.234523,-1.43832 z\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path970\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #c4d9e8; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077\" cx=\"50.601101\" cy=\"73.20858\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t<g id=\"g1365\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 22.282267,132.99821 C 3.414217,122.03114 3.414217,122.03114 3.414217,122.03114 c -0.359391,-0.1798 -0.718783,-0.1798 -1.078174,0 0,0 0,0 0,0 -1.796956,1.07872 -1.796956,1.07872 -1.796956,1.07872 0,0 0.898477,0.1798 1.25787,0.35958 0,13.84367 0,13.84367 0,13.84367 0,1.07874 0.718782,2.33725 1.61726,2.87661 17.96957,10.42771 17.96957,10.42771 17.96957,10.42771 0,1.61809 0,1.61809 0,1.61809 1.796959,-1.07871 1.796959,-1.07871 1.796959,-1.07871 0,0 0,0 0,0 0.359391,-0.1798 0.539086,-0.71916 0.539086,-1.25854 0,-14.02345 0,-14.02345 0,-14.02345 0,-1.07874 -0.718783,-2.51703 -1.437565,-2.87661 z\"\n\t\t\t\t\t\t\t\t\tid=\"path982\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 20.305614,152.05574 C 1.437564,141.26845 1.437564,141.26845 1.437564,141.26845 0.718782,140.7291 0,139.47058 0,138.39185 c 0,-14.02348 0,-14.02348 0,-14.02348 0,-1.25851 0.718782,-1.79787 1.437564,-1.25851 18.86805,10.96707 18.86805,10.96707 18.86805,10.96707 0.898479,0.35958 1.617262,1.79789 1.617262,2.8766 0,14.02348 0,14.02348 0,14.02348 0,1.07873 -0.718783,1.61809 -1.617262,1.07873 z\"\n\t\t\t\t\t\t\t\t\tid=\"path984\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" id=\"layer1-4\" transform=\"matrix(0.99948638,0,0,1,-183.30803,-44.073295)\">\n\t\t\t\t\t\t\t\t\t<g id=\"g1124\" transform=\"matrix(1.1446987,0,0,1.0859438,49.494458,-106.30716)\" />\n\t\t\t\t\t\t\t\t\t<g fill=\"none\" fill-rule=\"evenodd\" id=\"g1474\" transform=\"matrix(3.7426626,0,0,3.7474076,-10.030336,-2.3200261)\">\n\t\t\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\t\t\td=\"m 54.970698,50.02724 c -0.167538,0.06056 -0.322968,0.03761 -0.392063,0.02849 -0.03405,-0.0044 -0.09161,-0.01496 -0.153007,-0.02764 l -0.101868,0.379954 -0.233927,-0.06268 0.100158,-0.373827 -0.17808,-0.04772 -0.100158,0.373826 -0.233927,-0.06268 0.100158,-0.373828 -0.460161,-0.123373 0.123374,-0.268119 0.1399,0.03761 c 0.04702,0.01254 0.06781,0.0134 0.09246,1.43e-4 0.02465,-0.0134 0.03661,-0.04061 0.04274,-0.06354 l 0.259286,-0.967904 c 0.01637,-0.06069 0.01582,-0.07836 -0.0037,-0.116963 -0.01951,-0.03874 -0.08405,-0.06041 -0.120949,-0.07024 l -0.135199,-0.03633 0.06511,-0.242761 0.46016,0.123232 0.100441,-0.374967 0.233927,0.06268 -0.100441,0.374967 0.178081,0.04772 0.100576,-0.374967 0.233926,0.06268 -0.10172,0.379525 c 0.171528,0.05755 0.29248,0.125512 0.38323,0.239627 0.117529,0.14745 0.05955,0.333366 0.04417,0.377388 -0.01524,0.04388 -0.05798,0.124942 -0.112264,0.170104 -0.05428,0.0453 -0.165401,0.07522 -0.165401,0.07522 0,0 0.107134,0.05456 0.170957,0.136054 0.06353,0.08149 0.09431,0.203298 0.0493,0.357587 -0.04473,0.154432 -0.117825,0.30003 -0.285072,0.36072 z m -0.485519,-0.812048 a 2.8160986,2.8160986 0 0 0 -0.264415,-0.0708 l -0.134488,0.501761 c 0,0 0.154291,0.04488 0.260285,0.06511 0.105854,0.02009 0.219964,0.02265 0.281509,0.0074 0.06126,-0.01524 0.138191,-0.04389 0.168963,-0.158563 0.03077,-0.114823 -0.03276,-0.183353 -0.0708,-0.216974 -0.03775,-0.03362 -0.127221,-0.08918 -0.24105,-0.127791 z m -0.0075,-0.25145 c 0.08619,0.01951 0.182213,0.02421 0.257434,0.0058 0.07522,-0.01852 0.127648,-0.06554 0.148306,-0.151297 0.02066,-0.08576 -0.01681,-0.173237 -0.10514,-0.228514 -0.08832,-0.05528 -0.152152,-0.07479 -0.225095,-0.09546 -0.07294,-0.02066 -0.149018,-0.03419 -0.149018,-0.03419 l -0.121098,0.451612 c 0,0 0.108561,0.03248 0.194607,0.05214 z\"\n\t\t\t\t\t\t\t\t\t\t\tfill=\"#ffffff\"\n\t\t\t\t\t\t\t\t\t\t\tid=\"path1472\"\n\t\t\t\t\t\t\t\t\t\t\tstyle=\"stroke-width: 0.142465\"\n\t\t\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" id=\"layer1-6\" transform=\"matrix(0.26718946,0,0,0.26685114,4.194869,2.232915)\">\n\t\t\t\t\t\t\t\t\t\t\t<g id=\"g1124-3\" transform=\"matrix(1.1446987,0,0,1.0859438,49.494458,-106.30716)\" />\n\t\t\t\t\t\t\t\t\t\t\t<g fill=\"none\" fill-rule=\"evenodd\" id=\"g1474-3\" transform=\"matrix(3.7426626,0,0,3.7474076,-10.030336,-2.3200261)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<path style=\"fill: #000000; stroke-width: 0.0294152\" id=\"path852-1\" d=\"\" />\n\t\t\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t\t\t\t<path style=\"fill: #000000; stroke-width: 0.264583\" id=\"path860\" d=\"\" />\n\t\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1370\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #5793ce; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 155.07739,11.281694 C 135.84996,0.13483425 135.84996,0.13483425 135.84996,0.13483425 c -0.35939,-0.179779 -0.71879,-0.179779 -0.89849,0 0,0 0,0 0,0 -1.97664,1.07872895 -1.97664,1.07872895 -1.97664,1.07872895 0,0 0.89848,0.359576 1.25787,0.5393631 0,13.8436797 0,13.8436797 0,13.8436797 0,1.258516 0.71877,2.517032 1.61726,3.056398 18.32896,10.607494 18.32896,10.607494 18.32896,10.607494 0,1.618093 0,1.618093 0,1.618093 1.97665,-1.078729 1.97665,-1.078729 1.97665,-1.078729 0,0 0,0 0,0 0.3594,-0.179779 0.53908,-0.719153 0.53908,-1.258517 0,-14.203255 0,-14.203255 0,-14.203255 0,-1.258517 -0.71878,-2.517033 -1.61726,-3.056396 z\"\n\t\t\t\t\t\t\t\t\tid=\"path972\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #d4ecff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"M 153.10073,30.878591 C 134.05299,19.73173 134.05299,19.73173 134.05299,19.73173 c -0.89847,-0.539363 -1.61726,-1.797879 -1.61726,-3.056395 0,-14.2032557 0,-14.2032557 0,-14.2032557 0,-1.078729 0.71879,-1.61809305 1.61726,-1.258516 19.04774,11.1468577 19.04774,11.1468577 19.04774,11.1468577 0.8985,0.539365 1.61726,1.797881 1.61726,3.056398 0,14.203255 0,14.203255 0,14.203255 0,1.258517 -0.71876,1.618093 -1.61726,1.258517 z\"\n\t\t\t\t\t\t\t\t\tid=\"path974\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; stroke-width: 0.0184867\"\n\t\t\t\t\t\t\t\t\td=\"m 141.92096,20.817863 c -0.0845,-0.05979 -0.083,-0.09814 0.0233,-0.609404 l 0.0972,-0.467527 -0.0891,-0.03122 c -0.25686,-0.09 -0.6438,-0.311811 -0.91824,-0.52635 -0.23108,-0.180644 -0.51291,-0.47937 -0.65359,-0.692759 -0.11754,-0.178304 -0.11356,-0.18603 0.26869,-0.520798 0.4107,-0.359679 0.45777,-0.392393 0.53998,-0.375291 0.0516,0.01074 0.0844,0.03929 0.17072,0.148582 0.29064,0.368125 0.64651,0.649801 1.05665,0.83635 0.17869,0.08128 0.55705,0.160779 0.72198,0.15163 0.29789,-0.0164 0.59805,-0.147021 0.73079,-0.318026 0.085,-0.109458 0.1569,-0.285489 0.16578,-0.405692 0.0129,-0.174271 -0.0731,-0.39665 -0.21382,-0.553183 -0.11412,-0.126927 -0.48584,-0.41216 -0.86129,-0.660885 -0.83302,-0.551852 -1.16758,-0.840011 -1.40676,-1.211632 -0.20213,-0.314048 -0.28395,-0.547611 -0.30007,-0.856548 -0.025,-0.478804 0.10372,-0.90293 0.38207,-1.259107 0.34979,-0.447584 0.89936,-0.732875 1.54238,-0.80067 0.10201,-0.01076 0.21956,-0.01798 0.2612,-0.01603 l 0.0757,0.0035 0.10327,-0.496926 0.10328,-0.496945 0.0639,-0.04192 0.0639,-0.04192 0.40752,0.08478 c 0.40463,0.08418 0.40782,0.08516 0.44922,0.139008 l 0.0417,0.05423 -0.0984,0.500578 -0.0984,0.500578 0.0515,0.01071 c 0.17101,0.03557 0.6326,0.280298 0.88321,0.468248 0.1669,0.125166 0.41105,0.370867 0.506,0.509211 0.10188,0.148441 0.0972,0.158758 -0.25881,0.572545 -0.1659,0.192813 -0.32034,0.363484 -0.3432,0.379267 -0.075,0.05177 -0.16919,0.01508 -0.27113,-0.105513 -0.12304,-0.14557 -0.35747,-0.35924 -0.50425,-0.459602 -0.42429,-0.290101 -0.93173,-0.421233 -1.34052,-0.346406 -0.25899,0.0474 -0.49488,0.200071 -0.5954,0.385337 -0.0594,0.109436 -0.0975,0.301732 -0.085,0.429045 0.008,0.08571 0.0313,0.135341 0.13375,0.289688 0.16876,0.254294 0.35384,0.406024 1.03307,0.846935 0.82457,0.535255 1.09157,0.768617 1.37464,1.201458 0.11598,0.177332 0.14425,0.23795 0.18603,0.398794 0.12841,0.494375 0.0453,1.038032 -0.22962,1.502304 -0.29269,0.494257 -0.80898,0.851946 -1.40642,0.974381 -0.16996,0.03483 -0.50409,0.06222 -0.57615,0.04723 -0.0327,-0.0068 -0.0386,0.01405 -0.13222,0.464493 -0.10879,0.52343 -0.12248,0.556875 -0.23429,0.571542 -0.0912,0.01198 -0.75658,-0.130842 -0.82053,-0.176116 z\"\n\t\t\t\t\t\t\t\t\tid=\"path1113\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1332\" transform=\"translate(40.853854,-16.063988)\">\n\t\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #396caa; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077-0\" cx=\"10.583332\" cy=\"57.641373\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t\t<ellipse style=\"opacity: 0.999; fill: #d4ecff; fill-opacity: 1; stroke-width: 1.18383\" id=\"path1077-0-7\" cx=\"10.824415\" cy=\"54.389351\" rx=\"24.051197\" ry=\"13.893576\" />\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #396caa; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.539225\"\n\t\t\t\t\t\t\t\t\td=\"m -10.957013,55.043799 c 0.539086,-2.696822 2.5157386,-5.393641 6.1096537,-7.551099 8.445699,-4.854278 21.9228763,-5.034065 30.3685763,-0.179779 4.312698,2.337245 6.289347,5.393641 6.469046,8.629826 0.539086,-3.59577 -1.617262,-7.371318 -6.289351,-10.06814 -8.4457,-4.674488 -22.1025723,-4.674488 -30.3685743,0.359577 -4.3126981,2.337245 -6.2893507,5.57343 -6.2893507,8.809615 z\"\n\t\t\t\t\t\t\t\t\tid=\"path876\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t</g>\n\t\t\t\t\t</svg>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.PersonalInformation' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.UserNeedInfoForAccount' | translate }}</p>\n\n\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t<ul class=\"nav nav-tabs\" id=\"signTabs\" role=\"tablist\">\n\t\t\t\t\t\t\t<li class=\"nav-item\" role=\"presentation\">\n\t\t\t\t\t\t\t\t<button type=\"button\" class=\"nav-link\" [ngClass]=\"{ active: !_actionsForm.value['IsBusiness'] }\" (click)=\"changeTypeAccount(false)\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Form.PersonalAccount' | translate }}</p>\n\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t</li>\n\n\t\t\t\t\t\t\t<li class=\"nav-item\" role=\"presentation\">\n\t\t\t\t\t\t\t\t<button type=\"button\" class=\"nav-link\" [ngClass]=\"{ active: _actionsForm.value['IsBusiness'] }\" (click)=\"changeTypeAccount(true)\">\n\t\t\t\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Form.BusinessAccount' | translate }}</p>\n\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateUserInfo()\">\n\t\t\t\t\t\t\t<!-- personal account -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!_actionsForm.value['IsBusiness']\">\n\t\t\t\t\t\t\t\t<!-- full name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"FullName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.FullName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('FullName').hasError(error.type) && (_actionsForm.get('FullName').dirty || _actionsForm.get('FullName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t\t<div class=\"email\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"Email\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Email' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Email').hasError(error.type) && (_actionsForm.get('Email').dirty || _actionsForm.get('Email').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- phone -->\n\t\t\t\t\t\t\t\t<div class=\"phone\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-number\">\n\t\t\t\t\t\t\t\t\t\t<cp-country-input [type]=\"1\" formControlName=\"IdCountry\" (countrySelected)=\"changeCountrySelected($event)\"></cp-country-input>\n\n\t\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"tel\" formControlName=\"PhoneNumber\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.PhoneNumber' | translate }}\" autocomplete=\"off\" />\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- business account -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.value['IsBusiness']\">\n\t\t\t\t\t\t\t\t<!-- business name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"BusinessName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.BusinessName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.BusinessName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.BusinessName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('BusinessName').hasError(error.type) && (_actionsForm.get('BusinessName').dirty || _actionsForm.get('BusinessName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- email -->\n\t\t\t\t\t\t\t\t<div class=\"email\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"Email\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Email' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Email\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Email').hasError(error.type) && (_actionsForm.get('Email').dirty || _actionsForm.get('Email').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- phone -->\n\t\t\t\t\t\t\t\t<div class=\"phone\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-number\">\n\t\t\t\t\t\t\t\t\t\t<cp-country-input [type]=\"1\" formControlName=\"IdCountry\" (countrySelected)=\"changeCountrySelected($event)\"></cp-country-input>\n\n\t\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"tel\" formControlName=\"PhoneNumber\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.PhoneNumber' | translate }}\" autocomplete=\"off\" />\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PhoneNumber\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('PhoneNumber').hasError(error.type) && (_actionsForm.get('PhoneNumber').dirty || _actionsForm.get('PhoneNumber').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- full name -->\n\t\t\t\t\t\t\t\t<div class=\"name\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"text\" formControlName=\"FullName\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.LegalName' | translate }}\" autocomplete=\"off\" />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.FullName\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('FullName').hasError(error.type) && (_actionsForm.get('FullName').dirty || _actionsForm.get('FullName').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.LegalRepresentative' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t<!-- steps -->\n\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.SignUp' | translate }}\n\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</form>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- verify phone  -->\n\t\t<ng-container *ngIf=\"_step == 2 && _actionsForm\">\n\t\t\t<div class=\"step2\">\n\t\t\t\t<div class=\"content-step2\">\n\t\t\t\t\t<button type=\"button\" class=\"btn-back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t<i class=\"fas fa-arrow-left\"></i>\n\t\t\t\t\t</button>\n\n\t\t\t\t\t<svg\n\t\t\t\t\t\txmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n\t\t\t\t\t\txmlns:cc=\"http://creativecommons.org/ns#\"\n\t\t\t\t\t\txmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"\n\t\t\t\t\t\txmlns:svg=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns=\"http://www.w3.org/2000/svg\"\n\t\t\t\t\t\txmlns:sodipodi=\"http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\"\n\t\t\t\t\t\txmlns:inkscape=\"http://www.inkscape.org/namespaces/inkscape\"\n\t\t\t\t\t\twidth=\"1312\"\n\t\t\t\t\t\theight=\"823\"\n\t\t\t\t\t\tviewBox=\"0 0 347.13332 217.75209\"\n\t\t\t\t\t\tversion=\"1.1\"\n\t\t\t\t\t\tid=\"svg8\"\n\t\t\t\t\t>\n\t\t\t\t\t\t<g inkscape:label=\"Capa 1\" inkscape:groupmode=\"layer\" id=\"layer1\">\n\t\t\t\t\t\t\t<g id=\"g1159\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 160.95676,186.32394 h -12.72682 l -1.99636,6.7346 h 12.72681 z M 196.3922,52.380217 h -12.47727 l -1.24773,4.988596 h 12.22773 z\"\n\t\t\t\t\t\t\t\t\tid=\"path836\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: none; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 160.95676,186.32394 h -12.72682 l -1.99636,6.7346 h 12.72681 l 1.99637,-6.7346 M 196.3922,52.380217 h -12.47727 l -1.24773,4.988596 h 12.22773 l 1.49727,-4.988596\"\n\t\t\t\t\t\t\t\t\tid=\"path838\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 192.89856,186.32394 h -25.20407 l -1.74683,6.7346 h 25.20409 z M 228.334,52.380217 h -24.70499 l -1.24772,4.988596 24.70499,-0.249446 z\"\n\t\t\t\t\t\t\t\t\tid=\"path840\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: none; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 192.89856,186.32394 h -25.20407 l -1.74683,6.7346 h 25.20409 l 1.74681,-6.7346 M 228.334,52.380217 h -24.70499 l -1.24772,4.988596 24.70499,-0.249446 1.24772,-4.73915\"\n\t\t\t\t\t\t\t\t\tid=\"path842\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 339.13214,179.3399 c 7.98545,-112.99162 7.98545,-112.99162 7.98545,-112.99162 0.24956,-3.741454 -2.49545,-6.7346 -6.23864,-6.7346 -197.39037,0.249445 -197.39037,0.249445 -197.39037,0.249445 -3.74318,0 -6.98727,2.993146 -7.23681,6.7346 -7.98546,112.991615 -7.98546,112.991615 -7.98546,112.991615 -0.24953,3.74146 2.49546,6.7346 6.23864,6.7346 197.39038,-0.24945 197.39038,-0.24945 197.39038,-0.24945 3.74318,0 6.98728,-2.99314 7.23681,-6.73459 z\"\n\t\t\t\t\t\t\t\t\tid=\"path844\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 336.6367,176.84562 c 7.98544,-112.991652 7.98544,-112.991652 7.98544,-112.991652 0.24956,-3.741426 -2.49546,-6.734601 -6.23862,-6.734601 -197.3904,0.249446 -197.3904,0.249446 -197.3904,0.249446 -3.74317,0 -6.98726,2.993174 -7.2368,6.7346 -7.98546,112.991617 -7.98546,112.991617 -7.98546,112.991617 -0.24953,3.74146 2.49545,6.7346 6.23863,6.7346 197.39039,0 197.39039,0 197.39039,0 3.74316,0 6.98726,-3.24259 7.23682,-6.98401 z\"\n\t\t\t\t\t\t\t\t\tid=\"path846\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #b3caff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 159.20994,61.858546 c -18.96545,0 -18.96545,0 -18.96545,0 -0.49909,0 -0.99818,0.249446 -1.49727,0.498863 -0.24954,0.249445 -0.49909,0.748279 -0.49909,1.496559 -7.98545,112.991652 -7.98545,112.991652 -7.98545,112.991652 0,1.24713 0.99818,2.49428 2.24591,2.49428 0,0 0,0 0,0 3.74318,0 3.74318,0 3.74318,0 -2.745,0 -4.74136,-2.74374 -3.99273,-5.23802 26.9509,-112.243334 26.9509,-112.243334 26.9509,-112.243334 m 178.42492,-0.249445 c 0,0 0,0 0,0 -162.70356,0.249445 -162.70356,0.249445 -162.70356,0.249445 12.22771,0 12.22771,0 12.22771,0 C 158.96039,179.3399 158.96039,179.3399 158.96039,179.3399 c 12.22773,0 12.22773,0 12.22773,0 28.44817,-117.481354 28.44817,-117.481354 28.44817,-117.481354 11.72862,0 11.72862,0 11.72862,0 -7.98544,33.423558 -7.98544,33.423558 -7.98544,33.423558 64.88179,0 64.88179,0 64.88179,0 1.24773,0 2.2459,0.99772 1.99636,2.24487 -0.99818,10.226626 -0.99818,10.226626 -0.99818,10.226626 -0.24956,1.24715 -1.24773,2.24487 -2.49546,2.24487 -66.87815,0 -66.87815,0 -66.87815,0 -1.49727,6.48516 -1.49727,6.48516 -1.49727,6.48516 67.37725,0 67.37725,0 67.37725,0 1.24772,0 2.2459,0.99772 1.99636,2.24486 -0.99819,9.97719 -0.99819,9.97719 -0.99819,9.97719 -0.24953,1.24715 -1.24771,2.24487 -2.49545,2.24487 -69.3736,0 -69.3736,0 -69.3736,0 0,0 0,0 -0.24954,0 -11.47909,48.38935 -11.47909,48.38935 -11.47909,48.38935 146.73267,-0.24945 146.73267,-0.24945 146.73267,-0.24945 0.74863,0 1.24772,-0.24944 1.49726,-0.49886 0.24956,-0.24944 0.74866,-0.74828 0.74866,-1.49659 7.98544,-112.991615 7.98544,-112.991615 7.98544,-112.991615 0,-1.247142 -0.99819,-2.494284 -2.49547,-2.494284 z\"\n\t\t\t\t\t\t\t\t\tid=\"path848\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 265.76581,116.48363 c -69.37361,0 -69.37361,0 -69.37361,0 -1.24772,0 -2.24592,0.99772 -2.24592,2.24486 -1.24772,9.97719 -1.24772,9.97719 -1.24772,9.97719 0,1.24715 0.74864,2.24487 1.99637,2.24487 69.3736,0 69.3736,0 69.3736,0 1.24774,0 2.24591,-0.99772 2.49545,-2.24487 0.99819,-9.97719 0.99819,-9.97719 0.99819,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99636,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path850\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 204.62719,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24773,0 -2.2459,0.99772 -2.49544,2.24486 -0.9982,9.97719 -0.9982,9.97719 -0.9982,9.97719 -0.24953,1.24715 0.74865,2.24487 1.99637,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24773,0 2.49546,-0.99772 2.49546,-2.24487 0.99818,-9.97719 0.99818,-9.97719 0.99818,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99637,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path852\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 223.3431,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24774,0 -2.24591,0.99772 -2.49545,2.24486 -0.99819,9.97719 -0.99819,9.97719 -0.99819,9.97719 -0.24953,1.24715 0.74864,2.24487 1.99636,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24773,0 2.49546,-0.99772 2.49546,-2.24487 0.99818,-9.97719 0.99818,-9.97719 0.99818,-9.97719 0.24953,-1.24714 -0.74864,-2.24486 -1.99636,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path854\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 242.05899,157.88896 c -10.73044,0 -10.73044,0 -10.73044,0 -1.24773,0 -2.49546,0.99772 -2.49546,2.24486 -0.99818,9.97719 -0.99818,9.97719 -0.99818,9.97719 -0.24953,1.24715 0.74863,2.24487 1.99637,2.24487 10.73045,0 10.73045,0 10.73045,0 1.24772,0 2.2459,-0.99772 2.49545,-2.24487 0.99819,-9.97719 0.99819,-9.97719 0.99819,-9.97719 0.24953,-1.24714 -0.74865,-2.24486 -1.99638,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path856\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 260.77489,157.88896 c -10.73045,0 -10.73045,0 -10.73045,0 -1.24772,0 -2.49544,0.99772 -2.49544,2.24486 -1.24773,9.97719 -1.24773,9.97719 -1.24773,9.97719 0,1.24715 0.74863,2.24487 1.99637,2.24487 10.97999,0 10.97999,0 10.97999,0 1.24772,0 2.24591,-0.99772 2.49546,-2.24487 0.99817,-9.97719 0.99817,-9.97719 0.99817,-9.97719 0,-1.24714 -0.74863,-2.24486 -1.99637,-2.24486 z\"\n\t\t\t\t\t\t\t\t\tid=\"path858\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 205.12629,150.90494 c 0,0.49883 0,0.49883 0,0.49883 43.42089,0 43.42089,0 43.42089,0 2.24591,0 4.49181,-1.74601 4.74135,-4.24029 0.4991,-4.9886 0.4991,-4.9886 0.4991,-4.9886 0,0 0,-0.24944 0,-0.49886 0,-0.99772 -0.4991,-1.99542 -1.24773,-2.74372 -0.49908,-0.74829 -1.49727,-0.99773 -2.745,-0.99773 -43.17134,0 -43.17134,0 -43.17134,0 -2.49546,0 -4.49182,1.74603 -4.74136,4.24031 -0.4991,4.9886 -0.4991,4.9886 -0.4991,4.9886 -0.24953,0 -0.24953,0.24945 -0.24953,0.24945 0,1.24714 0.49909,2.24486 1.24773,2.99315 0.74863,0.49886 1.74681,0.99772 2.745,0.99772 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 0,-0.49886 -0.74864,0 -1.49728,-0.24945 -1.99637,-0.74829 -0.49909,-0.49889 -0.99819,-1.24716 -0.99819,-2.24489 0,0 0,0 0.24954,-0.24945 0.49909,-4.98857 0.49909,-4.98857 0.49909,-4.98857 0,-1.74602 1.74681,-3.24258 3.74318,-3.24258 43.17134,0 43.17134,0 43.17134,0 0.99819,0 1.74682,0.24944 2.24591,0.74827 0.49909,0.49886 0.74864,1.24715 0.74864,1.99545 0,0.24945 0,0.24945 0,0.49886 -0.49909,4.98857 -0.49909,4.98857 -0.49909,4.98857 -0.24954,1.74604 -1.99637,3.2426 -3.74318,3.2426 -43.42089,0 -43.42089,0 -43.42089,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path860\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 268.26126,95.282104 c -69.3736,0 -69.3736,0 -69.3736,0 -1.24774,0 -2.24592,0.99772 -2.24592,2.24487 -1.24772,10.226626 -1.24772,10.226626 -1.24772,10.226626 0,1.24715 0.74863,2.24487 1.99636,2.24487 69.3736,0 69.3736,0 69.3736,0 1.24773,0 2.24592,-0.99772 2.49546,-2.24487 0.99818,-10.226626 0.99818,-10.226626 0.99818,-10.226626 0.24953,-1.24715 -0.74863,-2.24487 -1.99636,-2.24487 z\"\n\t\t\t\t\t\t\t\t\tid=\"path862\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 239.06445,73.08288 c -0.49908,4.988597 -0.49908,4.988597 -0.49908,4.988597 0,0.498863 -0.4991,0.997725 -0.99819,0.997725 -0.49908,0 -0.74863,-0.498862 -0.74863,-0.997725 0.49909,-4.988597 0.49909,-4.988597 0.49909,-4.988597 0.24953,-1.746004 -0.99819,-2.993146 -2.745,-2.993146 -1.74682,0 -1.74682,0 -1.74682,0 -1.74682,0 -3.24408,1.247142 -3.24408,2.993146 -0.4991,4.739152 -0.4991,4.739152 -0.4991,4.739152 -1.74681,0 -1.74681,0 -1.74681,0 0.49908,-4.739152 0.49908,-4.739152 0.49908,-4.739152 0.24956,-2.494312 2.49546,-4.739179 5.24046,-4.739179 1.74681,0 1.74681,0 1.74681,0 2.49546,0 4.49182,2.244867 4.24227,4.739179 z\"\n\t\t\t\t\t\t\t\t\tid=\"path886\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 239.06445,78.071477 c -0.99818,9.977197 -0.99818,9.977197 -0.99818,9.977197 0,0.49883 -0.74863,0.9977 -1.24772,0.9977 -9.98182,0 -9.98182,0 -9.98182,0 -0.74863,0 -1.24773,-0.49887 -0.99818,-0.9977 0.99818,-9.977197 0.99818,-9.977197 0.99818,-9.977197 0,-0.498862 0.24954,-0.748307 0.4991,-0.997724 0.24953,-0.249446 0.49908,-0.249446 0.74863,-0.249446 9.98181,0 9.98181,0 9.98181,0 0.24954,0 0.4991,0 0.4991,0.249446 0.24953,0 0.49908,0.498862 0.49908,0.997724 z\"\n\t\t\t\t\t\t\t\t\tid=\"path888\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 317.17215,55.872226 c -24.45545,0.249445 -24.45545,0.249445 -24.45545,0.249445 -0.24957,0 -0.4991,0.249445 -0.4991,0.498862 0,0.249446 0.24956,0.498863 0.74866,0.498863 24.20589,-0.249446 24.20589,-0.249446 24.20589,-0.249446 0.24957,0 0.4991,0 0.4991,-0.498862 0,-0.249445 -0.24956,-0.498862 -0.4991,-0.498862 z\"\n\t\t\t\t\t\t\t\t\tid=\"path890\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 330.6476,55.872226 c -8.7341,0 -8.7341,0 -8.7341,0 -0.24956,0 -0.49909,0.249445 -0.49909,0.498862 0,0.249445 0.24956,0.498862 0.49909,0.498862 8.7341,0 8.7341,0 8.7341,0 0.24956,0 0.49909,-0.249445 0.49909,-0.498862 0,-0.249445 -0.24956,-0.498862 -0.49909,-0.498862 z\"\n\t\t\t\t\t\t\t\t\tid=\"path892\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 158.96039,179.3399 c -22.70862,0 -22.70862,0 -22.70862,0 0,0 0,0 0,0 0,0 0,0 0,0 22.70862,0 22.70862,0 22.70862,0 0,0 0,0 0,0 M 174.9313,61.858546 c -15.72136,0 -15.72136,0 -15.72136,0 0,0 0,0 0,0 15.72136,0 15.72136,0 15.72136,0 z\"\n\t\t\t\t\t\t\t\t\tid=\"path894\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 187.15901,61.858546 c -12.22771,0 -12.22771,0 -12.22771,0 -15.72136,0 -15.72136,0 -15.72136,0 -26.9509,112.243334 -26.9509,112.243334 -26.9509,112.243334 -0.74863,2.49428 1.24773,5.23802 3.99273,5.23802 22.70862,0 22.70862,0 22.70862,0 C 187.15901,61.858546 187.15901,61.858546 187.15901,61.858546 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path896\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path style=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\" d=\"m 183.16629,179.3399 h -11.97817 v 0 z\" id=\"path898\" />\n\t\t\t\t\t\t\t\t<path style=\"fill: none; stroke: none; stroke-width: 0.748461\" d=\"m 183.16629,179.3399 h -11.97817 v 0 h 11.97817 v 0\" id=\"path900\" />\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 211.36491,61.858546 c -11.72862,0 -11.72862,0 -11.72862,0 C 171.18812,179.3399 171.18812,179.3399 171.18812,179.3399 c 11.97817,0 11.97817,0 11.97817,0 11.4791,-48.38935 11.4791,-48.38935 11.4791,-48.38935 -0.99819,0 -1.74683,-0.99772 -1.74683,-2.24487 1.24772,-9.97719 1.24772,-9.97719 1.24772,-9.97719 0,-1.24714 0.9982,-2.24486 2.24592,-2.24486 1.99636,0 1.99636,0 1.99636,0 1.49727,-6.48516 1.49727,-6.48516 1.49727,-6.48516 -2.49545,0 -2.49545,0 -2.49545,0 -1.24773,0 -1.99636,-0.99772 -1.99636,-2.24487 1.24772,-10.226626 1.24772,-10.226626 1.24772,-10.226626 0,-1.24715 0.99818,-2.24487 2.24592,-2.24487 4.49181,0 4.49181,0 4.49181,0 7.98544,-33.423558 7.98544,-33.423558 7.98544,-33.423558 z\"\n\t\t\t\t\t\t\t\t\tid=\"path902\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\t\td=\"m 203.37947,95.282104 c -4.49181,0 -4.49181,0 -4.49181,0 -1.24774,0 -2.24592,0.99772 -2.24592,2.24487 -1.24772,10.226626 -1.24772,10.226626 -1.24772,10.226626 0,1.24715 0.74863,2.24487 1.99636,2.24487 2.49545,0 2.49545,0 2.49545,0 3.49364,-14.716366 3.49364,-14.716366 3.49364,-14.716366 z\"\n\t\t\t\t\t\t\t\t\tid=\"path906\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1120\" transform=\"matrix(0.99980253,0,0,0.99933895,51.504464,-14.870679)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -40.282878,40.089578 c 5.491083,0 5.491083,0 5.491083,0 -5.740676,0 -9.983787,4.492704 -9.484597,10.233374 11.980545,171.970708 11.980545,171.970708 11.980545,171.970708 0.499187,5.74067 5.241486,10.48298 10.982163,10.48298 -5.491083,0 -5.491083,0 -5.491083,0 -5.740676,0 -10.73257,-4.74231 -11.231759,-10.48298 C -50.017068,50.322952 -50.017068,50.322952 -50.017068,50.322952 c -0.249582,-5.74067 3.993514,-10.233374 9.73419,-10.233374 z\"\n\t\t\t\t\t\t\t\t\tid=\"path908\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -40.282878,40.089578 c 5.491083,0 5.491083,0 5.491083,0 -5.740676,0 -9.983787,4.492704 -9.484597,10.233374 11.980545,171.970708 11.980545,171.970708 11.980545,171.970708 0.499187,5.74067 5.241486,10.48298 10.982163,10.48298 -5.491083,0 -5.491083,0 -5.491083,0 -5.740676,0 -11.481353,-4.74231 -11.980542,-10.48298 C -50.765851,50.322952 -50.765851,50.322952 -50.765851,50.322952 c -0.49919,-5.74067 4.742297,-10.233374 10.482973,-10.233374 z\"\n\t\t\t\t\t\t\t\t\tid=\"path910\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -25.307198,232.77664 c 69.387312,0 69.387312,0 69.387312,0 5.740673,0 9.983783,-4.74231 9.73419,-10.48298 C 41.833762,50.322952 41.833762,50.322952 41.833762,50.322952 41.334569,44.582282 36.342676,40.089578 30.602003,40.089578 c -69.387312,0 -69.387312,0 -69.387312,0 -5.491083,0 -9.983787,4.492704 -9.484597,10.233374 11.980542,171.970708 11.980542,171.970708 11.980542,171.970708 0.49919,5.74067 5.491083,10.48298 10.982166,10.48298 z\"\n\t\t\t\t\t\t\t\t\tid=\"path912\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #b3caff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -5.0900323,43.334287 c -33.6952767,0 -33.6952767,0 -33.6952767,0 -1.996759,0 -3.494325,0.748802 -4.742297,1.996769 -1.247976,1.247967 -1.747162,2.995127 -1.747162,4.742286 11.980542,172.220318 11.980542,172.220318 11.980542,172.220318 0.249582,2.99512 2.495945,5.74067 5.491082,6.73905 C -5.0900323,43.334287 -5.0900323,43.334287 -5.0900323,43.334287 m 35.6920353,0 c -2.246352,0 -2.246352,0 -2.246352,0 1.996753,0 3.743921,0.748802 4.991888,2.246351 C 10.884024,229.28229 10.884024,229.28229 10.884024,229.28229 c -27.705005,0 -27.705005,0 -27.705005,0 C 6.1417266,43.334287 6.1417266,43.334287 6.1417266,43.334287 c -4.9918932,0 -4.9918932,0 -4.9918932,0 C -21.812874,229.28229 -21.812874,229.28229 -21.812874,229.28229 c -3.743918,0 -3.743918,0 -3.743918,0 0,0 0,0 0,0 69.387307,0 69.387307,0 69.387307,0 1.996758,0 3.494327,-0.74877 4.742302,-1.99674 1.24797,-1.24797 1.74716,-2.99512 1.74716,-4.74231 C 38.089841,50.572534 38.089841,50.572534 38.089841,50.572534 37.840231,46.579023 34.345924,43.334287 30.602003,43.334287 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path914\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 28.355651,43.334287 c -22.2139244,0 -22.2139244,0 -22.2139244,0 C -16.820981,229.28229 -16.820981,229.28229 -16.820981,229.28229 c 27.705005,0 27.705005,0 27.705005,0 C 33.347539,45.580638 33.347539,45.580638 33.347539,45.580638 32.099572,44.083089 30.352404,43.334287 28.355651,43.334287 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path916\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #7aa3ff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -27.803144,229.03271 c -0.249582,0.24961 -0.249582,0.24961 -0.249582,0.24961 2.495945,0 2.495945,0 2.495945,0 -0.748783,0 -1.497566,0 -2.246349,-0.24961 z\"\n\t\t\t\t\t\t\t\t\tid=\"path918\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #cadaff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 1.1498334,43.334287 c -6.2398657,0 -6.2398657,0 -6.2398657,0 C -27.803144,229.03271 -27.803144,229.03271 -27.803144,229.03271 c 0.748783,0.24961 1.497566,0.24961 2.246352,0.24961 3.743918,0 3.743918,0 3.743918,0 C 1.1498334,43.334315 1.1498334,43.334315 1.1498334,43.334315 Z\"\n\t\t\t\t\t\t\t\t\tid=\"path920\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -23.80963,125.20134 c 50.168523,0 50.168523,0 50.168523,0 0.249582,0 0.499189,-0.24961 0.499189,-0.4992 0,-0.24961 -0.24961,-0.49919 -0.499189,-0.49919 -50.168523,0 -50.168523,0 -50.168523,0 -0.249582,0 -0.499189,0.24961 -0.499189,0.49919 0,0.24961 0.24961,0.4992 0.499189,0.4992 z\"\n\t\t\t\t\t\t\t\t\tid=\"path922\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -17.320171,132.43958 c 39.18636,0 39.18636,0 39.18636,0 0.49919,0 0.49919,-0.24961 0.49919,-0.49919 0,-0.24961 0,-0.49919 -0.49919,-0.49919 -39.18636,0 -39.18636,0 -39.18636,0 -0.24961,0 -0.499189,0.24961 -0.499189,0.49919 0,0.24961 0.249582,0.49919 0.499189,0.49919 z\"\n\t\t\t\t\t\t\t\t\tid=\"path924\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -22.312064,90.258092 v 1.996742 h -1.247972 v -1.996742 l -2.495945,-3.494319 h 1.497566 l 1.497568,2.495934 1.497566,-2.495934 h 1.247976 z\"\n\t\t\t\t\t\t\t\t\tid=\"path926\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -20.315305,89.509318 c 0,-1.747188 1.247972,-2.745545 2.995134,-2.745545 1.747163,0 2.995135,0.998357 2.995135,2.745545 0.249611,1.747159 -0.998379,2.995126 -2.745541,2.995126 -1.747162,0 -3.244728,-1.247967 -3.244728,-2.995126 z m 4.742297,0 c 0,-0.998385 -0.748783,-1.747188 -1.747163,-1.747188 -0.998379,0 -1.747162,0.748803 -1.747162,1.747188 0,0.998356 0.99838,1.747159 1.996756,1.747159 0.998379,0 1.497569,-0.748803 1.497569,-1.747159 z\"\n\t\t\t\t\t\t\t\t\tid=\"path928\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -13.326657,89.7589 c 0,-2.995127 0,-2.995127 0,-2.995127 1.247973,0 1.247973,0 1.247973,0 0,2.995127 0,2.995127 0,2.995127 0.249582,0.998385 0.49919,1.497577 1.497569,1.497577 0.7487829,0 1.2479725,-0.499192 0.9983791,-1.497577 0,-2.995127 0,-2.995127 0,-2.995127 1.2479726,0 1.2479726,0 1.2479726,0 0,2.995127 0,2.995127 0,2.995127 0.249582,1.747159 -0.748783,2.745544 -2.2463517,2.745544 -1.747162,0 -2.745542,-0.998385 -2.745542,-2.745544 z\"\n\t\t\t\t\t\t\t\t\tid=\"path930\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -3.3428702,92.254834 c -0.9983792,-1.497549 -0.9983792,-1.497549 -0.9983792,-1.497549 -0.249582,0 -0.249582,0 -0.249582,0 -0.9983792,0 -0.9983792,0 -0.9983792,0 0,1.497549 0,1.497549 0,1.497549 -1.2479726,0 -1.2479726,0 -1.2479726,0 -0.2496104,-5.491061 -0.2496104,-5.491061 -0.2496104,-5.491061 2.495948,0 2.495948,0 2.495948,0 1.497566,0 2.4959452,0.748775 2.4959452,1.996742 0,0.748803 -0.4991896,1.497577 -1.2479726,1.747159 1.497566,1.74716 1.497566,1.74716 1.497566,1.74716 z M -4.5908427,87.76213 c -1.2479755,0 -1.2479755,0 -1.2479755,0 0.2496104,1.99677 0.2496104,1.99677 0.2496104,1.99677 0.9983792,0 0.9983792,0 0.9983792,0 0.748783,0 1.2479726,-0.499193 1.2479726,-0.998385 -0.2495821,-0.499193 -0.4991896,-0.998385 -1.2479726,-0.998385 z\"\n\t\t\t\t\t\t\t\t\tid=\"path932\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"M 0.90023722,89.509318 C 0.65065515,87.76213 1.8986164,86.763773 3.6457786,86.763773 c 0.9983792,0 1.7471622,0.249611 2.495948,0.748775 -0.9983792,0.998385 -0.9983792,0.998385 -0.9983792,0.998385 -0.249582,-0.499193 -0.748783,-0.748803 -1.2479726,-0.748803 -0.9983792,0 -1.7471622,0.748803 -1.7471622,1.747188 0,0.998356 0.748783,1.747159 1.7471622,1.747159 0.4991896,0 0.9983764,-0.24961 1.497566,-0.499192 0.7487858,0.748774 0.7487858,0.748774 0.7487858,0.748774 -0.4991896,0.499193 -1.2479754,0.998385 -2.2463518,0.998385 -1.7471622,0 -2.99513758,-1.247967 -2.99513758,-2.995126 z\"\n\t\t\t\t\t\t\t\t\tid=\"path934\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 6.39132,89.509318 c 0,-1.747188 1.2479726,-2.745545 2.9951348,-2.745545 1.7471652,0 3.2447312,0.998357 3.2447312,2.745545 0,1.747159 -1.247973,2.995126 -2.995135,2.995126 -1.7471622,0 -2.9951348,-1.247967 -3.244731,-2.995126 z m 4.991893,0 c 0,-0.998385 -0.998379,-1.747188 -1.9967582,-1.747188 -0.9983764,0 -1.497566,0.748803 -1.497566,1.747188 0,0.998356 0.748783,1.747159 1.7471622,1.747159 0.998379,0 1.747162,-0.748803 1.747162,-1.747159 z\"\n\t\t\t\t\t\t\t\t\tid=\"path936\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 13.379972,86.763773 c 2.745538,0 2.745538,0 2.745538,0 1.747165,0 2.995138,0.998357 2.995138,2.745545 0,1.747159 -0.998379,2.745516 -2.995138,2.745516 -2.495945,0 -2.495945,0 -2.495945,0 z m 2.745538,4.492704 c 0.998379,0 1.747165,-0.748803 1.747165,-1.747159 0,-0.998385 -0.748786,-1.747188 -1.996758,-1.747188 -0.998379,0 -0.998379,0 -0.998379,0 0,3.494347 0,3.494347 0,3.494347 z\"\n\t\t\t\t\t\t\t\t\tid=\"path938\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 24.611731,91.256477 v 0.998357 H 20.36862 l -0.249582,-5.491061 h 4.243105 v 0.998357 h -2.995132 v 1.247995 h 2.745541 v 0.998357 h -2.745541 l 0.249582,1.247995 z\"\n\t\t\t\t\t\t\t\t\tid=\"path940\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -12.577874,112.97119 c 0,2.24635 0,2.24635 0,2.24635 -10.482973,0 -10.482973,0 -10.482973,0 -0.249582,-1.74716 -0.249582,-1.74716 -0.249582,-1.74716 5.740676,-5.24147 5.740676,-5.24147 5.740676,-5.24147 1.247976,-1.49758 1.497569,-2.24636 1.497569,-2.99513 0,-1.24799 -0.998379,-2.24635 -2.745541,-2.24635 -1.247973,0 -2.495945,0.49916 -3.244731,1.49755 -1.747162,-1.24797 -1.747162,-1.24797 -1.747162,-1.24797 0.998379,-1.49758 2.995137,-2.49593 5.241489,-2.49593 2.995135,0 5.241487,1.74716 5.241487,4.24309 0,1.24797 -0.49919,2.49596 -2.246352,4.4927 -3.743921,3.49432 -3.743921,3.49432 -3.743921,3.49432 z\"\n\t\t\t\t\t\t\t\t\tid=\"path942\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -1.0965184,110.97445 c 0,2.49593 -1.7471621,4.4927 -5.4910827,4.4927 -1.9967585,0 -3.9935139,-0.49919 -5.4910829,-1.74716 1.247973,-1.99676 1.247973,-1.99676 1.247973,-1.99676 0.9983789,0.99838 2.4959477,1.49757 3.9935165,1.49757 1.9967555,0 2.9951347,-0.99838 2.9951347,-2.24635 0,-1.24797 -0.9983792,-1.99677 -2.9951347,-1.99677 -1.2479755,0 -1.2479755,0 -1.2479755,0 -0.249582,-1.99674 -0.249582,-1.99674 -0.249582,-1.99674 3.244731,-3.74393 3.244731,-3.74393 3.244731,-3.74393 -6.489462,0 -6.489462,0 -6.489462,0 0,-2.24635 0,-2.24635 0,-2.24635 9.7341901,0 9.7341901,0 9.7341901,0 0,1.74716 0,1.74716 0,1.74716 -3.2447281,4.24312 -3.2447281,4.24312 -3.2447281,4.24312 2.4959452,0.24961 3.993514,1.74716 3.993514,3.99351 z\"\n\t\t\t\t\t\t\t\t\tid=\"path944\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 12.131996,111.22403 c 0.249582,2.49596 -2.2463516,4.24312 -5.740676,4.24312 -3.4943244,0 -5.74067617,-1.74716 -5.74067617,-4.24312 0,-1.49755 0.74878297,-2.74554 2.24635177,-3.49432 -1.2479726,-0.49919 -1.99675838,-1.49757 -1.99675838,-2.99512 0,-2.49596 2.24635178,-3.99351 5.24148938,-3.99351 3.2447282,0 5.4910804,1.49755 5.4910804,3.99351 0,1.49755 -0.748783,2.49593 -1.7471626,2.99512 1.4975686,0.74878 2.2463516,1.99677 2.2463516,3.49432 z m -2.495945,-0.24961 c 0,-1.24796 -1.2479726,-2.24635 -3.244731,-2.24635 -1.9967556,0 -3.244731,0.99839 -3.244731,2.24635 0,1.49758 1.2479754,2.49594 3.244731,2.49594 1.9967584,0 3.244731,-0.99836 3.244731,-2.49594 z m -5.9902724,-5.99028 c 0,1.24797 0.9983792,1.99677 2.7455414,1.99677 1.4975688,0 2.7455414,-0.7488 2.495948,-1.99677 0,-1.24797 -0.9983792,-1.99674 -2.7455414,-1.99674 -1.4975688,0 -2.495948,0.74877 -2.495948,1.99674 z\"\n\t\t\t\t\t\t\t\t\tid=\"path946\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 25.610107,111.22403 c 0,2.49596 -2.246352,4.24312 -5.99027,4.24312 -3.494327,0 -5.740679,-1.74716 -5.740679,-4.24312 0,-1.49755 0.748786,-2.74554 2.246352,-3.49432 -1.247972,-0.49919 -1.747162,-1.49757 -1.996755,-2.99512 0,-2.49596 2.246351,-3.99351 5.241486,-3.99351 3.244731,0 5.491083,1.49755 5.491083,3.99351 0,1.49755 -0.499192,2.49593 -1.747162,2.99512 1.497569,0.74878 2.246354,1.99677 2.495945,3.49432 z m -2.745541,-0.24961 c 0,-1.24796 -1.247973,-2.24635 -3.244729,-2.24635 -1.996758,0 -3.244731,0.99839 -2.995137,2.24635 0,1.49758 0.998379,2.49594 2.995137,2.49594 1.996756,0 3.244729,-0.99836 3.244729,-2.49594 z m -5.99027,-5.99028 c 0,1.24797 0.998379,1.99677 2.745541,1.99677 1.747163,0 2.745542,-0.7488 2.745542,-1.99677 0,-1.24797 -1.247976,-1.99674 -2.745542,-1.99674 -1.747162,0 -2.745541,0.74877 -2.745541,1.99674 z\"\n\t\t\t\t\t\t\t\t\tid=\"path948\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -50.765851,65.04903 c 1.747162,23.961095 1.747162,23.961095 1.747162,23.961095 0,0.249611 0.249582,0.499193 0.49919,0.499193 0.249582,0 0.499189,-0.249611 0.499189,-0.499193 -1.747162,-24.210677 -1.747162,-24.210677 -1.747162,-24.210677 0,-0.24961 -0.249582,-0.499192 -0.49919,-0.24961 -0.249582,0 -0.499189,0.24961 -0.499189,0.499164 z\"\n\t\t\t\t\t\t\t\t\tid=\"path950\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -51.514637,54.066853 c 0.49919,6.239891 0.49919,6.239891 0.49919,6.239891 0,0.249611 0.249582,0.499165 0.499189,0.499165 0.249582,0 0.49919,-0.249611 0.49919,-0.499165 -0.49919,-6.489473 -0.49919,-6.489473 -0.49919,-6.489473 0,-0.24961 -0.249582,-0.499192 -0.748783,-0.24961 -0.249582,2.8e-5 -0.249582,0.24961 -0.249582,0.499192 z\"\n\t\t\t\t\t\t\t\t\tid=\"path952\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1032\" transform=\"matrix(0.99980253,0,0,0.99933895,51.504464,-14.870679)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -3.3428702,29.856176 c 0,-14.476467 0,-14.476467 0,-14.476467 0,-0.499193 0,-0.499193 -0.4991896,-0.499193 -0.249582,0 -0.4991896,0 -0.4991896,0.499193 0,14.476467 0,14.476467 0,14.476467 0,0.24961 0.2495821,0.499192 0.4991896,0.499192 0.4991896,0 0.4991896,-0.24961 0.4991896,-0.499192 z\"\n\t\t\t\t\t\t\t\t\tid=\"path954\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m -14.824225,32.85133 c -7.487839,-12.729336 -7.487839,-12.729336 -7.487839,-12.729336 0,-0.24961 -0.499189,-0.24961 -0.748783,-0.24961 0,0.24961 -0.249582,0.499164 0,0.748774 7.238245,12.729337 7.238245,12.729337 7.238245,12.729337 0.249582,0.24961 0.499187,0.24961 0.748783,0.24961 0.249582,-0.24961 0.249582,-0.499192 0.249582,-0.748775 z\"\n\t\t\t\t\t\t\t\t\tid=\"path956\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #407bff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"M 14.877538,20.121994 C 7.3896992,32.85133 7.3896992,32.85133 7.3896992,32.85133 c 0,0.249611 0,0.499193 0.2495821,0.748775 0.249582,0 0.4991896,0 0.7487858,-0.24961 7.2382449,-12.729337 7.2382449,-12.729337 7.2382449,-12.729337 0.249582,-0.24961 0,-0.499192 -0.249582,-0.748774 0,0 -0.49919,0 -0.49919,0.24961 z\"\n\t\t\t\t\t\t\t\t\tid=\"path958\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<g id=\"g1133\" transform=\"matrix(0.99980253,0,0,0.99933895,51.50446,-14.870673)\">\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 153.40257,138.67945 c 0.24958,-1.24797 -0.74879,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 0,1.49757 0.99838,2.49596 2.24635,2.49596 1.49757,0 2.74555,-0.99839 2.74555,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path864\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 161.14,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.49757,0 -2.74555,1.24797 -2.74555,2.49594 -0.24958,1.49757 0.74879,2.49596 2.24636,2.49596 1.24797,0 2.49595,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path866\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 168.62784,138.67945 c 0.24958,-1.24797 -0.74878,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 0,1.49757 0.99839,2.49596 2.24635,2.49596 1.49757,0 2.74555,-0.99839 2.74555,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path868\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 176.36527,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.49757,0 -2.74554,1.24797 -2.74554,2.49594 -0.24961,1.49757 0.74879,2.49596 2.24635,2.49596 1.24797,0 2.49595,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path870\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 184.10271,138.67945 c 0,-1.24797 -0.99838,-2.49594 -2.24635,-2.49594 -1.24798,0 -2.49595,1.24797 -2.74555,2.49594 -0.24958,1.49757 0.74879,2.49596 2.24636,2.49596 1.24797,0 2.49594,-0.99839 2.74554,-2.49596 z\"\n\t\t\t\t\t\t\t\t\tid=\"path872\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 155.89851,117.71351 c 0.24958,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24798,0 -2.49594,0.99839 -2.74554,2.49597 0,1.24796 0.99838,2.24635 2.24635,2.24635 1.49757,0 2.74554,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path874\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 163.63594,117.71351 c 0,-1.49758 -0.99837,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.74553,0.99839 -2.74553,2.49597 -0.24962,1.24796 0.74878,2.24635 2.24635,2.24635 1.24797,0 2.49594,-0.99839 2.74553,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path876\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 171.12378,117.71351 c 0.24961,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24797,0 -2.49594,0.99839 -2.74554,2.49597 0,1.24796 0.99838,2.24635 2.24636,2.24635 1.49756,0 2.74553,-0.99839 2.74553,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path878\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 178.86122,117.71351 c 0,-1.49758 -0.99838,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.74554,0.99839 -2.74554,2.49597 -0.24959,1.24796 0.74878,2.24635 2.24635,2.24635 1.24797,0 2.49594,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path880\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 186.34906,117.71351 c 0.24958,-1.49758 -0.74878,-2.49597 -2.24635,-2.49597 -1.24798,0 -2.49595,0.99839 -2.74554,2.49597 0,1.24796 0.99837,2.24635 2.24635,2.24635 1.49756,0 2.74554,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path882\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\t\tstyle=\"fill: #263238; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748783\"\n\t\t\t\t\t\t\t\t\td=\"m 194.08649,117.71351 c 0,-1.49758 -0.99837,-2.49597 -2.24635,-2.49597 -1.49757,0 -2.49594,0.99839 -2.74554,2.49597 -0.24958,1.24796 0.74878,2.24635 2.24635,2.24635 1.24798,0 2.49595,-0.99839 2.74554,-2.24635 z\"\n\t\t\t\t\t\t\t\t\tid=\"path884\"\n\t\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t\t</g>\n\t\t\t\t\t\t\t<path\n\t\t\t\t\t\t\t\tstyle=\"fill: #ffffff; fill-opacity: 1; fill-rule: nonzero; stroke: none; stroke-width: 0.748461\"\n\t\t\t\t\t\t\t\td=\"m 198.38856,116.48363 c -1.99636,0 -1.99636,0 -1.99636,0 -1.24772,0 -2.24592,0.99772 -2.24592,2.24486 -1.24772,9.97719 -1.24772,9.97719 -1.24772,9.97719 0,1.24715 0.74864,2.24487 1.74683,2.24487 3.74317,-14.46692 3.74317,-14.46692 3.74317,-14.46692 z\"\n\t\t\t\t\t\t\t\tid=\"path904\"\n\t\t\t\t\t\t\t/>\n\t\t\t\t\t\t</g>\n\t\t\t\t\t</svg>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.VerifyPhone' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.VerifyPhoneInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateVerificationCode()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<!-- coinpay code -->\n\t\t\t\t\t\t\t<div class=\"coinpay-code\">\n\t\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [isNumeric]=\"true\" [allowPaste]=\"true\" [allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\"></cp-coinpay-code-input>\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.allowReSendCode\">\n\t\t\t\t\t\t\t\t\t<button type=\"button\" class=\"btn-resend\" (click)=\"resendCode()\">\n\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.ResendCode' | translate }}\n\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!_model.allowReSendCode && _model.resendSuccess\">\n\t\t\t\t\t\t\t\t\t<p class=\"re-send-success\">{{ 'Coinpay-cr-fe-core.SignUp.Form.CodeSentSuccessfully' | translate }}</p>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t<div class=\"inside-button\"><i class=\"fal fa-long-arrow-right\"></i></div>\n\t\t\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- set password  -->\n\t\t<ng-container *ngIf=\"_step == 3 && _actionsForm\">\n\t\t\t<div class=\"step3\">\n\t\t\t\t<div class=\"content-step3\">\n\t\t\t\t\t<ng-content select=\"[logo-section-password]\"></ng-content>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Form.CreatePassword' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.CreatePasswordInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"createAccount()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<div class=\"content-password\">\n\t\t\t\t\t\t\t\t<!-- password -->\n\t\t\t\t\t\t\t\t<div class=\"password\">\n\t\t\t\t\t\t\t\t\t<input class=\"input\" type=\"password\" formControlName=\"Password\" placeholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.Password' | translate }}\" autocomplete=\"off\" appShowHidePassword />\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.Password\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').hasError(error.type) && (_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.PasswordMatch\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.PasswordMatch\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('Password').dirty || _actionsForm.get('Password').touched\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- confirm password -->\n\t\t\t\t\t\t\t\t<div class=\"repeat-password\">\n\t\t\t\t\t\t\t\t\t<input\n\t\t\t\t\t\t\t\t\t\tclass=\"input\"\n\t\t\t\t\t\t\t\t\t\ttype=\"password\"\n\t\t\t\t\t\t\t\t\t\tformControlName=\"RepeatPassword\"\n\t\t\t\t\t\t\t\t\t\tplaceholder=\"{{ 'Coinpay-cr-fe-core.SignUp.Form.ConfirmPassword' | translate }}\"\n\t\t\t\t\t\t\t\t\t\tautocomplete=\"off\"\n\t\t\t\t\t\t\t\t\t\tappShowHidePassword\n\t\t\t\t\t\t\t\t\t/>\n\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.RepeatPassword\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').dirty || _actionsForm.get('RepeatPassword').touched\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('RepeatPassword').hasError(error.type)\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.errors && _actionsForm.errors[error.type]\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<div class=\"form-check check\">\n\t\t\t\t\t\t\t\t\t<label for=\"TermsAndConditions\">\n\t\t\t\t\t\t\t\t\t\t<input id=\"TermsAndConditions\" name=\"TermsAndConditions\" type=\"checkbox\" formControlName=\"TermsAndConditions\" />\n\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.AcceptReadTermsAndConditions' | translate }}\n\t\t\t\t\t\t\t\t\t\t<span>\n\t\t\t\t\t\t\t\t\t\t\t<a href=\"javascript:void(0)\" (click)=\"viewTermsAndConditions()\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.TermsAndConditions' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.Next' | translate }}<i class=\"fa-solid fa-chevrons-right\"></i>\n\t\t\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t\t\t<a class=\"back\" (click)=\"goStep(1)\">\n\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.ForgotPassword.Form.Back' | translate }}\n\t\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<!-- success  -->\n\t\t<ng-container *ngIf=\"_step == 4 && _actionsForm\">\n\t\t\t<div class=\"step4\">\n\t\t\t\t<div class=\"content-step4\">\n\t\t\t\t\t<ng-content select=\"[logo-site-welcome]\"></ng-content>\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.SignUpSuccess' | translate }}</h3>\n\t\t\t\t\t<p>\n\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Msj.Info.SignUpSuccessInfo' | translate }}\n\t\t\t\t\t</p>\n\n\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t<div class=\"steps-check\">\n\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t<li>\n\t\t\t\t\t\t\t\t\t<div class=\"step active\"></div>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t<button type=\"button\" [disabled]=\"_model.loadProcess\" (click)=\"goAutoLogin()\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t<div class=\"inside-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.GoToLogin' | translate }}\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"btn-next\"></div>\n\t\t\t\t\t\t</button>\n\n\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\t</div>\n</div>\n", styles: [".sign-up{margin-top:140px;padding-bottom:100px}@media (max-width: 575px){.sign-up{margin-bottom:40px;margin-top:80px;padding-bottom:0}}.sign-up .text-start{width:100%}@media (max-width: 575px){.sign-up .text-start{text-align:center!important;margin-top:60px}}.sign-up .step0{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step0{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step0 .content-step0{text-align:center}.sign-up .step0 .content-step0 .wallet{width:260px;margin-top:45px;margin-bottom:55px;animation:upAnimation 5s linear 0s infinite normal none}@media (max-width: 575px){.sign-up .step0 .content-step0 .wallet{width:175px}}@keyframes upAnimation{0%{transform:translate(0)}20%{transform:translateY(10px)}50%{transform:translate(0)}75%{transform:translateY(-10px)}to{transform:translate(0)}}.sign-up .step0 .content-step0 .content_title{text-align:center;margin-bottom:15px}.sign-up .step0 .content-step0 .content_title img{display:inline-block;width:29px;margin-top:-12px;margin-bottom:0}.sign-up .step0 .content-step0 .content_title h3{color:#0c2197;font-size:30px;font-weight:700;font-family:Roboto;margin-left:5px;display:inline-block}.sign-up .step0 .content-step0 p{color:#7b7b7b}.sign-up .step0 .content-step0 p.more_p{color:#0c2197;margin-top:30px}.sign-up .step0 .content-step0 .content-button{position:relative;margin:30px auto 20px;width:150px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer}.sign-up .step0 .content-step0 .content-button .inside-button{color:#fff;margin:auto}.sign-up .step0 .content-step0 .content-button .inside-button i{font-size:29px}.sign-up .step0 .content-step0 .content-button .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step0 .content-step0 .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20%,#c8c8c8 20% 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%)}.sign-up .step1{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step1{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step1 .content-step1{text-align:center}.sign-up .step1 .content-step1 svg{height:180px;margin:40px auto 60px;width:100%;overflow:visible}@media (max-width: 575px){.sign-up .step1 .content-step1 svg{height:163px;margin-top:20px;margin-bottom:35px}}.sign-up .step1 .content-step1 svg #g1233{animation:up1 4s ease 0s infinite normal none}@keyframes up1{0.0%{transform:translateY(20px)}to{transform:translateY(20px)}49.6%{transform:translate(0)}}.sign-up .step1 .content-step1 svg #g1332{animation:up2 4s ease 0s infinite normal none}@keyframes up2{0.0%{transform:translate(40px,10px)}to{transform:translate(40px,10px)}49.6%{transform:translate(40px)}}.sign-up .step1 .content-step1 svg #g1365{animation:girar2 10s infinite linear}@keyframes girar2{0%{transform:rotate(0) translate(-10px) rotate(0)}to{transform:rotate(360deg) translate(-10px) rotate(-360deg)}}.sign-up .step1 .content-step1 svg #g1370{animation:girar 10s infinite linear}@keyframes girar{0%{transform:rotate(0) translate(-10px) rotate(0)}to{transform:rotate(360deg) translate(-10px) rotate(-360deg)}}.sign-up .step1 .content-step1 svg #g1189{animation:show 4s ease 0s infinite normal none}@keyframes show{0.0%{opacity:1}to{opacity:1}49.6%{opacity:0}}.sign-up .step1 .content-step1 svg #path846{animation:estirar 4s ease 0s infinite normal none}@keyframes estirar{50%{transform:scale3d(1.3,1,2) translate(-25px)}}.sign-up .step1 .content-step1 svg #path1077{animation:estirar2 4s ease 0s infinite normal none}@keyframes estirar2{50%{transform:scale3d(1.1,1,2) translate(-5px)}}.sign-up .step1 .content-step1 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step1 .content-step1 h3{font-size:30px}}.sign-up .step1 .content-step1 p{color:#7b7b7b}.sign-up .step1 .content-step1 .content-form{max-width:400px;margin-left:auto;margin-right:auto;margin-top:35px}.sign-up .step1 .content-step1 .content-form .nav-tabs{border:none;padding:5px;background:#e8e8e8;border-radius:40px;margin-bottom:15px}.sign-up .step1 .content-step1 .content-form .nav-tabs li{margin-right:0;width:50%}.sign-up .step1 .content-step1 .content-form .nav-tabs li button{border-radius:50px;border:none;margin-bottom:0;margin-top:1px;width:100%}@media (max-width: 991px){.sign-up .step1 .content-step1 .content-form .nav-tabs li button{width:100%}}@media (max-width: 575px){.sign-up .step1 .content-step1 .content-form .nav-tabs li button{padding-left:0;padding-right:0;font-size:13px}}.sign-up .step1 .content-step1 .content-form .nav-tabs li button p{margin:0;color:#000;text-transform:capitalize}.sign-up .step1 .content-step1 .content-form .nav-tabs li button.active{font-weight:700;font-family:Open Sans}.sign-up .step1 .content-step1 .content-form .title{font-size:30px;margin-bottom:40px}.sign-up .step1 .content-step1 .content-form .input{padding:10px;display:block;border-radius:5px;border:1px solid #e8e8e8;margin-bottom:20px;background:#fbfbfb;width:100%}.sign-up .step1 .content-step1 .content-form .input:focus{outline:none;background:#fff}.sign-up .step1 .content-step1 .content-form .lbl{font-weight:700;margin-bottom:10px;font-family:Open Sans}.sign-up .step1 .content-step1 .content-form .content-number{display:flex}.sign-up .step1 .content-step1 .content-form .content-number input{border-top-left-radius:0;border-bottom-left-radius:0;border-left:0px}.sign-up .step1 .content-step1 .content-form .check{margin-bottom:40px}.sign-up .step1 .content-step1 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step1 .content-step1 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step1 .content-step1 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step1 .content-step1 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step1 .content-step1 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step1 .content-step1 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer;margin-bottom:20px}.sign-up .step1 .content-step1 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step1 .content-step1 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step1 .content-step1 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20%,#c8c8c8 20% 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step1 .content-step1 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%)}.sign-up .step1 .content-step1 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step1 .content-step1 .error-message{margin-top:-18px;margin-bottom:15px;font-size:12px;color:red;text-align:left}.sign-up .step2{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto;border:1px solid #e5e5e5}@media (max-width: 575px){.sign-up .step2{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step2 .content-step2{position:relative;text-align:center}.sign-up .step2 .content-step2 .btn-back{position:absolute;left:0;top:0;border:none;background:#fff;font-size:20px}.sign-up .step2 .content-step2 svg{width:100%;height:136px;margin-top:20px;margin-bottom:30px}.sign-up .step2 .content-step2 svg #g1032{animation:parp 1s ease 0s infinite normal none}@keyframes parp{0.0%{opacity:0}to{opacity:0}50.1%{opacity:1}}.sign-up .step2 .content-step2 svg #g1133{animation:parp1 5s ease 0s infinite normal none}@keyframes parp1{0.0%{opacity:0}to{opacity:0}50.1%{opacity:1}}.sign-up .step2 .content-step2 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step2 .content-step2 h3{font-size:30px}}.sign-up .step2 .content-step2 p{color:#7b7b7b}.sign-up .step2 .content-step2 .content-form .code-input{margin-top:25px}.sign-up .step2 .content-step2 .content-form .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.sign-up .step2 .content-step2 .content-form .code-input input:focus{outline:none;background:#e7ebff}.sign-up .step2 .content-step2 .content-form .code-input input.active{box-shadow:none}@media (max-width: 575px){.sign-up .step2 .content-step2 .content-form .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}.sign-up .step2 .content-step2 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.sign-up .step2 .content-step2 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step2 .content-step2 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step2 .content-step2 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step2 .content-step2 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step2 .content-step2 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step2 .content-step2 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;margin-bottom:20px;cursor:pointer}.sign-up .step2 .content-step2 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step2 .content-step2 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step2 .content-step2 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40%,#c8c8c8 40% 60%,#c8c8c8 60% 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step2 .content-step2 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%)}.sign-up .step2 .content-step2 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step2 .content-step2 .error-message{display:block}.sign-up .step2 .content-step2 .re-send-code{margin-top:16px}.sign-up .step2 .content-step2 .re-send-code .re-send-success{color:green}.sign-up .step2 .error-messages{max-width:345px;margin:auto}.sign-up .step2 .error-messages .error-message{font-size:12px;margin-top:5px;color:red;text-align:left}.sign-up .step2 .re-send-code{position:absolute;bottom:150px;margin-top:0;right:6.5vw}.sign-up .step2 .code-paste{margin-top:30px!important}.sign-up .step3{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step3{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step3 .content-step3{position:relative;text-align:center}.sign-up .step3 .content-step3 .back{display:block;text-decoration:none}.sign-up .step3 .content-step3 img{width:200px;margin-left:auto;margin-right:auto;display:block;padding-top:25px;margin-bottom:30px}.sign-up .step3 .content-step3 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step3 .content-step3 h3{font-size:30px}}.sign-up .step3 .content-step3 p{color:#7b7b7b}.sign-up .step3 .content-step3 .content-form{max-width:400px;margin-left:auto;margin-right:auto;margin-top:35px}.sign-up .step3 .content-step3 .content-form .content-password .password,.sign-up .step3 .content-step3 .content-form .content-password .repeat-password{position:relative}.sign-up .step3 .content-step3 .content-form .input{padding:10px;display:block;border-radius:5px;border:1px solid #e8e8e8;margin-bottom:20px;background:#fbfbfb;width:100%}.sign-up .step3 .content-step3 .content-form .input:focus{outline:none;background:#fff}.sign-up .step3 .content-step3 .content-form .check{margin-bottom:40px}.sign-up .step3 .content-step3 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step3 .content-step3 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step3 .content-step3 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step3 .content-step3 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step3 .content-step3 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step3 .content-step3 .content-form .content-button{position:relative;margin-right:auto;margin-left:auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;margin-bottom:5px;cursor:pointer}.sign-up .step3 .content-step3 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step3 .content-step3 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step3 .content-step3 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .step3 .content-step3 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%)}.sign-up .step3 .content-step3 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.sign-up .step3 .content-step3 .content-form .error-message{margin-top:-18px;margin-bottom:15px;font-size:12px;color:red;text-align:left}.sign-up .step4{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.sign-up .step4{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.sign-up .step4 .content-step4{text-align:center}.sign-up .step4 .content-step4 img{width:160px;margin-bottom:60px;margin-top:50px}@media (max-width: 575px){.sign-up .step4 .content-step4 img{width:120px}}.sign-up .step4 .content-step4 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.sign-up .step4 .content-step4 h3{font-size:30px}}.sign-up .step4 .content-step4 p{color:#7b7b7b}.sign-up .step4 .content-step4 .content-form .text1{font-size:20px}.sign-up .step4 .content-step4 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.sign-up .step4 .content-step4 .content-form .steps-check ul{list-style:none;padding-left:0}.sign-up .step4 .content-step4 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.sign-up .step4 .content-step4 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.sign-up .step4 .content-step4 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.sign-up .step4 .content-step4 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.sign-up .step4 .content-step4 .content-form .content-button{position:relative;margin:30px auto 20px;min-width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;align-items:center;cursor:pointer}.sign-up .step4 .content-step4 .content-form .content-button .inside-button{color:#fff;margin:auto}.sign-up .step4 .content-step4 .content-form .content-button .inside-button i{font-size:29px}.sign-up .step4 .content-step4 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.sign-up .div-error p{color:red!important;font-size:12px}::ng-deep .sign-up .cs-directive-show-hide-password{position:absolute;top:11px;right:8px}\n"] }]
        }], ctorParameters: () => [{ type: i1.Router }, { type: i1.ActivatedRoute }, { type: SignUpService }, { type: i3$2.CookieService }, { type: i3$1.TranslateService }, { type: i7.ReCaptchaV3Service }, { type: undefined, decorators: [{
                    type: Inject,
                    args: ['environmentCpFeCore']
                }] }], propDecorators: { config: [{
                type: Input
            }], displayLoading: [{
                type: Output
            }], sectionClicked: [{
                type: Output
            }] } });

class CpSignupModule {
    static forRoot(environment) {
        return {
            ngModule: CpSignupModule,
            providers: [
                {
                    provide: 'environmentCpFeCore', // you can also use InjectionToken
                    useValue: environment // use in any option -> @Inject('env') private ...
                }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpSignupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CpSignupModule, declarations: [SignupComponent], imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            CountryInputModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule], exports: [SignupComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpSignupModule, imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            CountryInputModule,
            CoinpayCodeInputModule,
            ShowHidePasswordModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpSignupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        SignupComponent
                    ],
                    imports: [
                        FormsModule,
                        RouterModule,
                        CommonModule,
                        TranslateModule,
                        ReactiveFormsModule,
                        CountryInputModule,
                        CoinpayCodeInputModule,
                        ShowHidePasswordModule
                    ],
                    exports: [
                        SignupComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class VerifyEmailComponent {
    constructor(_platformService, _recaptchaService, _router, _signUpService, _translateService) {
        this._platformService = _platformService;
        this._recaptchaService = _recaptchaService;
        this._router = _router;
        this._signUpService = _signUpService;
        this._translateService = _translateService;
        this.displayLoading = new EventEmitter();
        this._model = {};
        this._isBrowser = this._platformService.isBrowser();
    }
    ngOnInit() {
        this.init();
    }
    ngAfterViewInit() {
        try {
            if (this._isBrowser) {
                window.scroll(0, 0); // start in position 0
            }
        }
        catch { }
    }
    ngOnDestroy() { }
    async init() {
        try {
            if (this.config && this._isBrowser) {
                this._configLogin = {
                    VerifyEmailUrl: this.config.VerifyEmailUrl
                };
                this.setErrorCatalog();
                this.resetValues();
                this._model.allowReSendCode = true;
                this.goStep(0);
                /**
                 * check if exist info
                 */
                let _continue = false;
                const _data = sessionStorage.getItem('user_session_unverified');
                if (_data) {
                    this._userAccess = JSON.parse(new EncryptClass().atob(_data));
                    if (this._userAccess && this._userAccess.Email && this._userAccess.Password) {
                        /**
                         * continue with actions
                         */
                        _continue = true;
                        this.sendVerificationCode();
                        sessionStorage.removeItem('user_session_unverified'); // clean action
                    }
                }
                if (!_continue)
                    this._router.navigate([this.config.DefaultUrl]);
            }
        }
        catch {
            /**
             * if exist error, return to landing
             */
            this._router.navigate(['/']);
        }
    }
    /**
     * Apply for send code of verification again
     *
     */
    async sendVerificationCode() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._userAccess) { // not include if is valid, because this form is setting with others inputs
                this._model.loadProcess = true;
                this._model.allowReSendCode = false;
                this.displayLoading.emit(true);
                if (this._isBrowser) {
                    const _recaptchaSub = this._recaptchaService.execute('signup_resend_code_email').subscribe({
                        next: (recaptchaToken) => {
                            const t = {
                                Email: this._userAccess.Email,
                                Recaptcha: {
                                    Token: recaptchaToken
                                }
                            };
                            const _subscription = this._signUpService.sendVerificationCodeEmail(t).subscribe({
                                next: data => {
                                    if (data && data.StatusCode == StatusCodeEnum.Success) {
                                        this._model.resendSuccess = true;
                                        /**
                                         * Use for allow re-send code
                                         * Only if code not receive un 40 seconds or client
                                         * still on the screen
                                         */
                                        setTimeout(() => {
                                            this._model.resendSuccess = false;
                                            this._model.allowReSendCode = true;
                                        }, 40000);
                                    }
                                    else {
                                        this._model.resendSuccess = false;
                                        this._model.allowReSendCode = true;
                                        this._msjErrors = data.Messages;
                                        switch (data?.StatusCode ?? 0) {
                                            case 2: // account already active
                                                this._router.navigate(['/']).then(() => {
                                                    // this._dataService.viewLogin();
                                                });
                                                break;
                                            case -3:
                                                this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.InvalidUser');
                                                break;
                                            case -501:
                                                this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                                                break;
                                            default:
                                                this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ErrorSendCodeByEmail');
                                                break;
                                        }
                                    }
                                    this._model.loadProcess = false;
                                    this.displayLoading.emit(false);
                                }, error: err => {
                                    this._model.loadProcess = false;
                                    this._model.allowReSendCode = true;
                                    this.displayLoading.emit(false);
                                    this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ProcessError');
                                    /**
                                     * set list of bath
                                     */
                                    if (err.error && err.error.message) {
                                        this._msjErrors = [];
                                        if (Array.isArray(err.error.message))
                                            err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                        else
                                            this._msjErrors.push(`${err.error.message}`);
                                    }
                                }, complete: () => { _subscription.unsubscribe(); }
                            });
                        }, error: () => {
                            this._model.loadProcess = false;
                            this._model.allowReSendCode = true;
                            this.displayLoading.emit(false);
                            this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                        }, complete: () => { _recaptchaSub.unsubscribe(); }
                    });
                }
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ProcessError');
        }
    }
    /**
     * Simple validate code for continue
     * with process, this actions is only for not
     * continue, if code is invalid.
     * With send SingUp, system check again this code
     *
     */
    async validateVerificationCode() {
        try {
            this._msjError = '';
            this._msjErrors = [];
            if (this._actionsForm && this._actionsForm.valid && this._userAccess) {
                this._model.loadProcess = true;
                this.displayLoading.emit(true);
                const _recaptchaSub = this._recaptchaService.execute('sigup_validate_code_email').subscribe({
                    next: (recaptchaToken) => {
                        const t = {
                            Email: this._userAccess.Email,
                            Code: this._actionsForm.value['TwoFactorCode'],
                            Recaptcha: {
                                Token: recaptchaToken
                            }
                        };
                        const _subscription = this._signUpService.validateCodeEmail(t).subscribe({
                            next: data => {
                                if (data && data.StatusCode == StatusCodeEnum.Success) {
                                    /**
                                     * view auto login
                                     */
                                    this.goStep(1);
                                }
                                else {
                                    this._msjErrors = data.Messages;
                                    switch (data?.StatusCode ?? 0) {
                                        case -4:
                                            this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.InvalidCode');
                                            break;
                                        case -501:
                                            this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                                            break;
                                        default:
                                            this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ProcessError');
                                            break;
                                    }
                                }
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                            }, error: err => {
                                this._model.loadProcess = false;
                                this.displayLoading.emit(false);
                                this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ProcessError', `Cod: ${err.status}, ${err.statusText}`);
                                /**
                                 * set list of bath
                                 */
                                if (err.error && err.error.message) {
                                    this._msjErrors = [];
                                    if (Array.isArray(err.error.message))
                                        err.error.message.forEach((element) => { this._msjErrors.push(element); });
                                    else
                                        this._msjErrors.push(`${err.error.message}`);
                                }
                            }, complete: () => { _subscription.unsubscribe(); }
                        });
                    }, error: () => {
                        this._model.loadProcess = false;
                        this.displayLoading.emit(false);
                        this.setMsjError('Coinpay-cr-fe-core.Recaptcha.Msj.Error.NotGetToken');
                    }, complete: () => { _recaptchaSub.unsubscribe(); }
                });
            }
        }
        catch {
            this._model.loadProcess = false;
            this.displayLoading.emit(false);
            this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.ProcessError');
        }
    }
    // ************************* generics
    // ************************* generics
    /**
     * Use for detect result of login
     * @param complete
     */
    async loginAction(complete) {
        try {
            this._msjError = '';
            if (!Boolean(complete))
                this.setMsjError('Coinpay-cr-fe-core.VerifyEmail.Msj.Error.CouldNotLoginAutomatic');
        }
        catch { }
    }
    /**
   * actions reset values
   */
    async resetValues() {
        try {
            this._msjErrors = [];
            this._msjError = '';
        }
        catch { }
    }
    /**
     * Use for go specific step
     *
     * @param step
     */
    async goStep(step) {
        try {
            this._msjError = '';
            this._step = step;
            this.setStep();
        }
        catch { }
    }
    /**
     * Use for set step actions
     *
     */
    async setStep() {
        try {
            switch (this._step) {
                case 0:
                    this._actionsForm = new FormGroup({
                        TwoFactorCode: new FormControl('', [Validators.required, Validators.minLength(6), Validators.minLength(6)])
                    });
                    break;
            }
            this._actionsForm.get('TwoFactorCode').valueChanges.subscribe(() => {
                if (this._actionsForm.invalid) {
                    this._msjError = '';
                    this._msjErrors = [];
                }
            });
        }
        catch { }
    }
    async setErrorCatalog() {
        try {
            this._msj_errors = {
                TwoFactorCode: [
                    { type: 'required', message: 'Coinpay-cr-fe-core.VerifyEmail.InputsErrors.Required' },
                    { type: 'min', message: 'Coinpay-cr-fe-core.VerifyEmail.InputsErrors.TwoFactorCodeMin' },
                    { type: 'max', message: 'Coinpay-cr-fe-core.VerifyEmail.InputsErrors.TwoFactorCodeMax' }
                ]
            };
        }
        catch { }
    }
    async setMsjError(msj = '', msj2 = '') {
        try {
            this._msjError = msj && msj != '' ? this._translateService.instant(msj) : '';
            if (msj2 && msj2 != '')
                this._msjError += this._translateService.instant(msj2);
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: VerifyEmailComponent, deps: [{ token: PlatformService }, { token: i7.ReCaptchaV3Service }, { token: i1.Router }, { token: SignUpService }, { token: i3$1.TranslateService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.4", type: VerifyEmailComponent, selector: "cp-verify-email", inputs: { config: "config" }, outputs: { displayLoading: "displayLoading" }, ngImport: i0, template: "<div class=\"container\">\n\t<div class=\"signup-verify-email\">\n\t\t<!-- verify email  -->\n\t\t<ng-container *ngIf=\"_step == 0 && config && _actionsForm\">\n\t\t\t<div class=\"step0\">\n\t\t\t\t<div class=\"content-step0\">\n\t\t\t\t\t<ng-content select=\"[img-send-email]\"></ng-content>\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.VerifyEmail' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.VerifyEmailInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateVerificationCode()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<!-- coinpay code -->\n\t\t\t\t\t\t\t<div class=\"coinpay-code\">\n\t\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [inputType]=\"config.InputType\" [isNumeric]=\"true\" [allowPaste]=\"true\" [allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\">\n\t\t\t\t\t\t\t\t</cp-coinpay-code-input>\n\t\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.allowReSendCode\">\n\t\t\t\t\t\t\t\t\t\t\t<button type=\"button\" class=\"btn-resend\" (click)=\"sendVerificationCode()\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.ResendCode' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!_model.allowReSendCode && _model.resendSuccess\">\n\t\t\t\t\t\t\t\t\t\t\t<p class=\"re-send-success\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.CodeSentSuccessfully' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</p>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.Confirm' | translate }}\n\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<ng-container *ngIf=\"_step == 1 && _userAccess\">\n\t\t\t<cp-login [config]=\"_configLogin\" [typeAccess]=\"1\" [autoAccess]=\"_userAccess\" (successLogin)=\"loginAction($event)\"></cp-login>\n\n\t\t\t<div class=\"step1\">\n\t\t\t\t<div class=\"content-step1\">\n\t\t\t\t\t<ng-content select=\"[verification-set-info]\"></ng-content>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.EmailVerifiedSuccessfully' | translate }}</h3>\n\n\t\t\t\t\t<ng-container *ngIf=\"!_msjError || _msjError == ''\">\n\t\t\t\t\t\t<p class=\"space\">\n\t\t\t\t\t\t\t<i class=\"fa fa-spinner fa-spin\"></i>\n\t\t\t\t\t\t</p>\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.AutoLoginInfo' | translate }}</p>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</ng-container>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\t</div>\n</div>\n", styles: [".signup-verify-email{margin-top:140px;padding-bottom:100px}@media (max-width: 575px){.signup-verify-email{margin-bottom:40px;margin-top:80px;padding-bottom:0}}.signup-verify-email .text-start{width:100%}@media (max-width: 575px){.signup-verify-email .text-start{text-align:center!important;margin-top:60px}}.signup-verify-email .step0{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto;border:1px solid #e5e5e5}@media (max-width: 575px){.signup-verify-email .step0{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.signup-verify-email .step0 .content-step0{position:relative;text-align:center}.signup-verify-email .step0 .content-step0 .btn-back{position:absolute;left:0;top:0;border:none;background:#fff;font-size:20px}.signup-verify-email .step0 .content-step0 img{width:225px;margin-top:25px;margin-bottom:35px}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 img{width:185px}}.signup-verify-email .step0 .content-step0 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.signup-verify-email .step0 .content-step0 h3{font-size:30px}}.signup-verify-email .step0 .content-step0 p{color:#7b7b7b}.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:350px;display:flex;margin:auto;align-items:center;justify-content:space-between}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:295px}}@media (max-width: 370px){.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:270px}}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code{text-align:right;width:100%}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code .re-send-success{color:green;text-align:right;font-size:12px}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code .btn-resend{background:transparent;padding:0;border:none;text-align:right;font-size:12px;text-decoration:underline}.signup-verify-email .step0 .content-step0 .content-form .code-input{margin-top:25px}.signup-verify-email .step0 .content-step0 .content-form .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.signup-verify-email .step0 .content-step0 .content-form .code-input input:focus{outline:none;background:#e7ebff}.signup-verify-email .step0 .content-step0 .content-form .code-input input.active{box-shadow:none}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}.signup-verify-email .step0 .content-step0 .content-form .content-button{position:relative;margin:20px auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;cursor:pointer}.signup-verify-email .step0 .content-step0 .content-form .content-button .inside-button{color:#fff;margin:auto}.signup-verify-email .step0 .content-step0 .content-form .content-button .inside-button i{font-size:29px}.signup-verify-email .step0 .content-step0 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.signup-verify-email .step0 .content-step0 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%)}.signup-verify-email .step0 .content-step0 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.signup-verify-email .step0 .content-step0 .content-form ::ng-deep .code-paste{margin-top:43px}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form ::ng-deep .code-paste{margin-top:53px}}.signup-verify-email .step0 .content-step0 .error-messages{min-width:100px}.signup-verify-email .step0 .content-step0 .error-messages .error-message{width:100%;color:#dc3545;font-size:12px;max-width:346px;margin:auto;text-align:left}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .error-messages .error-message{max-width:300px}}@media (max-width: 370px){.signup-verify-email .step0 .content-step0 .error-messages .error-message{width:275px}}.signup-verify-email .step0 .content-step0 .div-error p{color:red;font-size:12px;text-align:left}.signup-verify-email .step1{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.signup-verify-email .step1{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.signup-verify-email .step1 .content-step1{text-align:center}.signup-verify-email .step1 .content-step1 img{width:160px;margin-bottom:60px;margin-top:50px}@media (max-width: 575px){.signup-verify-email .step1 .content-step1 img{width:120px}}.signup-verify-email .step1 .content-step1 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.signup-verify-email .step1 .content-step1 h3{font-size:30px}}.signup-verify-email .step1 .content-step1 p{color:#7b7b7b}.signup-verify-email .step1 .content-step1 p.space{margin-top:20px}.signup-verify-email .step1 .content-step1 .content-form .text1{font-size:20px}.signup-verify-email .step1 .content-step1 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul{list-style:none;padding-left:0}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.signup-verify-email .step1 .content-step1 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.signup-verify-email .step1 .content-step1 .content-form .content-button{position:relative;margin:30px auto 20px;min-width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;display:flex;align-items:center;cursor:pointer}.signup-verify-email .step1 .content-step1 .content-form .content-button .inside-button{color:#fff;margin:auto}.signup-verify-email .step1 .content-step1 .content-form .content-button .inside-button i{font-size:29px}.signup-verify-email .step1 .content-step1 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}\n"], dependencies: [{ kind: "directive", type: i6.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i6.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i6.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i6.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i6.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: LoginComponent, selector: "cp-login", inputs: ["typeAccess", "autoAccess", "config"], outputs: ["successLogin", "displayLogin", "displayLoading", "sectionClicked"] }, { kind: "component", type: CoinpayCodeInputComponent, selector: "cp-coinpay-code-input", inputs: ["boxes", "inputType", "disabled", "isNumeric", "allowPaste", "allowAutoPaste"], outputs: ["complete", "completePaste"] }, { kind: "pipe", type: i3$1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: VerifyEmailComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cp-verify-email', template: "<div class=\"container\">\n\t<div class=\"signup-verify-email\">\n\t\t<!-- verify email  -->\n\t\t<ng-container *ngIf=\"_step == 0 && config && _actionsForm\">\n\t\t\t<div class=\"step0\">\n\t\t\t\t<div class=\"content-step0\">\n\t\t\t\t\t<ng-content select=\"[img-send-email]\"></ng-content>\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.VerifyEmail' | translate }}</h3>\n\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.VerifyEmailInfo' | translate }}</p>\n\n\t\t\t\t\t<form [formGroup]=\"_actionsForm\" (ngSubmit)=\"validateVerificationCode()\">\n\t\t\t\t\t\t<div class=\"content-form\">\n\t\t\t\t\t\t\t<!-- coinpay code -->\n\t\t\t\t\t\t\t<div class=\"coinpay-code\">\n\t\t\t\t\t\t\t\t<cp-coinpay-code-input [boxes]=\"6\" [inputType]=\"config.InputType\" [isNumeric]=\"true\" [allowPaste]=\"true\" [allowAutoPaste]=\"true\" formControlName=\"TwoFactorCode\">\n\t\t\t\t\t\t\t\t</cp-coinpay-code-input>\n\t\t\t\t\t\t\t\t<div class=\"messages-action\">\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msj_errors && _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let error of _msj_errors.TwoFactorCode\">\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_actionsForm.get('TwoFactorCode').hasError(error.type) && (_actionsForm.get('TwoFactorCode').dirty || _actionsForm.get('TwoFactorCode').touched)\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-messages\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"error-message cs-invalid-feedback-1\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t{{ error.message | translate }}\n\t\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != '' && _actionsForm.valid\">\n\t\t\t\t\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t<!-- send code again -->\n\t\t\t\t\t\t\t\t\t<div class=\"re-send-code\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"_model.allowReSendCode\">\n\t\t\t\t\t\t\t\t\t\t\t<button type=\"button\" class=\"btn-resend\" (click)=\"sendVerificationCode()\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.ResendCode' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!_model.allowReSendCode && _model.resendSuccess\">\n\t\t\t\t\t\t\t\t\t\t\t<p class=\"re-send-success\">\n\t\t\t\t\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.VerifyEmail.Form.CodeSentSuccessfully' | translate }}\n\t\t\t\t\t\t\t\t\t\t\t</p>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<!-- button -->\n\t\t\t\t\t\t\t<button type=\"submit\" [disabled]=\"_actionsForm.invalid || _model.loadProcess\" class=\"btn btn-primary content-button\">\n\t\t\t\t\t\t\t\t{{ 'Coinpay-cr-fe-core.SignUp.Form.Confirm' | translate }}\n\t\t\t\t\t\t\t</button>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</form>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\n\t\t<ng-container *ngIf=\"_step == 1 && _userAccess\">\n\t\t\t<cp-login [config]=\"_configLogin\" [typeAccess]=\"1\" [autoAccess]=\"_userAccess\" (successLogin)=\"loginAction($event)\"></cp-login>\n\n\t\t\t<div class=\"step1\">\n\t\t\t\t<div class=\"content-step1\">\n\t\t\t\t\t<ng-content select=\"[verification-set-info]\"></ng-content>\n\n\t\t\t\t\t<h3>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.EmailVerifiedSuccessfully' | translate }}</h3>\n\n\t\t\t\t\t<ng-container *ngIf=\"!_msjError || _msjError == ''\">\n\t\t\t\t\t\t<p class=\"space\">\n\t\t\t\t\t\t\t<i class=\"fa fa-spinner fa-spin\"></i>\n\t\t\t\t\t\t</p>\n\t\t\t\t\t\t<p>{{ 'Coinpay-cr-fe-core.VerifyEmail.Msj.Info.AutoLoginInfo' | translate }}</p>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<!-- errors -->\n\t\t\t\t\t<ng-container *ngIf=\"_msjError && _msjError != ''\">\n\t\t\t\t\t\t<div class=\"div-error center\">\n\t\t\t\t\t\t\t<p>{{ _msjError | translate }}</p>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<!-- list -->\n\t\t\t\t\t\t<ng-container *ngIf=\"_msjErrors && _msjErrors.length > 0\">\n\t\t\t\t\t\t\t<div class=\"generic-error\">\n\t\t\t\t\t\t\t\t<div class=\"content-error-generic\">\n\t\t\t\t\t\t\t\t\t<ul class=\"detail\">\n\t\t\t\t\t\t\t\t\t\t<ng-container *ngFor=\"let item of _msjErrors\">\n\t\t\t\t\t\t\t\t\t\t\t<li class=\"msj-error\">{{ item }}</li>\n\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t</ng-container>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ng-container>\n\t</div>\n</div>\n", styles: [".signup-verify-email{margin-top:140px;padding-bottom:100px}@media (max-width: 575px){.signup-verify-email{margin-bottom:40px;margin-top:80px;padding-bottom:0}}.signup-verify-email .text-start{width:100%}@media (max-width: 575px){.signup-verify-email .text-start{text-align:center!important;margin-top:60px}}.signup-verify-email .step0{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto;border:1px solid #e5e5e5}@media (max-width: 575px){.signup-verify-email .step0{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.signup-verify-email .step0 .content-step0{position:relative;text-align:center}.signup-verify-email .step0 .content-step0 .btn-back{position:absolute;left:0;top:0;border:none;background:#fff;font-size:20px}.signup-verify-email .step0 .content-step0 img{width:225px;margin-top:25px;margin-bottom:35px}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 img{width:185px}}.signup-verify-email .step0 .content-step0 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.signup-verify-email .step0 .content-step0 h3{font-size:30px}}.signup-verify-email .step0 .content-step0 p{color:#7b7b7b}.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:350px;display:flex;margin:auto;align-items:center;justify-content:space-between}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:295px}}@media (max-width: 370px){.signup-verify-email .step0 .content-step0 .content-form .messages-action{max-width:270px}}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code{text-align:right;width:100%}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code .re-send-success{color:green;text-align:right;font-size:12px}.signup-verify-email .step0 .content-step0 .content-form .messages-action .re-send-code .btn-resend{background:transparent;padding:0;border:none;text-align:right;font-size:12px;text-decoration:underline}.signup-verify-email .step0 .content-step0 .content-form .code-input{margin-top:25px}.signup-verify-email .step0 .content-step0 .content-form .code-input input{display:inline-block;padding:10px;max-width:50px;border-radius:10px;text-align:center;font-size:20px;box-shadow:0 2px 8px -3px #00000071;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.445);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.404);border:none;margin-left:5px;margin-right:5px;color:#0c2197}.signup-verify-email .step0 .content-step0 .content-form .code-input input:focus{outline:none;background:#e7ebff}.signup-verify-email .step0 .content-step0 .content-form .code-input input.active{box-shadow:none}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form .code-input input{height:45px;width:45px;margin-left:3px;margin-right:3px}}.signup-verify-email .step0 .content-step0 .content-form .content-button{position:relative;margin:20px auto;width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;cursor:pointer}.signup-verify-email .step0 .content-step0 .content-form .content-button .inside-button{color:#fff;margin:auto}.signup-verify-email .step0 .content-step0 .content-form .content-button .inside-button i{font-size:29px}.signup-verify-email .step0 .content-step0 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}.signup-verify-email .step0 .content-step0 .content-form .content-button:hover .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80%,#c8c8c8 80%)}.signup-verify-email .step0 .content-step0 .content-form .content-button:disabled .btn-next{background-image:linear-gradient(to right,#c8c8c8 20% 20%,#c8c8c8 40% 40%,#c8c8c8 60% 60%,#c8c8c8 80% 80%)}.signup-verify-email .step0 .content-step0 .content-form ::ng-deep .code-paste{margin-top:43px}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .content-form ::ng-deep .code-paste{margin-top:53px}}.signup-verify-email .step0 .content-step0 .error-messages{min-width:100px}.signup-verify-email .step0 .content-step0 .error-messages .error-message{width:100%;color:#dc3545;font-size:12px;max-width:346px;margin:auto;text-align:left}@media (max-width: 575px){.signup-verify-email .step0 .content-step0 .error-messages .error-message{max-width:300px}}@media (max-width: 370px){.signup-verify-email .step0 .content-step0 .error-messages .error-message{width:275px}}.signup-verify-email .step0 .content-step0 .div-error p{color:red;font-size:12px;text-align:left}.signup-verify-email .step1{box-shadow:0 2px 8px -3px #00000042;-webkit-box-shadow:0px 2px 8px -3px rgba(0,0,0,.26);-moz-box-shadow:0px 2px 8px -3px rgba(0,0,0,.2588235294);border:1px solid #e5e5e5;padding:20px;border-radius:10px;max-width:650px;margin-left:auto;margin-right:auto}@media (max-width: 575px){.signup-verify-email .step1{padding:0;box-shadow:none;border:0px solid #e5e5e5}}.signup-verify-email .step1 .content-step1{text-align:center}.signup-verify-email .step1 .content-step1 img{width:160px;margin-bottom:60px;margin-top:50px}@media (max-width: 575px){.signup-verify-email .step1 .content-step1 img{width:120px}}.signup-verify-email .step1 .content-step1 h3{color:#0c2197;font-size:22px;font-weight:700;font-family:Roboto}@media (min-width: 575px){.signup-verify-email .step1 .content-step1 h3{font-size:30px}}.signup-verify-email .step1 .content-step1 p{color:#7b7b7b}.signup-verify-email .step1 .content-step1 p.space{margin-top:20px}.signup-verify-email .step1 .content-step1 .content-form .text1{font-size:20px}.signup-verify-email .step1 .content-step1 .content-form .steps-check{margin-bottom:40px;margin-top:20px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul{list-style:none;padding-left:0}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li{display:inline-block;margin-left:5px;margin-right:5px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li .step{height:11px;width:11px;background:#e8e8e8;border-radius:40px}.signup-verify-email .step1 .content-step1 .content-form .steps-check ul li .step.active{height:11px;width:25px;background:#0c2197;border-radius:40px}.signup-verify-email .step1 .content-step1 .content-form .btn-resend{display:block;margin:19px auto 15px;background:transparent;border:none;color:#407bff;font-weight:700}.signup-verify-email .step1 .content-step1 .content-form .content-button{position:relative;margin:30px auto 20px;min-width:122px;height:68px;border-radius:50px;background:#0c2197;border:6px solid white;display:flex;align-items:center;cursor:pointer}.signup-verify-email .step1 .content-step1 .content-form .content-button .inside-button{color:#fff;margin:auto}.signup-verify-email .step1 .content-step1 .content-form .content-button .inside-button i{font-size:29px}.signup-verify-email .step1 .content-step1 .content-form .content-button .btn-next{background-image:linear-gradient(to right,#0c2197 20% 20%,#0c2197 40% 40%,#0c2197 60% 60%,#0c2197 80% 80%);content:\"\";position:absolute;inset:-8px;z-index:-1;border-radius:inherit;border:none}\n"] }]
        }], ctorParameters: () => [{ type: PlatformService }, { type: i7.ReCaptchaV3Service }, { type: i1.Router }, { type: SignUpService }, { type: i3$1.TranslateService }], propDecorators: { config: [{
                type: Input
            }], displayLoading: [{
                type: Output
            }] } });

class CpVerifyEmailModule {
    static forRoot(environment) {
        return {
            ngModule: CpVerifyEmailModule,
            providers: [
                {
                    provide: 'environmentCpFeCore', // you can also use InjectionToken
                    useValue: environment // use in any option -> @Inject('env') private ...
                }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpVerifyEmailModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.4", ngImport: i0, type: CpVerifyEmailModule, declarations: [VerifyEmailComponent], imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            CpLoginModule,
            CoinpayCodeInputModule], exports: [VerifyEmailComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpVerifyEmailModule, imports: [FormsModule,
            RouterModule,
            CommonModule,
            TranslateModule,
            ReactiveFormsModule,
            CpLoginModule,
            CoinpayCodeInputModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: CpVerifyEmailModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        VerifyEmailComponent
                    ],
                    imports: [
                        FormsModule,
                        RouterModule,
                        CommonModule,
                        TranslateModule,
                        ReactiveFormsModule,
                        CpLoginModule,
                        CoinpayCodeInputModule
                    ],
                    exports: [
                        VerifyEmailComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class SendGuestCodeResultDto extends GenericResultDto {
}
class SendGuestCodeDto {
}
class TwoFactorTypeDto {
}

class DataService {
    constructor() {
        // --- loading sub 
        // ----------------
        this._loading = new BehaviorSubject(false);
        this.loading = this._loading.asObservable();
    }
    displayLoading(request = true) { this._loading.next(request); }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: DataService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: DataService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.4", ngImport: i0, type: DataService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

/*
 * Public API Surface of coinpay-cr-fe-core
 */
// coinpay code

/**
 * Generated bundle index. Do not edit.
 */

export { AllowSendCodeRestorePasswordDto, AuthRestorePasswordCheckTwoFactorDto, AuthRestorePasswordCheckUserNameDto, AuthRestorePasswordCheckUserNameRequestDto, AuthRestorePasswordCheckUserNameResultDto, AuthRestorePasswordCompleteRequestDto, AuthRestorePasswordDetailsDto, AuthRestorePasswordDetailsSentCodeDto, AuthRestorePasswordInfoDto, AuthRestorePasswordInfoResultDto, AuthRestorePasswordRequestDto, AuthRestorePasswordResultDto, AuthRestoreTokenDto, AuthService, AuthSessionClientDetailsRequestDto, AuthSessionClientRedirectionDetailsDto, AuthSessionClientRequestDto, AuthSessionUserClientRedirectionResultDto, AutoAccessLoginRequestDto, CoinpayCodeInputComponent, CoinpayCodeInputModule, CountriesResultDto, CountryDto, CountryInputComponent, CountryInputModule, CountryResultDto, CountryService, CpForgotPasswordConfigDto, CpForgotPasswordModule, CpIpDto, CpLibClickedEnum, CpLocationDto, CpLoginConfigDto, CpLoginModule, CpSignUpConfigDto, CpSignupModule, CpVerifyEmailConfigDto, CpVerifyEmailModule, DataService, EncryptClass, ForgotPasswordComponent, ForgotPasswordService, GenericResultDto, IdUserStatusVerifationEnum, LoginActionEnum, LoginComponent, LoginService, RecaptchaRequestDto, RestorePasswordDto, RestorePasswordResultDto, SendGuestCodeDto, SendGuestCodeResultDto, ShowHidePasswordDirective, ShowHidePasswordModule, SignUpDetailsDto, SignUpRequestDto, SignUpResultDto, SignUpSendGuestSmsRequestDto, SignUpService, SignUpValidateCodeEmailRequestDto, SignUpValidateGuestSmsCodeRequestDto, SignUpValidateInformationDto, SignUpValidateInformationRequestDto, SignUpValidateInformationResultDto, SignUpVerifyEmailRequestDto, SignupComponent, StatusCodeEnum, TwoFactorInputDto, TwoFactorTypeDto, VerifyEmailComponent, matchPassword, matchPasswordBasic };
//# sourceMappingURL=coinpay-cr-fe-core.mjs.map
